2008-09-30  Sven Neumann  <sven@gimp.org>

	* Made 2.6.0 release.

2008-09-30  Michael Natterer  <mitch@gimp.org>

	Bug 546924 – "New Image" misscalculating dimensions for non-pixel
	sized templates

	* app/core/gimptemplate.h: added private param flag
	GIMP_TEMPLATE_PARAM_COPY_FIRST.

	* app/core/gimptemplate.c (gimp_template_class_init): set the flag
	on the resolution properties.

	* app/dialogs/image-new-dialog.c (image_new_template_changed):
	make sure the resolution properties are copied first.

	* libgimpconfig/gimpconfig-utils.c (gimp_config_sync): remove
	comment about fixing the template editor. That's not true any
	more.

2008-09-30  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpimagemaptool.[ch]: keep a "default_config" object
	around and use it to reset the tool if it exists.

	(gimp_image_map_tool_edit_as): set the default_config on the new
	tool so "reset" goes back to the values the tool was started with.

	* app/tools/gimpcolorbalencetool.c (gimp_color_balance_tool_reset)
	* app/tools/gimpcurvestool.c (gimp_curves_tool_reset)
	* app/tools/gimphuesaturationtool.c (gimp_hue_saturation_tool_reset)
	* app/tools/gimplevelstool.c (gimp_levels_tool_reset): use the
	default config to reset the tool here too if it exists.

2008-09-30  Sven Neumann  <sven@gimp.org>

	* app/gui/splash.c: don't make the upper label bold. This change
	compensates for the smaller width of the new splash screen.

2008-09-30  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpwidgets-utils.[ch]: added
	gimp_pango_layout_set_scale().

	* app/gui/splash.c: set a smaller font size on the lower label.

2008-09-30  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpwidgets-utils.c (gimp_pango_layout_set_weight):
	actually use the passed weight.

2008-09-30  Sven Neumann  <sven@gimp.org>

	* app/config/gimpbaseconfig.c
	* app/config/gimpguiconfig.c: reverted parts of commit 25812.
	Restores compatibility with old gimprc files.

2008-09-30  Sven Neumann  <sven@gimp.org>

	* app/config/gimprc-deserialize.c (gimp_rc_deserialize): formatting.

2008-09-29  Sven Neumann  <sven@gimp.org>

	* README: prepared for the upcoming 2.6 release.

2008-09-29  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.6.0.

	* app/Makefile.am
	* tools/Makefile.am: changed accordingly.

	* docs/gimprc.5.in
	* etc/gimprc: regenerated.

2008-09-29  Sven Neumann  <sven@gimp.org>

	* data/images/gimp-splash.png: splash screen for GIMP 2.6. Created
	by Alexia Death and edited together with Ville Pätsi.

	* authors.xml: added the two splash screen artists.

	* AUTHORS: regenerated.

2008-09-29  Sven Neumann  <sven@gimp.org>

	* INSTALL: prepared for the upcoming 2.6 release.

2008-09-29  Martin Nordholts  <martinn@svn.gnome.org>

	Bug 554125 – Tab key doesn't hide utility windows when there is no
	image open.

	* app/widgets/gimpdialogfactory.[ch]: Add 'toggle_visibility' to
	GimpDialogFactory and as a parameter to gimp_dialog_factory_new(),
	and set it there.

	(gimp_dialog_factories_hide_foreach): Don't hide dialogs belonging
	to factories with toggle_visibility FALSE.

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_canvas_tool_events): Move no-image event
	handling to a new helper function, and make pressing Tab hide
	windows.

	* app/dialogs/dialogs.c (dialogs_init): Allow toggling visibility
	for all factories except the display-factory.

2008-09-29  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpcurve.c (gimp_curve_copy): no need to memcpy() the
	arrays, they are properly copied by gimp_config_sync() now. Add
	call to gimp_data_dirty() so GimpCurvesConfig gets notified.

	* app/gegl/gimpcurvesconfig.c (gimp_curves_config_set_property):
	use gimp_config_copy() instead of copying the curve menually.

2008-09-29  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdialogfactory.c
	(gimp_dialog_factories_show_foreach)
	(gimp_dialog_factories_hide_foreach): remove some casts that were
	always useless and are even more useless now after the recent
	readability improvement.

2008-09-29  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell.c (gimp_display_shell_new): reduced
	default window height to give a window aspect ratio of roughly 3:1
	as requested by Peter.

2008-09-28  Martin Nordholts  <martinn@svn.gnome.org>

	Bug 472403 – Add bevel script fu does not work if there is no
	selection

	* plug-ins/script-fu/scripts/add-bevel.scm (script-fu-add-bevel):
	Applied modified patch from Barak Itkin that when there is no
	selection makes the bevel be performed on the whole layer instead
	of the whole image (which was broken in the first place). It also
	fixes some bugs with setting the selection when there is no
	initial selection.

2008-09-28  Martin Nordholts  <martinn@svn.gnome.org>

	* plug-ins/script-fu/scripts/add-bevel.scm (script-fu-add-bevel):
	Rename 'select' to 'selection' since that is what it holds.

2008-09-28  Martin Nordholts  <martinn@svn.gnome.org>

	* app/widgets/gimpdialogfactory.c
	(gimp_dialog_factories_show_foreach)
	(gimp_dialog_factories_hide_foreach): Increase readability with
	widget = list->data.

2008-09-27  Martin Nordholts  <martinn@svn.gnome.org>

	Bug 551864 – plugin Flame fails for some settings on 64bit
	machines

	* plug-ins/flame/rect.c (render_rectangle): To handle p[0] and
	p[1] being NaN, make sure that they are "within bounds" instead of
	"not outside bounds".

2008-09-26  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpnavigationview.c: reorder functions and add
	static prototypes.

2008-09-25  Michael Natterer  <mitch@gimp.org>

	* app/base/colorize.c (colorize_calculate): fix calculation of
	final lookup table to not darken the image.

2008-09-25  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-dnd.c
	(gimp_display_shell_drop_pixbuf): use the new helper function here
	too.

2008-09-25  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-dnd.c
	(gimp_display_shell_drop_component)
	(gimp_display_shell_drop_drawable): moved duplicated code into a
	helper function.

2008-09-25  Michael Natterer  <mitch@gimp.org>

	* plug-ins/print/print-draw-page.c
	(print_cairo_surface_from_drawable): free the right array.

2008-09-25  Sven Neumann  <sven@gimp.org>

	* plug-ins/file-jpeg/jpeg.[ch]
	* plug-ins/file-jpeg/jpeg-save.[ch]
	* plug-ins/file-jpeg/jpeg-settings.[ch]: introduced an enum for
	the subsampling factor.

2008-09-25  Sven Neumann  <sven@gimp.org>

	Bug 553412 – JPEG sampling factors not set to 1x1 on grayscale
	images:

	* plug-ins/file-jpeg/jpeg-save.c: always set subsampling to 1x1
	for grayscale images and indicate this properly in the UI.

2008-09-25  Michael Natterer  <mitch@gimp.org>

	Bug 553530 – fatal error: Segmentation fault - when attempting to
	bring up color-picker:

	* modules/color-selector-wheel.c: declare gtk_hsv_get_type() if
	not already done by GTK+. Fixes confusion about its return value
	being 32 or 64 bit on 64 bit machines.

2008-09-25  Michael Natterer  <mitch@gimp.org>

	Bug 549195 – Color Wheel not working (GtkHSV):

	* modules/color-selector-wheel.c: change packing and size requests
	of the GtkHSV and its optional GtkAligmnent depending on the GTK+
	version used to make it work with both the old and the new version
	of the widget. Evil hacks, better don't look :)

2008-09-25  Sven Neumann  <sven@gimp.org>

	* app/core/gimp.[ch]: added a 'restored' flag to the Gimp object
	and set it in gimp_real_restore(). Added method gimp_is_restored().

	* app/gui/gui.c: call gui_unique_init() in gui_init() instead of
	doing that later in gui_restore_after_callback(). By doing so we
	start our DBus service (or message proxy window on Win32) much
	earlier in the start process, thus reducing the time frame where
	two instances of GIMP can be launched.

	* app/gui/gui-unique.c
	* app/gui/gimpdbusservice.c: wait handling the queued file-open
	requests until GIMP is fully restored.

	* app/gui/splash.c (splash_update): only run one iteration of the
	main loop. Doing it in a while loop can cause us to get stuck if
	the gimp-unique service already added an idle handler.

2008-09-24  Martin Nordholts  <martinn@svn.gnome.org>

	Bug 549925 – incorrect math: adding/substracting empty selection
	deselects selection

	* app/tools/gimprectangleselecttool.c
	(gimp_rectangle_select_tool_execute): Be more intuitive when
	clicking outside the current selection for the selection modes Add
	and Subtract. More specifically, don't alter the selection mask at
	all.

2008-09-24  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangleselecttool.c: Added new utility function
	gimp_rectangle_select_tool_get_operation(), and started using it.

2008-09-24  Sven Neumann  <sven@gimp.org>

	* plug-ins/pygimp/pygimp-image.c: undef GIMP_DISABLE_DEPRECATED
	as we need the deprecated gimp_image_free_shadow() here.

	* plug-ins/pygimp/pygimp-drawable.c: added Drawable.free_shadow().

2008-09-24  Sven Neumann  <sven@gimp.org>

	* plug-ins/pygimp/pygimp-drawable.c
	* plug-ins/pygimp/pygimp-image.c: added optional interpolation
	parameters to the image.scale() and layer.scale() methods.

2008-09-24  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcontrollereditor.c
	(gimp_controller_editor_edit_response): call
	gimp_controller_editor_sel_changed() with the right
	GtkTreeSelection object (the editor's, not the action
	list's). Fixes crash upon selecting an action for a controller
	event. Spotted by Alexander Rabtchevich.

2008-09-24  Martin Nordholts  <martinn@svn.gnome.org>

	* tools/pdbgen/pdb/selection.pdb (selection_layer_alpha): Update
	documentation, the layer does not need to have an alpha channel. A
	layer without an alpha channel is considered opaque.

	* app/pdb/selection-cmds.c 
	* libgimp/gimpselection_pdb.c: Regenerated.

2008-09-24  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/layer.pdb
	* tools/pdbgen/pdb/image.pdb: added new scale procedures that
	allow to specify the interpolation explicitly. Fixes bug #486977.
	Also pass the progress parameter to the scale and rotate functions.

	* app/pdb/image-cmds.c
	* app/pdb/internal-procs.c
	* app/pdb/layer-cmds.c
	* libgimp/gimpimage_pdb.[ch]
	* libgimp/gimplayer_pdb.[ch]: regenerated.

	* libgimp/gimp.def: updated.

2008-09-24  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/image.pdb: fixed error and some typos in the
	PDB documentation.

	* app/pdb/image-cmds.c
	* libgimp/gimpimage_pdb.c: regenerated.

2008-09-23  Sven Neumann  <sven@gimp.org>

	* INSTALL
	* configure.in: added --without-wmf option to disable build of the
	WMF plug-in.

2008-09-23  Sven Neumann  <sven@gimp.org>

	Move the "Use GEGL" check-box to the Colors menu (bug #548760):

	* app/actions/Makefile.am
	* app/actions/config-actions.[ch]
	* app/actions/config-commands.[ch]: new files holding the "config"
	action group that includes the "use-gegl" toggle action.

	* app/actions/debug-actions.c
	* app/actions/debug-commands.[ch]: removed the "use-gegl" action
	here.

	* app/menus/menus.c
	* app/actions/actions.c: added the new action group.

	* app/widgets/gimphelp-ids.h: added a help ID for the "use-gegl"
	action.

	* menus/image-menu.xml.in: moved the "Use GEGL" check-box to the
	Colors menu.

2008-09-21  Sven Neumann  <sven@gimp.org>

	* app/actions/windows-actions.c: don't set a help ID on the
	display menu items.

	* app/widgets/gimphelp-ids.h: removed now unused help ID.

	* app/menus/windows-menu.c: show a larger image preview in the
	tooltip.

2008-09-21  Sven Neumann  <sven@gimp.org>

	* INSTALL: mention more explicitely that the '--without-gvfs'
	option should be used with configure if GVfs support is missing.

2008-09-20  Sven Neumann  <sven@gimp.org>

	* app/dialogs/about-dialog.c: put translator comment on a single
	line, looks better in the .po file.

2008-09-20  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/Makefile.am
	* plug-ins/script-fu/script-fu-utils.[ch]: new files containing
	script_fu_stresacpe().

	* plug-ins/script-fu/script-fu-script.c
	* plug-ins/script-fu/script-fu-scripts.[ch]: changed accordingly.

2008-09-20  Simon Budig  <simon@gimp.org>

	* app/core/gimpcurve.c: whitespace fix

	* app/gegl/gimplevelsconfig.c: make sure that the points set by
	default gets unset before calculating the levels->curves
	transition. We don't want stray points in the corners.

2008-09-19  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/script-fu-types.h (struct SFScript): rename
	"menu_path" to "menu_label". Having a full path here is just
	compat cruft.

	* plug-ins/script-fu/script-fu-scripts.c
	* plug-ins/script-fu/script-fu-script.[ch]: changed accordingly.

2008-09-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c: also apply the menu
	mapping on scripts that use script-fu-menu-register to add
	themselves to the menus.

2008-09-19  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/scheme-wrapper.c: move variables to local
	scopes, fix some whitespace and indentation, some misc. cleanup,
	remove comments about array calling conventions that had lots of
	copy and paste errors.

2008-09-19  Sven Neumann  <sven@gimp.org>

	* app/actions/file-actions.c: renamed "file-new-menu" to
	"file-create-menu" and changed the menu label from "New" to "Create".

	* app/plug-in/plug-in-menu-path.c
	* menus/image-menu.xml.in
	* plug-ins/common/screenshot.c
	* plug-ins/script-fu/script-fu.c
	* plug-ins/script-fu/scripts/*.scm
	* plug-ins/twain/twain.c
	* plug-ins/win-snap/winsnap.c: changed accordingly.

2008-09-19  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimp.[ch] (gimp_destroy_paramdefs): fix docs: there is
	no such thing as gimp_query_procedure(), the function is called
	gimp_procedural_db_proc_info().

2008-09-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scheme-wrapper.c
	(script_fu_marshal_procedure_call): increased size of the
	stack-allocated error string.

2008-09-19  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_script_proc):
	fix warning about missing braces around array initializer.

2008-09-19  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/script-fu-script.[ch]: add new functions
	script_fu_script_get_title() and script_fu_script_reset().

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_add_script):
	don't set all default values *and* values when parsing the script,
	just set the defaults and call script_fu_script_reset() afterwards.

	* plug-ins/script-fu/script-fu-interface.c (script_fu_interface):
	use the new script_fu_script_get_title().

	(script_fu_reset): call script_fu_script_reset() and then update
	the UI from the current values, instead of doing slightly
	different things for each arg type.

2008-09-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/help-browser/dialog.c (update_actions): allow to copy
	selected text to the clipboard using Ctrl-C or the right-click
	menu.

2008-09-19  Sven Neumann  <sven@gimp.org>

	* app/actions/plug-in-actions.c (plug_in_actions_history_changed):
	try to use the menu label with ellipsis instead of the result of
	gimp_plug_in_procedure_get_label() which has ellipsis and
	mnemonics stripped.

2008-09-19  Sven Neumann  <sven@gimp.org>

	* app/gegl/gimplevelsconfig.c (gimp_levels_config_to_curves_config):
	need to set the point at the index corresponding to the x value.

2008-09-18  Sven Neumann  <sven@gimp.org>

	* app/core/gimpcurve.c (gimp_curve_plot)
	* app/gegl/gimplevelsconfig.c (gimp_levels_config_to_curves_config):
	formatting.

2008-09-18  Simon Budig  <simon@gimp.org>

	* app/core/gimpcurve.c: comment fix

	* app/gegl/gimplevelsconfig.c: improve the levels->curves
	transition. Not perfect, the result does not match a "real"
	gamma correction, especially in the dark areas, where the
	curves are too dark compared to the levels.

2008-09-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/edge-dog.c: the plug-in can only run on layers,
	not masks and channels. Added a check for this and bail out with
	an error message. Fixes bug #552625.

	* plug-ins/common/curve-bend.c: return error messages via the
	procedure's return values.

2008-09-18  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimppluginprocedure.c
	* libgimp/gimp.c: minor cleanups.

2008-09-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_script_proc):
	don't leak the GError.

2008-09-18  Michael Natterer  <mitch@gimp.org>

	Bug 552785 – Script-fu run errors do not show in UI

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_script_proc):
	fix the code that passes the error message back via the pipe.

2008-09-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_run_command):
	plugged a memory leak.

	* plug-ins/script-fu/script-fu-console.c
	* plug-ins/script-fu/script-fu-server.c: minor cleanup.

2008-09-18  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/script-fu-script.[ch]: add new functions
	script_fu_script_collect_standard_args(),
	script_fu_script_get_command() and
	script_fu_script_get_command_from_params().

	* plug-ins/script-fu/script-fu-scripts.c: remove the resp. code
	here and use above functions instead.

	* plug-ins/script-fu/script-fu-interface.c (script_fu_ok): changed
	loop over args to only copy all widget content into the script's
	values and then call script_fu_script_get_command().

2008-09-18  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdock.c (gimp_dock_style_set): reset the RC
	styles of the dock's children after parsing the RC file snippet
	for them. Fixes font size for detached dockables.

2008-09-18  Tor Lillqvist  <tml@novell.com>

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_add_script):
	Fix small build break.

	* app/plug-in/gimppluginshm.c: Use INVALID_HANDLE_VALUE instead of
	INVALID_FILE_HANDLE which was a misunderstanding.

2008-09-18  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpdock.c: made the font scale factor for the docks
	configurable in gtkrc.

	* themes/Default/gtkrc
	* themes/Small/gtkrc: for documentation purposes, added the
	default value for GimpDock::font-scale here. Changed all style
	property names to use the canonical names.

2008-09-18  Sven Neumann  <sven@gimp.org>

	* app/core/gimpdrawable-shadow.c (gimp_drawable_get_shadow_tiles):
	no need to check if the drawable is attached as shadow tiles are
	per drawable now.

2008-09-18  Simon Budig  <simon@gimp.org>

	* app/gegl/gimpbrightnesscontrastconfig.c: fix the
	brightness/contrast --> levels step by doing proper math (TM).

2008-09-18  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/drawable.pdb: gimp_drawable_mask_intersect()
	and gimp_drawable_mask_bounds() may only be used on attached
	drawables. Added missing checks.

	* app/pdb/drawable-cmds.c: regenerated.

2008-09-18  Sven Neumann  <sven@gimp.org>

	* configure.in (CPPFLAGS): removed G*_DISABLE_SINGLE_INCLUDES until
	we depend on newer versions of GLib and GTK+. Fixes bug #552669.

2008-09-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lcms.c (run): call gimp_displays_flush() at the
	end of all interactive uses. Fixes bug #552104.

2008-09-17  Sven Neumann  <sven@gimp.org>

	* app/actions/edit-actions.c (edit_actions_update): formatting.

2008-09-17  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/script-fu-types.h: add struct SFArg which
	keeps all a script argument's type, label, value and default
	value.

	(struct SFScript): replace separate arrays of type, label etc. by
	one array of SFArg. Remove array of GimpParamDef because they are
	only needed while registering the temp proc.

	* plug-ins/script-fu/Makefile.am
	* plug-ins/script-fu/script-fu-script.[ch]: new files implementing
	script_fu_script_new(), script_fu_script_free(),
	script_fu_script_register_proc() and
	script_fu_script_unregister_proc().

	* plug-ins/script-fu/script-fu-scripts.c: remove lots of code now
	implemented in script-fu-script.c. Changed stuff according to the
	introduction of SFArg. Moved variables to local scopes. Most
	changes are in script_fu_add_script(), almost every line changed
	and it's hopefully more readable now. Lots of cleanup all over the
	place.

	* plug-ins/script-fu/script-fu-interface.c: changed stuff
	according to the introduction of SFArg

2008-09-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/pygimp/plug-ins/pyconsole.py: removed she-bang as this
	file is not a plug-in. Addresses bug #552601.

2008-09-17  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpimage.c (gimp_image_get_colormap): allow to pass
	NULL for "num_colors".

	* plug-ins/print/print-draw-page.c: added missing conversion
	routines for indexed images. Fixes bug #552609.

2008-09-17  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdockable.c: cosmetic paranoia.

2008-09-17  Michael Natterer  <mitch@gimp.org>

	Revert the change which adds GError parameters to
	gimp_image_add_{channel,layer,vectors}():

	* app/actions/channels-commands.c
	* app/actions/edit-commands.c
	* app/actions/layers-commands.c
	* app/actions/vectors-commands.c
	* app/core/gimp-edit.c
	* app/core/gimpimage-duplicate.c
	* app/core/gimpimage-merge.c
	* app/core/gimpimage-quick-mask.c
	* app/core/gimpimage.[ch]
	* app/core/gimplayer-floating-sel.c
	* app/core/gimpselection.c
	* app/core/gimptemplate.c
	* app/display/gimpdisplayshell-dnd.c
	* app/text/gimptext-compat.c
	* app/tools/gimptexttool.c
	* app/tools/gimpvectortool.c
	* app/vectors/gimpvectors-import.c
	* app/widgets/gimpchanneltreeview.c
	* app/widgets/gimpitemtreeview.[ch]
	* app/widgets/gimplayertreeview.c
	* app/widgets/gimptoolbox-dnd.c
	* app/widgets/gimpvectorstreeview.c
	* app/xcf/xcf-load.c: revert.

	Instead, fix it at the PDB level:

	* app/core/gimpimage.c: turn the "added to wrong image" warning
	into a g_return_val_if_fail() assertion.

	* app/pdb/gimppdb-utils.[ch] (gimp_pdb_item_is_floating): add a
	"dest_image" parameter and fail if the passed item is not for this
	image.

	* tools/pdbgen/pdb/image.pdb
	* tools/pdbgen/pdb/layer.pdb
	* tools/pdbgen/pdb/paths.pdb: pass the dest image to
	gimp_pdb_item_is_floating().

	* app/pdb/image-cmds.c
	* app/pdb/layer-cmds.c
	* app/pdb/paths-cmds.c: regenerated.

2008-09-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_load_script):
	tweaked error message.

	* plug-ins/script-fu/script-fu-interface.c (script_fu_ok): set the
	PDB error handler to GIMP_PDB_ERROR_HANDLER_PLUGIN while
	interpreting the script.

2008-09-17  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/script-fu-interface.c (script_fu_interface):
	fix indentation.

2008-09-17  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/file-header.c
	* plug-ins/common/file-psp.c
	* plug-ins/common/file-xbm.c
	* plug-ins/common/file-xpm.c
	* plug-ins/common/hot.c
	* plug-ins/common/mail.c: add const plus misc. cleanups.

2008-09-17  Michael Natterer  <mitch@gimp.org>

	* plug-ins/file-fits/fits.c
	* plug-ins/gimpressionist/gimpressionist.h
	* plug-ins/gimpressionist/presets.c
	* plug-ins/gimpressionist/utils.c
	* plug-ins/gradient-flare/gradient-flare.c
	* plug-ins/ifs-compose/ifs-compose-storage.c
	* plug-ins/imagemap/imap_default_dialog.[ch]
	* plug-ins/imagemap/imap_object.h
	* plug-ins/map-object/map-object-ui.c: add const plus some minor
	unrelated cleanups.

2008-09-17  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage.[ch]: add GError parameter to
	gimp_image_add_{channel,layer,vectors}() and remove calls to
	g_warning(). Changed checks to be possible failures at all.

	* app/widgets/gimpitemtreeview.h (GimpAddItemFunc): add the GError
	here too.

	* app/actions/channels-commands.c
	* app/actions/edit-commands.c
	* app/actions/layers-commands.c
	* app/actions/vectors-commands.c
	* app/core/gimp-edit.c
	* app/core/gimpimage-duplicate.c
	* app/core/gimpimage-merge.c
	* app/core/gimpimage-quick-mask.c
	* app/core/gimplayer-floating-sel.c
	* app/core/gimpselection.c
	* app/core/gimptemplate.c
	* app/display/gimpdisplayshell-dnd.c
	* app/text/gimptext-compat.c
	* app/tools/gimptexttool.c
	* app/tools/gimpvectortool.c
	* app/vectors/gimpvectors-import.c
	* app/widgets/gimpchanneltreeview.c
	* app/widgets/gimpitemtreeview.c
	* app/widgets/gimplayertreeview.c
	* app/widgets/gimptoolbox-dnd.c
	* app/widgets/gimpvectorstreeview.c
	* app/xcf/xcf-load.c: pass a NULL error.

	* tools/pdbgen/pdb/image.pdb
	* tools/pdbgen/pdb/paths.pdb: pass the error.

	* app/pdb/image-cmds.c
	* app/pdb/paths-cmds.c: regenerated.

2008-09-16  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.5.5.

2008-09-16  Sven Neumann  <sven@gimp.org>

	* Made 2.5.4 development release.

2008-09-16  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage.[ch]: added GError parameter to
	gimp_image_{raise,lower}_{channel,layer,vectors} functions and
	removed calls to g_message().

	* app/actions/channels-commands.c
	* app/actions/layers-commands.c
	* app/actions/vectors-commands.c: pass NULL for the GError
	parameter as these actions are insensitive if they would fail.

	* tools/pdbgen/pdb/image.pdb: changed accordingly. Corrected the
	documentation.

	* app/pdb/image-cmds.c
	* libgimp/gimpimage_pdb.c: regenerated.

2008-09-16  Sven Neumann  <sven@gimp.org>

	* app/core/gimppalette-load.c (gimp_palette_load): unified error
	messages.

2008-09-16  Michael Natterer  <mitch@gimp.org>

	* app/actions/actions.c: use the "tool options" icon for the
	"context" action group since that's what its actions mostly
	control.

	* app/actions/dialogs-actions.c: use the "brush", "gradient" and
	"palette" icons also for their resp. editors since that's also the
	icons they use in their dockable tabs.

2008-09-15  Michael Natterer  <mitch@gimp.org>

	* app/core/gimplayer.[ch] (gimp_layer_add_mask): add GError
	parameter and replace g_message() by g_set_error().

	* app/core/gimplayermaskundo.c
	* app/xcf/xcf-load.c
	* app/actions/layers-commands.c: pass NULL errors since these
	places know what they are doing. Ha ha...

	* tools/pdbgen/pdb/layer.pdb
	* tools/pdbgen/pdb/image.pdb: pass the error so we get more real
	error messages for failed PDB calls.

	* app/pdb/image-cmds.c
	* app/pdb/layer-cmds.c: regenerated.

2008-09-15  Michael Natterer  <mitch@gimp.org>

	Bug 552413 – Script triggers Gimp-Core-CRITICAL

	* tools/pdbgen/pdb/image.pdb
	* tools/pdbgen/pdb/layer.pdb: add some more checks that produce
	proper PDB error messages when adding and removing layer masks
	instead of having the code run into assertions in the called core
	functions. Also add some more checks when removing layers,
	channels or vectors.

	* app/pdb/image-cmds.c
	* app/pdb/layer-cmds.c: regenerated.

2008-09-14  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/tinyscheme/scheme.c (mk_vector), (opexe_2):
	Applied changes from official version of TinyScheme which adds
	tests for when mk_vector is out of memory. Can't rely on sc->sink.

2008-09-13  Michael Schumacher  <schumaml@cvs.gnome.org>

	* app/actions/edit-actions.c (edit_actions): removed double "the"
	from translatable string. Fixes bug #552127.

2008-09-13  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lcms.c (lcms_image_apply_profile): flush the
	displays after closing the undo group. Should fix bug #552104.

2008-09-12  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/tinyscheme/scheme.c
	* plug-ins/script-fu/tinyscheme/scheme.h: Applied changes from
	official version of TinyScheme which expose more of the internals.
	Part of making it more suitable for Scheme->C->Scheme calling.
	See SourceForge bug #1599947.

2008-09-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/guillotine.c: return the list of created images.
	Only create displays when running in interactive mode.

2008-09-12  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdata.h: changed GimpBrush::get_extension() to return
	const gchar* instead of gchar*

	* app/core/gimpbrush.c
	* app/core/gimpbrushgenerated.c
	* app/core/gimpcurve.c
	* app/core/gimpgradient.c
	* app/core/gimppalette.c
	* app/core/gimppattern.c: changed accordingly.

2008-09-11  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/tinyscheme/CHANGES: Updating to match version
	in official version of TinyScheme.

	* plug-ins/script-fu/tinyscheme/scheme.c: Applied changes from
	official version of TinyScheme which adds entry point for nested
	calling. Part of making it more suitable for Scheme->C->Scheme
	calling. See SourceForge bug #1599945. Updated usage information
	using text from Manual.txt. See SourceForge bug #1825395.

2008-09-11  Michael Natterer  <mitch@gimp.org>

	* configure.in: forgot to remove plug-ins/script-fu/re here.

2008-09-11  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/scheme-wrapper.[ch]: reordered and renamed
	functions to be consistent. Got rid of file-global "register_scripts"
	variable. Pass more "scheme *sc" pointers around to reduce usage
	or the global variable.

	* plug-ins/script-fu/script-fu-eval.c
	* plug-ins/script-fu/script-fu-scripts.c
	* plug-ins/script-fu/script-fu-server.c
	* plug-ins/script-fu/script-fu.c: changed accordingly.

2008-09-11  Michael Natterer  <mitch@gimp.org>

	* app/core/gimp-modules.c (gimp_modules_unload): make a string
	pointer const.

2008-09-11  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/script-fu-regex.[ch]: namespace, copyright
	headers, indentation, formatting, everything...

	* plug-ins/script-fu/scheme-wrapper.c: changed accordingly. Some
	formatting cleanup here too.

2008-09-11  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpexport.c (struct ExportAction): make string members
	const.

2008-09-11  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_load_script):
	convert the filename to UTF-8 before displaying it in the error
	message.

2008-09-11  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_run_command):
	use g_set_error() instead of g_set_error_literal() which is only
	available in glib 2.18.

2008-09-11  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/Makefile.am
	* plug-ins/script-fu/re/*: removed....

	* plug-ins/script-fu/script-fu-regex.[ch]: and replaced with a
	few-liner using GRegex. Seems to have some issues that need to be
	sorted out.

	* plug-ins/script-fu/scheme-wrapper.c: changed accordingly.

2008-09-10  Michael Natterer  <mitch@gimp.org>

	Change Script-Fu error handling to properly use the new error
	message passing in PDB return values:

	* plug-ins/script-fu/script-fu-scripts.[ch]: remove function
	script_fu_error_msg().

	* plug-ins/script-fu/script-fu-interface.c (script_fu_ok): output
	errors of interactive script-fu dialogs directly here with
	g_message().

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_run_command):
	add GError and return the error message instead of displaying it.

	(script_fu_load_script): show the returned error here (and make it
	more specific than the former script_fu_error_msg() did).

	(script_fu_script_proc): return error messages via the procedure's
	return values.

	* plug-ins/script-fu/scheme-wrapper.c
	(script_fu_marshal_procedure_call): if an error message was
	returned from the PDB call, pass it to foreign_error() so it ends
	up where it should (console, text console or error string).

	* plug-ins/script-fu/script-fu-console.c
	* plug-ins/script-fu/script-fu-text-console.c: set the error
	handler to PLUGIN while interpreting scheme, we handle errors
	from calling back into the PDB ourselves now.

2008-09-10  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/tinyscheme/scheme.h: fix prototype (foo() is
	not a prototype, use foo(void) instead).

2008-09-10  Tor Lillqvist  <tml@novell.com>

	* app/gui/gui-unique.c: Untabify.

	* app/gui/gui-unique.c (gui_unique_win32_exit): Destroy the proxy
	window here so that gimp_unique_win32_open() in app/unique.c won't
	find it. This is important especially in a developer version where
	the debug output window might be left open and the proxy window
	otherwise would still exist for a long time after the GTK+ main
	loop of the GIMP GUI has finished. Thanks to Michael Schumacher
	for pointing this out.

	There is still a small race window here after GIMP has begun
	closing down its GUI in gui_exit_callback() and before the proxy
	window has gone away. If another GIMP starts during that interval,
	it will find the proxy window and send it a message, which will
	then either be ignored, or the proxy window will have been
	destroyed before it gets the message. Let's ignore that. There is
	a much wider time window during which multiple GIMP instances may
	be started during GIMP startup anyway.

	* app/gui/gui-unique.c: gui_unique_win32_message_handler() can be
	static. Include file/file-open.h for file_open_from_command_line()
	declaration. Fix copy/paste glitch in gui_unique_exit().

2008-09-10  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpactionview.c: factor out function that selects a
	path and scrolls to that path. Keep the selected path visible if
	it is still there after filtering.

2008-09-10  Michael Natterer  <mitch@gimp.org>

	* app/actions/context-actions.c: made action labels more
	consistent, use '°' instead of 'degrees'.

	* app/actions/context-commands.c: cosmetic change in macro
	parameters.

2008-09-10  Michael Natterer  <mitch@gimp.org>

	* plug-ins/file-uri/uri-backend-wget.c
	* plug-ins/file-xjt/xjt.c: s/while (1)/while (TRUE)/

2008-09-09  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/scheme-wrapper.c
	(script_fu_marshal_procedure_call): remove debug arrays to map the
	values of registered enums to strings. Look up the strings
	registered with the type system instead.

2008-09-09  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/scheme-wrapper.c: fix formatting of prototypes.

	(script_fu_marshal_procedure_call): move variables to local scopes
	where possible. Make this function a bit readable by indenting the
	debug code in DEBUG_MARSHAL normally.

2008-09-09  Michael Natterer  <mitch@gimp.org>

	* app/Makefile.am
	* plug-ins/script-fu/Makefile.am: remove references to $(REGEXREPL).

2008-09-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/file-psd/psd-save.c (create_merged_image): don't leak
	the GimpDrawable.

2008-09-09  Martin Nordholts  <martinn@svn.gnome.org>

	* plug-ins/file-psd/psd-save.c (save_data): Formating.

2008-09-08  Sven Neumann  <sven@gimp.org>

	* authors.xml: some more updates.

	* AUTHORS: regenerated.

2008-09-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/file-psd/psd-save.c: applied patch from Dennis Ranke as
	attached to bug #551231. Changes the PSD save plug-in to store
	transparency data in the image data section. Also fixes bug #551232
	(saving an indexed image with multiple layers as PSD modifies the
	image).

2008-09-08  Sven Neumann  <sven@gimp.org>

	* app/paint/gimpbrushcore.c: based on a patch from David Gowers
	clamp the brush scale so that the brush never becomes smaller than
	0.5 pixels. Fixes bug #548631.

2008-09-08  Michael Natterer  <mitch@gimp.org>

	Bug 551306 – Color picker for text tool does not show selected
	palette

	* app/tools/gimptexttool.c (gimp_text_tool_register): add
	GIMP_CONTEXT_PALETTE_MASK to the tool option's context mask so the
	color popup's palette follows the globally selected palette.

2008-09-08  Sven Neumann  <sven@gimp.org>

	* authors.xml: restored alphabetic order. Use real name instead of
	a nick.

	* AUTHORS: regenerated.

	* app/dialogs/authors.xsl: changed rule to only include
	contributors from the 2.6 development cycle in the About dialog.

2008-09-08  Roman Joost  <romanofski@gimp.org>

	* authors.xml: updated documenters who contributed to the user
	manual since 2.4

2008-09-07  Sven Neumann  <sven@gimp.org>

	Applied 'gimp-decimate.diff' as announced on the mailing-list:

	* app/gimp-log.[ch]: added log domain "scale".

	* app/paint-funcs/scale-region.c: replaced decimation routines
	with box filters. Only use the decimation routines to pre-scale
	the image, always apply the interpolation for the final step.

2008-09-07  Martin Nordholts  <martinn@svn.gnome.org>

	* app/widgets/gimpnavigationview.c
	(gimp_navigation_view_set_marker): Invalidating the view renderer
	is just plain wrong, revert to redrawing the view. We will need to
	solve the flicker in some other way.

2008-09-07  Martin Nordholts  <martinn@svn.gnome.org>

	* plug-ins/common/file-raw.c (load_dialog): Set the allowed max
	values for Width and Height to the size of the image to load
	instead of an arbitrary max of 4096.

2008-09-07  Martin Nordholts  <martinn@svn.gnome.org>

	Bug 551141 – "Select all" does not work

	* app/core/gimpchannel.c (gimp_channel_real_all): We don't want to
	clear the region, we want to fill it with OPAQUE_OPACITY.

2008-09-06  Martin Nordholts  <martinn@svn.gnome.org>

	* plug-ins/file-psd/psd-load.c (add_merged_image): Use the new
	COMP_MODE_SIZE constant instead of a magic number.

2008-09-06  Martin Nordholts  <martinn@svn.gnome.org>

	Bug 544939 – PSD Plugin crash (maybe only PSD files created by
	Paintshop Pro)

	* plug-ins/file-psd/psd-load.c (add_layers): Fix integer underflow
	and only attempt to read channel data if there is any channel
	data.

2008-09-06  Martin Nordholts  <martinn@svn.gnome.org>

	* plug-ins/file-psd/psd-load.c (add_layers): Also consider unknown
	compression methods unsupported. This gives an error message
	instead of a crash for PSD file attached to bug #544939. The PSD
	loader still fails to read the correct compression method however.

2008-09-06  Michael Natterer  <mitch@gimp.org>

	* app/gegl/gimpoperationhuesaturation.c
	(gimp_operation_hue_saturation_process): don't use // for comments.

2008-09-06  Martin Nordholts  <martinn@svn.gnome.org>

	* app/gegl/gimpoperationhuesaturation.c
	(gimp_operation_hue_saturation_process): mapped_* -> mapped_*_hue.

2008-09-06  Martin Nordholts  <martinn@svn.gnome.org>

	Bug 527085 – Hue/Saturation (working improperly)

	* app/gegl/gimpoperationhuesaturation.c
	(gimp_operation_hue_saturation_process): Properly map the
	secondary hue. Based on patch by Michael Deal.

2008-09-05  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpgegltool.c: blacklist "color-convert" and all GIMP
	operations.

2008-09-05  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpgegltool.c: added a blacklist of operations that
	should not be shown. We may want to add more operations here.

2008-09-05  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/gimpplugindebug.[ch] (gimp_plug_in_debug_argv): made
	the "args" parameter const.

	* app/plug-in/gimpplugin.c (gimp_plug_in_open): made some strings
	const.

2008-09-05  Michael Natterer  <mitch@gimp.org>

	* plug-ins/file-fits/fits-io.[ch]: add some const.

2008-09-05  Michael Natterer  <mitch@gimp.org>

	Bug 545325 – Scrollbars do not disappear automatically

	* app/widgets/gimpcontainertreeview.c: autosize the columns after
	each operation that can reduce the treeview's width.

2008-09-05  Michael Natterer  <mitch@gimp.org>

	Bug 550983 – The size displayed in the status bar isn't correct

	* app/tools/gimprectangletool.c: use the right precision when
	pushing the rectangle's size as coordinates to the statusbar.

2008-09-05  Michael Natterer  <mitch@gimp.org>

	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h
	* app/widgets/gimpactioneditor.[ch]: new simple widget which
	contains a GimpActionView plus the search entry.

	* app/dialogs/keyboard-shortcuts-dialog.c: use the new widget
	instead of implementing the search entry here.

	* app/widgets/gimpcontrollereditor.c: use a GimpActionEditor
	instead of GimpActionView so the actions become searchable here
	too.

2008-09-04  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptransformtool.c (gimp_transform_tool_initialize):
	expose the preview when the tool is initialized. Fixes missing
	redraws when the tool is selected from the menus (bug #550911).

	(gimp_transform_tool_motion): expose the preview after
	recalculating the transformation matrix.

2008-09-04  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-dnd.c: improved the new DND code.

2008-09-04  Tor Lillqvist  <tml@novell.com>

	* app/base/base-utils.h
	* app/base/base-utils.c: The return type of get_pid() should be
	gint, not GPid. This matches also the C library on Windows, in
	which the return type of getpid() is int, not a pointer or
	intptr_t. The use for GPid in the GLib API is as a "handle" to a
	descendant processes, returned by the g_spawn_*() functions, and
	passed to the g_child_watch_*() functions, not as a "process
	identifier".

	* tools/gimptool.c: Make it compile without warnings also with gcc
	-Wwrite-strings. Use cmd.exe instead of command.com to execute the
	COPY and DEL commands on Windows.

2008-09-04  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-dnd.c
	(gimp_display_shell_drop_drawable) (gimp_display_shell_drop_pixbuf):
	handle drops on the empty image window.

2008-09-04  Sven Neumann  <sven@gimp.org>

	* app/dialogs/keyboard-shortcuts-dialog.c: tweaked spacing between
	entry and button and resolved a mnemnic conflict.

2008-09-04  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpactionview.[ch]: add a column for the casefold
	label of the action and filter on that.

	* app/dialogs/keyboard-shortcuts-dialog.c: add a button to clear
	the filter entry. Changed the label to "Search:".

2008-09-04  Michael Natterer  <mitch@gimp.org>

	* plug-ins/gfig/gfig-dobject.h
	* plug-ins/gfig/gfig-style.c: some more const.

2008-09-04  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpactionview.[ch]: add a GtkTreeModelFilter
	between the GtkTreeView and the actual GtkTreeStore. Add API to
	set the filter which is simply a string that's matched with
	strstr(). Quite some things improvable here...

	* app/dialogs/keyboard-shortcuts-dialog.c: add a "Filter" entry
	and set the filter on the action view.

2008-09-04  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpprocview.[ch]: made the GimpParamDef parameter in
	gimp_proc_view_new() const.

2008-09-04  Michael Natterer  <mitch@gimp.org>

	* tools/gimptool.c: add tons of const.

2008-09-04  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/gimpreloc.c (set_gerror): made the error_message
	variable const.

2008-09-04  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/gimpbasetypes.h
	(struct GimpEnumDesc)
	(struct GimpFlagsDesc): made the value_desc and value_help members
	const, just as the corresponding GEnumValue and GFlagsValue
	members. This is technically an API change but shouldn't hurt
	since it totally reflects how they are used.

2008-09-04  Michael Natterer  <mitch@gimp.org>

	* plug-ins/color-rotate/color-rotate-callbacks.c
	* plug-ins/common/filter-pack.c
	* plug-ins/common/nova.c
	* plug-ins/common/sample-colorize.c: get rid of calls to
	gdk_window_get_pointer(), use the coords from the motion event
	and use gdk_event_request_motions().

	* plug-ins/color-rotate/color-rotate-callbacks.[ch]: some
	unrelated cleanup while i was at it.

2008-09-04  Sven Neumann  <sven@gimp.org>

	* app/composite/make-installer.py
	* app/composite/ns.py
	* app/dialogs/tips-dialog.c
	* app/display/gimpdisplayshell-callbacks.c
	* app/display/gimpdisplayshell-scroll.c
	* app/display/gimpdisplayshell.c
	* app/display/gimpnavigationeditor.c
	* app/paint/gimppaintcore-stroke.c
	* app/tools/gimpcroptool.c
	* app/widgets/gtkscalebutton.c
	* plug-ins/common/animation-play.c
	* plug-ins/common/displace.c
	* plug-ins/common/file-raw.c
	* plug-ins/imagemap/imap_cern_lex.c
	* plug-ins/imagemap/imap_cern_parse.c
	* plug-ins/imagemap/imap_csim_lex.c
	* plug-ins/imagemap/imap_csim_parse.c
	* plug-ins/imagemap/imap_ncsa_lex.c
	* plug-ins/imagemap/imap_ncsa_parse.c
	* plug-ins/pygimp/gimpfu.py
	* plug-ins/pygimp/gimpshelf.py
	* plug-ins/pygimp/gimpthumbmodule.c
	* plug-ins/pygimp/gimpui.py
	* plug-ins/pygimp/gimpuimodule.c
	* plug-ins/pygimp/plug-ins/benchmark-foreground-extract.py
	* plug-ins/pygimp/plug-ins/foggify.py
	* plug-ins/pygimp/plug-ins/palette-offset.py
	* plug-ins/pygimp/plug-ins/palette-sort.py
	* plug-ins/pygimp/plug-ins/palette-to-gradient.py
	* plug-ins/pygimp/plug-ins/py-slice.py
	* plug-ins/pygimp/plug-ins/python-console.py
	* plug-ins/pygimp/plug-ins/python-eval.py
	* plug-ins/pygimp/plug-ins/whirlpinch.py
	* plug-ins/pygimp/pygimp-colors.c
	* plug-ins/pygimp/pygimp-drawable.c
	* plug-ins/pygimp/pygimp-image.c
	* plug-ins/script-fu/re/engine.c
	* plug-ins/script-fu/re/regerror.c
	* plug-ins/script-fu/tinyscheme/dynload.c
	* plug-ins/twain/tw_func.c
	* plug-ins/twain/tw_util.c
	* plug-ins/twain/tw_win.c
	* plug-ins/twain/twain.h
	* tools/defcheck.py
	* tools/gimppath2svg.py: removed trailing whitespace.

2008-09-03  Lars-Peter Clausen  <lars@metafoo.de>

	* plugin-ins/pygimp/pygimp-tile.c: Removed trailing whitespace.

2008-09-03  Lars-Peter Clausen  <lars@metafoo.de>

	* plugin-ins/pygimp/pygimp.h: define PyInt_AsSsize_t as PyInt_AsLong
	if the python version is smaller then 2.5.0.
	* configure.in: Lower required python version to 2.4.

2008-09-03  Michael Natterer  <mitch@gimp.org>

	* app/pdb/gimpprocedure.[ch] (gimp_procedure_set_static_strings):
	made the string parameters const.

2008-09-03  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcontrollerkeyboard.c (struct _KeyboardEvent)
	* app/widgets/gimpcontrollerwheel.c (struct _WheelEvent): made the
	blurbs const.

2008-09-03  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpnavigationview.c
	(gimp_navigation_view_motion_notify): remove the call to
	gdk_window_get_pointer() again.

	(gimp_navigation_view_grab_pointer): instead, grab the pointer
	properly with owner_events=FALSE so all events are reported with
	respect to the widget's window.

2008-09-03  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c
	* libgimpwidgets/gimpcolorselect.c
	* modules/color-selector-water.c
	* plug-ins/ifs-compose/ifs-compose.c: instead of using
	gdk_window_get_pointer() if GdkEventMotion::is_hint is TRUE,
	simply always use the coords from the event and call
	gdk_event_request_motions() to ask for more motion events. This is
	the recommended way and also works for events from devices other
	than the core pointer.

	* plug-ins/ifs-compose/ifs-compose.c (design_area_motion): some
	code cleanup while i was at it.

2008-09-03  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimpbutton.c: massively simplified. Don't fiddle
	in GtkButton's internals (like setting "in_button" and forcing
	redraws). Instead, simply remember the modifier state in
	button_press() and check it in clicked(); if the state is != 0,
	stop the "clicked" emission and emit "extended-clicked" instead.

2008-09-03  Michael Schumacher  <schumaml@cvs.gnome.org>

	* configure.in: bumped minimum required Python version to 2.5.0,
	because of PyInt_AsSsize_t. Fixes bug #550576.

2008-09-03  Sven Neumann  <sven@gimp.org>

	* README.i18n: removed lots of outdated information directed at
	developers and only kept the most important hints for translators.

2008-09-02  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimppluginshm.c: if INVALID_FILE_HANDLE is undefined,
	define it as the constant that we used to use here.

2008-09-02  Aurimas Juška  <aurisj@svn.gnome.org>

	* libgimp/gimpzoompreview.c (gimp_zoom_preview_draw_buffer),
	(gimp_zoom_preview_set_drawable): fixed GimpZoomPreview to handle
	layers with offsets and display intersection of layer and selection
	in the preview. (bug #156905)

2008-09-02  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpstatusbar.c: use gtk_widget_get_style() instead
	of widget->style.

2008-09-02  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimpruler.c: use gtk_widget_get_style() instead
	of widget->style. Reduce indentation by one level in
	gimp_ruler_draw_pos().

2008-09-02  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpselectiondata.c: no need to set strlen(sting)+1
	bytes on the GtkSelectionData because gtk_selection_data_set()
	zero-terminates all data anyway.

2008-09-02  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpselectiondata.c (gimp_selection_data_get_name):
	return a const string, no need to strdup it since it's only used
	temporarily in this file.

	(gimp_selection_data_get_image)
	(gimp_selection_data_get_component)
	(gimp_selection_data_get_item)
	(gimp_selection_data_get_object): changed accordingly. Move
	variables to local scopes and simplify.

2008-09-02  Sven Neumann  <sven@gimp.org>

	* configure.in: removed ALL_LINGUAS definition.

	* po*/LINGUAS: introduced LINGUAS file instead. This allows to
	keep individual lists of languages for each textdomain and it
	makes it easier for translators to add a new language.

2008-09-01  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimppluginshm.c (gimp_plug_in_shm_new): use the
	constant INVALID_FILE_HANDLE instead of 0xFFFFFFFF. Fixes shared
	memory tile transport on 64bit Windows systems.

2008-09-01  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/paint-funcs.[ch]: added clear_region().

	* app/base/tile-manager-crop.c
	* app/core/gimpchannel.c
	* app/core/gimpimage-merge.c
	* app/core/gimpmaskundo.c
	* app/core/gimpprojection-construct.c: use it instead of calling
	color_region() with a zero color.

2008-09-01  Sven Neumann  <sven@gimp.org>

	* app/core/gimpprojection-construct.c (gimp_projection_initialize):
	also need to initialize the projection if the layer mask could
	introduce transparency. Fixes bug #550024.

2008-08-31  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_set_initial_scale): We need to set the scale
	before using it. Fixes at least gimp_display_shell_fill() and
	Image -> Duplicate giving weird initial scales.

2008-08-30  Michael Natterer  <mitch@gimp.org>

	* tools/test-clipboard.c (test_clipboard_paste): fix length
	calculation (in fact, no calculation is needed at all).

2008-08-29  Sven Neumann  <sven@gimp.org>

	* authors.xml: fixed role of Aurore Derriennic.

	* AUTHORS: regenerated.

2008-08-29  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimppreviewarea.c (gimp_preview_area_expose):
	remove g_return_val_if_fail(), this is not a public function.

2008-08-29  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimplayertreeview.c
	* libgimpwidgets/gimpcolorscales.c
	* libgimpwidgets/gimppropwidgets.c
	* libgimpwidgets/gimpscaleentry.c
	* libgimpwidgets/gimpwidgets.c: use gtk_adjustment_get_value()
	instead of adjustment->value.

2008-08-29  Lars-Peter Clausen  <lars@metafoo.de>
	
	* plug-ins/pygimp/gimpui.defs
	* plug-ins/pygimp/gimpui.override:
	Readded wrapper for the new GimpRuler.

2008-08-29  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpruler.c (gimp_ruler_new): fixed gtk-doc comment.

2008-08-29  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/Makefile.am
	* libgimpwidgets/gimpwidgets.h
	* libgimpwidgets/gimphruler.[ch]
	* libgimpwidgets/gimpvruler.[ch]: remove separate H/VRuler classes.

	* libgimpwidgets/gimpruler.[ch]: add an "orientation" property
	instead. Add gimp_ruler_new().

	* libgimpwidgets/gimpwidgets.def: changed accordingly.

	* app/dialogs/resolution-calibrate-dialog.c
	* app/display/gimpdisplayshell.c
	* plug-ins/gfig/gfig-preview.c
	* plug-ins/imagemap/imap_preview.c: ditto.

2008-08-29  Lars-Peter Clausen  <lars@metafoo.de>

	* plug-ins/pygimp/gimpui.defs
	* plug-ins/pygimp/gimpui.override:
	Removed wrappers for GimpRuler, GimpHRuler, GimpVRuler, as those
	are going to be removed from libgimpwidgets.

2008-08-29  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimphelp.c: #include "gimpwidgets-utils.h", not
	"gimpwidgets-utils.c" (eek).

2008-08-28  Lars-Peter Clausen  <lars@metafoo.de>

	* plug-ins/pygimp/gimpui.defs
	* plug-ins/pygimp/gimpui.override:
	Wrapped GimpRuler, GimpHRuler and GimpVRuler widgets.

2008-08-28  Lars-Peter Clausen  <lars@metafoo.de>

	* plug-ins/pygimp/gimpui.defs
	* plug-ins/pygimp/gimpui.override:
	Merged gimpui.{defs,override} from pygimp GSoC project.
	Updates gimpui module to have bindings for most widgets functions.
 
2008-08-28  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_to): Canonically calculate scale to use
	for zoom-focus calculations so that it also works when not in Dot
	by dot-mode.

2008-08-28  Martin Nordholts  <martinn@svn.gnome.org>

	* app/core/gimpimage.[ch]: Make the size-changed-detailed signal
	also contain previous image size.

	* app/display/gimpdisplayshell-handlers.c
	(gimp_display_shell_size_changed_detailed_handler): Take the
	previous image size into account and center the image if it starts
	to fit (axis indepentently) in the viewport due to the resize.

	* app/core/gimpundo.h
	* app/core/gimpimage-undo.c
	* app/core/gimpimageundo.[ch]
	* app/core/gimpimage-undo-push.[ch]: Manage the
	previous-size-information.

	* app/core/gimpimage-crop.c
	* app/core/gimpimage-scale.c
	* app/core/gimpimage-rotate.c
	* app/core/gimpimage-resize.c: Propagate previous size to the
	size-changed-detailed signal emission and the undo-system.

2008-08-28  Sven Neumann  <sven@gimp.org>

	* app/config/gimpguiconfig.[ch]: allow to disable the Wilber image
	shown at the top of the toolbox.

	* app/widgets/gimptoolbox.c: honor the new gimprc option.

	* app/config/gimprc-blurbs.h: document the old and new toolbox
	preferences.

2008-08-28  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimprectangletool.c: some tiny formatting fixes.

2008-08-28  Sven Neumann  <sven@gimp.org>

	* configure.in: use echo, not $echo in the Win32-specific code
	that sets up the Python build variables.

2008-08-28  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c (scale_determine_progress):
	(scale_region_tile): fixed shift direction.

2008-08-27  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpuimanager.c (gimp_ui_manager_item_key_press):
	try the find_widget_under_pointer() hack only if the menu item's
	parent is really a GtkMenu (not a GtkMenuBar). Fixes crash spotted
	by rubikcube.

2008-08-27  Lars-Peter Clausen  <lars@metafoo.de>

	* plug-ins/pygimp/pygimp-tile.c
	(pr_subscript): Removed some unnecessary g_new/g_free and improved 
	range checking.
	(pr_ass_sub): Improved range checking.
	(pygimp_pixel_rgn_new): Clamp pixel region size to the drawable's size.

2008-08-27  Sven Neumann  <sven@gimp.org>

	* app/core/gimp-transform-region.c: sprinkled more const qualifiers.

	* app/paint-funcs/scale-region.c: call the progress callback less
	often.

2008-08-27  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptransformtool.c: moved hiding the dialog from 
	gimp_transform_tool_real_transform() to gimp_transform_tool_doit().
	Delay undrawing the preview in doit() until the transformation is
	done. This removes the annoying flicker at the end.

2008-08-27  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptransformtool.c (gimp_transform_tool_real_transform):
	hide the tool dialog before starting to perform the transformation.

2008-08-27  Sven Neumann  <sven@gimp.org>

	* app/core/gimp-transform-region.c: also use PixelSurround for the
	linear interpolation. Sprinkled some const qualifiers.

2008-08-26  Lars-Peter Clausen  <lars@metafoo.de>

	* plug-ins/pygimp/gimpmodule.c:
	Don't set tp_new for PyGimpTile_Type and PyGimpPixelRgn_Type as both
	don't have init functions.

2008-08-26  Lars-Peter Clausen  <lars@metafoo.de>

	* plug-ins/pygimp/pygimp-tile.c
	(pf_init): Ensure that the python drawables gimp drawable is set.
	(pf_dealloc): Don't crash if the pixel fetchers init function failed.

2008-08-26  Sven Neumann  <sven@gimp.org>

	* app/base/pixel-surround.c: updated documentation.

2008-08-26  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c: further simplified the code path
	that is executed when a brush is scaled up. We don't need to scale
	in several steps here.

2008-08-26  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c: removed some unused parameters
	from the code that is used for brush scaling. Added sanity checks.

2008-08-26  Martin Nordholts  <martinn@svn.gnome.org>

	* libgimpwidgets/gimpwidgets.c

	* plug-ins/common/file-xbm.c
	* plug-ins/common/file-wmf.c
	* plug-ins/common/file-svg.c
	* plug-ins/common/file-gih.c
	* plug-ins/common/blur-motion.c
	* plug-ins/file-jpeg/jpeg-save.c
	* plug-ins/lighting/lighting-ui.c
	* plug-ins/map-object/map-object-ui.c

	* app/tools/gimpsheartool.c
	* app/tools/gimpaligntool.c
	* app/tools/gimprotatetool.c
	* app/tools/gimplevelstool.c
	* app/dialogs/resize-dialog.c
	* app/dialogs/offset-dialog.c
	* app/widgets/gimppaletteeditor.c
	* app/widgets/gimpcolormapeditor.c
	* app/dialogs/layer-options-dialog.c
	* app/display/gimpdisplayshell-scale-dialog.c: Pass page_size = 0
	to gimp_spin_button_new() to adapt to new and correct value
	clamping in GTK+.

2008-08-26  Sven Neumann  <sven@gimp.org>

	* app/core/gimpdrawable-colorize.c (gimp_drawable_colorize): 
	added missing call to colorize_init().

2008-08-26  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.[ch]
	(gimp_display_shell_scroll_unoverscrollify): New function.

	* app/display/gimpdisplayshell-autoscroll.c
	(gimp_display_shell_autoscroll_timeout): Make sure the autoscroll
	does not result in overscroll. This more or less finalizes the
	implementation of the enhancement request in bug #362915.

2008-08-26  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.c
	(gimp_display_shell_scroll): If no scroll should be applied we can
	return early.

2008-08-26  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-autoscroll.c
	(gimp_display_shell_autoscroll_timeout): Pass the scroll amount in
	variables that we can modify as we please before they actually
	reach gimp_display_shell_scroll().

2008-08-26  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimppaintoptions-gui.c (gimp_paint_options_gui): don't
	hardcode the attach coords for the fixed containing the dynamics
	labels but use the table's real width instead. Fixes broken table
	layout in the airbrush options.

2008-08-26  Sven Neumann  <sven@gimp.org>

	* app/base/pixel-surround.c: attempt to fix the newly introduced
	smear edge mode.

2008-08-25  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c: use PixelSurround to access the
	source pixels in a more efficient way.

2008-08-25  Sven Neumann  <sven@gimp.org>

	* app/base/tile-manager.c (read_pixel_data_1): changed to silently
	return in case of out-of-bounds access. There's code that relies
	on this.

	* app/base/pixel-surround.[ch]: added SMEAR as another edge
	strategy for the PixelSurround helper.

	* core/gimp-transform-region.c: changed accordingly.

2008-08-25  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c: reverted last change; it was bogus.

2008-08-25  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c: don't scale in several steps if
	interpolation is GIMP_INTERPOLATION_NONE.

2008-08-25  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c (gaussian_decimate)
	(gaussian_lanczos2): implemented uses integer arithmetic.
	(pixel_average): reduced rounding errors.

2008-08-25  Sven Neumann  <sven@gimp.org>

	* app/core/gimpgradient.c (gimp_gradient_get_new_preview): fixed
	rounding errors in color conversion.

2008-08-25  Sven Neumann  <sven@gimp.org>

	* app/base/tile-private.h: provide a macro version of
	tile_data_pointer().

	* app/base/tile.c (tile_data_pointer): turned into a wrapper
	around the TILE_DATA_POINTER() macro.

	* app/base/tile-manager.c (read_pixel_data) (read_pixel_data_1)
	(write_pixel_data) (write_pixel_data_1): access tile struct
	members directly and use the new macro to access the tile data.

2008-08-25  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-render.c (render_image_tile_fault):
	formatting.

2008-08-25  Sven Neumann  <sven@gimp.org>

	* app/base/tile-manager.c (read_pixel_data_1): removed redundant
	check that is already performed by tile_manager_get_tile_num().
	Warn if an out-of-bounds read is requested, instead of silently
	doing nothing.

2008-08-25  Sven Neumann  <sven@gimp.org>

	* app/dialogs/image-scale-dialog.c: hide the Scale dialog before
	starting to perform the scale operation.

2008-08-25  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c: fixed progress feedback.

2008-08-25  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c: improved progress bar
	calculations. Still buggy though.

2008-08-25  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c: some more cleanups.

2008-08-24  Lars-Peter Clausen  <lars@metafoo.de>

	* plug-ins/pygimp/plug-ins/python-fu-eval.py: Moved execution into
	global namespace. Fixes import statements inside of evaled code.

2008-08-24  Lars-Peter Clausen  <lars@metafoo.de>

	* plug-ins/pygimp/pygimp-pdb.c (pdb_getattro): Fix wrong strcmp
	evaluation.

2008-08-24  Lars-Peter Clausen  <lars@metafoo.de>

	* plug-ins/pygimp/pygimp-drawable.c (drw_transform_rotate,
	drw_transform_flip_simple): Fix method format string, so the
	method is actual callable in a script.

2008-08-24  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimplevelstool.c (gimp_levels_tool_dialog): Set
	page_size for the Ouput/Input Levels lower/upper adjustments to 0
	to adapt to new and more correct value clamping in GTK+.

2008-08-24  Martin Nordholts  <martinn@svn.gnome.org>

	* authors.xml: Updated for 2.6 release.

	* AUTHORS: Regenerated.

2008-08-24  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpnavigationeditor.c
	(gimp_navigation_editor_popup): Prevent the popup from being
	positioned far away from the click position. This is further work
	on bug #362915.

2008-08-24  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpnavigationeditor.c
	(gimp_navigation_editor_popup): Further clarify and simplify.

2008-08-24  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpnavigationeditor.c
	(gimp_navigation_editor_popup): Correct the positioning
	calculation (while still retaining current overall behaviour).

2008-08-24  Martin Nordholts  <martinn@svn.gnome.org>

	* app/widgets/gimpnavigationview.c
	(gimp_navigation_view_draw_marker): Use a define for border width.

2008-08-24  Martin Nordholts  <martinn@svn.gnome.org>

	* app/widgets/gimpnavigationview.c
	(gimp_navigation_view_set_marker): Don't redraw the view, only
	invalidate it. This causes the redraw to occur in an idle-handler
	intead of each time this function is called, which reduces flicker
	when opening new images. Stil some flicker left though...

2008-08-24  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c (scale) (scale_pr): use a
	constant to decide if we should decimate or interpolate.

2008-08-24  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c (scale): instead of iterating
	over tiles manually and using write_pixel_data_1() to write the
	data, use pixel_region_process() to iterate over the destination.

2008-08-24  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c: added more const qualifiers.

2008-08-24  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c (scale): sprinkled with const
	qualifiers. Moved calculations out of the loops.

2008-08-24  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c (scale): removed optimization of
	the case where the source and dest regions are the same size. This
	should not happen any longer.

2008-08-24  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c (determine_scale): avoid
	unnecessary scaling when scaling factor is 2^n.
	(pixel_average): replaced with optimized pixel averager from
	tile-pyramid.c (from the gimp-2-4 branch with some minor
	corrections).

2008-08-23  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c (scale): replaced code that
	copies pixels from one tile-manager to another by a call to
	copy_region().

2008-08-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print.c: return with a proper PDB status type
	depending on the result of gtk_print_operation_run(). When run
	non-interactively, pass the error message with the return values.

2008-08-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/coolmetal-logo.scm: applied patch
	from LightningIsMyName. Changes the script to not break if called
	on a floating selection (bug #327681).

2008-08-23  Lars-Peter Clausen  <lars@metafoo.de>

	* app/core/gimpgradient.c (gimp_gradient_segment_range_delete):
	Don't dereference final_start_seg and final_end_seg if NULL.

2008-08-23  Lars-Peter Clausen  <lars@metafoo.de>

	Fix indentation in previous patch.

	* tools/pdbgen/pdb/gradient.pdb
	* app/pdb/gradient-cmds.c

2008-08-23  Lars-Peter Clausen  <lars@metafoo.de>

	* tools/pdbgen/pdb/gradient.pdb
	(gimp_gradient_segment_range_blend_(colors|opacity)): Don't crash 
	if the index of the last segment is out of range.

	* app/pdb/gradient-cmds.c: regenerated.

2008-08-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/twain/Makefile.am: dropped use of AM_LDFLAGS completely
	and use target-specific LDFLAGS instead.

2008-08-23  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimagemap.c (gimp_image_map_init): only create and
	use a timer if GIMP_UNSTABLE is defined.

2008-08-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpnavigationview.c
	* libgimpwidgets/gimpscrolledpreview.c: hardcode the colors to
	black and white. Using theme colors doesn't make sense here.

2008-08-22  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpscrolledpreview.[ch]: draw the navigation
	popup using Cairo, just as we do it in the core now.

2008-08-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpnavigationview.c: indicate the viewport by
	shading the outside region using Cairo.

2008-08-22  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpnavigationeditor.c: Align static function
	prototypes.

2008-08-22  Martin Nordholts  <martinn@svn.gnome.org>

	* app/widgets/gimpnavigationview.c
	(gimp_navigation_view_grab_pointer): Don't confine the cursor to
	the navigation view window because that limitation only feels in
	the way with overscroll.

2008-08-22  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpcanvas.h: #define GIMP_CANVAS_EVENT_MASK.

	* app/display/gimpcanvas.c (gimp_canvas_realize): use it here.

2008-08-22  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpcanvas.[ch]: add gimp_canvas_scroll() which
	scrolls the canvas and makes the result visible immediately.

	* app/display/gimpdisplayshell-scroll.c
	(gimp_display_shell_scroll): use the new function.

2008-08-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimptoolbox.c: removed the "Use GEGL" check-box
	from the toolbox.

	* app/config/gimpcoreconfig.c: changed the default for "use-gegl"
	to FALSE (in preparation of the 2.6 release).

	* app/actions/debug-commands.[ch]
	* app/actions/debug-actions.c
	* menus/image-menu.xml.in: added a "Use GEGL" check-box to the
	Debug menu. Temporary solution until a final decision is made.

2008-08-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpaction.c
	* app/widgets/gimpdockable.c
	* app/widgets/gimpradioaction.c
	* app/widgets/gimpstringaction.c
	* app/widgets/gimptoggleaction.c: added basic support for icon
	names for actions and dockables. Uses the stock-id as icon name
	if the icon theme provides an icon under this name.

	* app/dialogs/dialogs.c
	* app/actions/documents-actions.c
	* app/actions/dialogs-actions.c: use the "document-open-recent"
	icon for the document history.

2008-08-22  Martin Nordholts  <martinn@svn.gnome.org>

	* app/widgets/gimpnavigationview.c: Adapted to play nicely with
	the overscroll feature. Basically remove limitations of the
	marker, but also draw the marker frame with an inner and outer
	border so it is possible to see on what side the viewport is when
	zoomed out and overscrolled to the max. This is further work on
	bug #362915.

2008-08-21  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpcanvas.[ch]: turn into a GtkContainer subclass
	mainly to reduce the diff to a local hack I'm at. Also swallow
	some code that used to be called on the canvas widget externally.

	* app/display/gimpdisplayshell.c (gimp_display_shell_new): remove
	the swallowed code.

	* app/display/gimpdisplayshell-callbacks.h: remove canvas event
	mask define.

2008-08-21  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.5.4.

2008-08-21  Sven Neumann  <sven@gimp.org>

	* Made 2.5.3 development release.

2008-08-21  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimppluginprocedure.[ch]
	* app/plug-in/gimptemporaryprocedure.c: moved error handling for
	asynchronous procedure calls to a central place. Use the plug-in
	label instead of the procedure name for the error message.

2008-08-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c
	* plug-ins/script-fu/script-fu-interface.[ch]: changed to actually
	return a meaningful return status when a script-fu procedure is run.

2008-08-21  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimppluginprocedure.c
	* app/plug-in/gimptemporaryprocedure.c: don't just free the return
	values when running procedures asynchronously. Instead examine
	them and display the error message if there's one.

	* app/plug-in/gimppluginmanager-call.c
	(gimp_plug_in_manager_call_run_temp): return NULL if
	procedure->plug_in is not set.

	* app/plug-in/gimpplugin-message.c: comment.

2008-08-21  Michael Natterer  <mitch@gimp.org>

	* configure.in: removed indentation from blocks after
	AC_ARG_WITH(), it's confusing otherwise because they appeared to
	be part of the macro. Added some newlines. Minor cleanups.

2008-08-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/Makefile.am
	* plug-ins/script-fu/script-fu-eval.[ch]: new files split out of
	script-fu-console.c[ch].

	* plug-ins/script-fu/script-fu-text-console.h: fixed comment.

	* plug-ins/script-fu/script-fu-console.[ch]: removed script-fu-eval
	procedure here.

	* plug-ins/script-fu/script-fu.c: changed accordingly.

2008-08-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu.c (script_fu_run): formatting.

2008-08-21  Sven Neumann  <sven@gimp.org>

	* po-*/POTFILES.skip: added desktop/gimp.desktop.in. Seems to work
	around what appears to be a bug in intltool-update (version 0.40.1).

2008-08-21  Sven Neumann  <sven@gimp.org>

	* Makefile.am (EXTRA_DIST): removed 'mkinstalldirs' which is not
	any longer required due to the changes in the po directories.

2008-08-21  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpforegroundselecttool.c
	(gimp_foreground_select_tool_init): set precision back to
	PIXEL_CENTER because it's set to SUBPIXEL by the parent class.

2008-08-20  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.c: Use a constant for the
	minimum step amount for scrollbars.

2008-08-20  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpuimanager.c: reindent prototypes.

	Steal find_widget_under_pointer() from gtktooltip.c

	(gimp_ui_manager_item_key_press): use the function to invoke help
	for the widget under the pointer if there is no selected menu
	item. Makes F1 work on insensitive menu items.

2008-08-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print.c (page_setup): use the new API to set the
	PDB error handler in order to suppress a warning if the temporary
	procedure does not exist (see bug #513291).

2008-08-20  Michael Natterer  <mitch@gimp.org>

	* app/text/gimptextlayout-render.c (gimp_text_layout_render): add
	PANGO_ALIGN_LEFT to the switch to fix warning about unhandled value.

2008-08-20  Michael Natterer  <mitch@gimp.org>

	Bug 496772 – Position shown in the statusbar needs more
	precision (for some tools)

	* app/display/display-enums.[ch]: add enum GimpCursorPrecision
	which can be one of { PIXEL_CENTER, PIXEL_BORDER, SUBPIXEL }.

	* app/display/gimpdisplayshell-cursor.[ch]: add "precision"
	parameter to gimp_display_shell_update_cursor() and pass it
	on to the statusbar.

	* app/display/gimpstatusbar.[ch]: add "precision" parameters to
	the cursor coordinates APIs, offset the passed coords accordingly
	and display them with one decimal point if SUBPIXEL is requested
	and the display's unit is PIXEL. Keep a second floating-point
	format string around at any time.

	* app/tools/gimptoolcontrol.[ch]: add a "precision" member and API
	so tools can configure the precision they need. Defalt to
	PIXEL_CENTER since that's right for almost all tools.

	* app/display/gimpdisplayshell-callbacks.c: pass the tool's
	precision to gimp_display_shell_update_cursor().

	* app/tools/gimptool.[ch]: add "precision" parameter to
	gimp_tool_push_status_coords() and pass it on to the statusbar.

	* app/tools/gimpaligntool.c
	* app/tools/gimpblendtool.c
	* app/tools/gimpcolortool.c
	* app/tools/gimpcroptool.c
	* app/tools/gimpeditselectiontool.c
	* app/tools/gimpfliptool.c
	* app/tools/gimpfreeselecttool.c
	* app/tools/gimpmovetool.c
	* app/tools/gimppainttool.c
	* app/tools/gimpperspectiveclonetool.c
	* app/tools/gimprectangleselecttool.c
	* app/tools/gimprectangletool.c
	* app/tools/gimptransformtool.c
	* app/tools/gimpvectortool.c: set precision in init() where
	needed. Adjust the precision in the fly when needed, e.g. while
	moving guides or when toggling hard-edge on paint tools. Also pass
	an appropriate precision to gimp_tool_push_status_coords(), which
	is not always the tool's precision as used for cursor display.

2008-08-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-console.c (script_fu_eval_run):
	pass error message with the return values instead of calling
	g_message().

2008-08-20  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/align-layers.c
	* plug-ins/common/blur-gauss.c
	* plug-ins/common/cartoon.c
	* plug-ins/common/edge-dog.c
	* plug-ins/common/edge-neon.c
	* plug-ins/common/edge-sobel.c
	* plug-ins/common/photocopy.c
	* plug-ins/common/pixelize.c
	* plug-ins/common/softglow.c
	* plug-ins/gradient-flare/gradient-flare.c: pass error messages
	with the return values instead of calling g_message().

2008-08-20  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/file-gif-load.c: tons of cleanup: proper
	prototypes, s/unsigned foo/gufoo/, indentation, ...

2008-08-20  Sven Neumann  <sven@gimp.org>
 
	* plug-ins/common/file-cel.c
	* plug-ins/common/file-html-table.c
	* plug-ins/common/file-ps.c
	* plug-ins/common/file-sunras.c
	* plug-ins/common/file-tiff-load.c: pass error messages with the
	return values instead of calling g_message().

2008-08-20  Sven Neumann  <sven@gimp.org>
 
	* plug-ins/file-fits/fits.c
	* plug-ins/file-fli/fli-gimp.c: pass error messages with the
	return values instead of calling g_message().

2008-08-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/file-xjt/xjt.c: pass error messages with the return
	values instead of calling g_message().

2008-08-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/file-sgi/sgi.c
	* plug-ins/file-sgi/sgi-lib.[ch]: pass error messages with the
	return values instead of calling g_message().

2008-08-20  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimpperspectiveclone.[ch]: make
	gimp_perspective_clone_get_matrix() static, add
	gimp_perspective_clone_set_transform().

	* app/tools/gimpperspectiveclonetool.c
	(gimp_perspective_clone_tool_mode_notify): use above set_transform()
	API instead of poking into the object.

	(gimp_perspective_clone_tool_constructor): call
	gimp_perspective_clone_tool_mode_notify() to set up things instead
	of duplicating code.

2008-08-20  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpperspectiveclonetool.[ch]: formatting.

2008-08-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/file-psd/psd.c
	* plug-ins/file-psd/psd-load.[ch]
	* plug-ins/file-psd/psd-save.c 
	* plug-ins/file-psd/psd-thumb-load.[ch]: pass error messages with
	the return values instead of calling g_message().

2008-08-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/file-jpeg/jpeg.[ch]
	* plug-ins/file-jpeg/jpeg-load.[ch]
	* plug-ins/file-jpeg/jpeg-save.[ch]: pass error messages with the
	return values instead of calling g_message().

2008-08-20  Sven Neumann  <sven@gimp.org>

	* app/file/file-save.c (file_save): flush the image when done to
	cause the actions to be updated (in particular File->Revert).

2008-08-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/file-ico/ico-save.c: create GHashTable with destroy
	notifiers.

2008-08-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/file-faxg3/faxg3.c
	* plug-ins/file-ico/ico.c
	* plug-ins/file-ico/ico-load.[ch]
	* plug-ins/file-ico/ico-save.[ch]: pass error messages with the
	return values instead of calling g_message().

2008-08-19  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage-guides.c (gimp_image_find_guide): find guides
	outside the image as well. This complements the change that we
	also draw guides outside the image now.

2008-08-19  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpgegltool.c (gimp_gegl_tool_dialog): formatting.

2008-08-19  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/gimpplugin.[ch] (struct GimpPlugIn)
	* app/plug-in/gimppluginprocframe.[ch] (struct GimpPlugInProcFrame):
	move the error_handler from the plug-in to the proc-frame.

	* app/plug-in/gimpplugin.c
	* app/plug-in/gimpplugin-message.c: changed accordingly.

2008-08-19  Sven Neumann  <sven@gimp.org>

	* libgimpbase/gimpbase.def
	* libgimp/gimp.def: added new symbols.

2008-08-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/file-bmp/bmp.[ch]
	* plug-ins/file-bmp/bmp-read.c
	* plug-ins/file-bmp/bmp-write.c: for most errors, pass the error
	message with the return values instead of calling g_message().

2008-08-19  Sven Neumann  <sven@gimp.org>

	Complements the fix for bug #344818:

	* libgimpbase/gimpbaseenums.[ch]: added new enum GimpPDBErrorHandler.

	* tools/pdbgen/enums.pl: regenerated.

	* app/plug-in/gimpplugin.[ch]: added error_handler to GimpPlugIn.

	* app/plug-in/gimpplugin-message.c (gimp_plug_in_handle_proc_run):
	only display an error message for a failed procedure call if the
	plug-in's error-handler is set to GIMP_PDB_ERROR_HANDLER_INTERNAL.
	
	* tools/pdbgen/pdb/plug_in.pdb: added PDB getter and setter for
	the plug-in's error-handler.

	* app/pdb/plug-in-cmds.c
	* app/pdb/internal-procs.c
	* libgimp/gimpenums.c.tail
	* libgimp/gimpplugin_pdb.[ch]: regenerated.

	* plug-ins/common/file-compressor.c
	* plug-ins/file-uri/uri.c: set the error-handler to
	GIMP_PDB_ERROR_HANDLER_PLUGIN as these plug-ins are forwarding the
	error with their return values.

2008-08-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/file-uri/uri.c: pass error messages with the return
	values instead of calling g_message().

	* plug-ins/file-uri/uri-backend-libcurl.c
	* plug-ins/file-uri/uri-backend-gnomevfs.c
	* plug-ins/file-uri/uri-backend-gvfs.c
	* plug-ins/file-uri/uri-backend-wget.c: set errors in the 
	G_FILE_ERROR domain and other minor cleanups.

2008-08-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/file-compressor.c: open the temporary file
	before forking. This allows us to return an error message if the
	file can't be opened. Also changed the code to not use g_message()
	from the child process.

2008-08-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/file-compressor.c: pass some error message with
	the return values instead of calling g_message().

2008-08-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/file-gbr.c
	* plug-ins/common/file-gih.c
	* plug-ins/common/file-pat.c
	* plug-ins/common/file-pix.c
	* plug-ins/common/file-sunras.c: for the most common errors, pass
	the error message with the return values instead of calling
	g_message().

2008-08-18  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/compressor.c: renamed...
	* plug-ins/common/file-compressor.c: ...to this.

	* plug-ins/common/plugin-defs.pl: changed accordingly.

	* plug-ins/common/Makefile.am: regenerated.

2008-08-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/file-xbm.c
	* plug-ins/common/file-xpm.c
	* plug-ins/common/file-xwd.c: for the most common errors, pass the
	error message with the return values instead of calling g_message().

2008-08-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/file-wmf.c: pass error message with the return
	values instead of calling g_message().

2008-08-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/file-raw.c
	* plug-ins/common/file-tga.c
	* plug-ins/common/file-tiff-load.c	
	* plug-ins/common/file-tiff-save.c: pass error messages with the
	return values instead of calling g_message().

2008-08-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/file-pnm.c
	* plug-ins/common/file-ps.c
	* plug-ins/common/file-psp.c: for the most common errors, pass the
	error message with the return values instead of calling g_message().

2008-08-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/file-mng.c
	* plug-ins/common/file-pcx.c: for the most common errors, pass the
	error message with the return values instead of calling g_message().

	* plug-ins/common/file-gif-save.c
	* plug-ins/common/file-pdf.c
	* plug-ins/common/file-png.c: minor cleanup.

2008-08-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/file-pdf.c: in case of an error, pass the error
	message with the return values.

2008-08-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/file-gif-load.c
	* plug-ins/common/file-gif-save.c: for the most common errors,
	pass the error message with the return values instead of calling
	g_message().

	* plug-ins/common/file-png.c: unmarked a string for translation.
	This error condition can't possibly happen.

	* plug-ins/common/file-svg.c: also return an error message when
	the thumbnail can't be loaded.

2008-08-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/file-dicom.c: for the most common errors, pass
	the error message with the return values instead of calling
	g_message().

2008-08-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/file-csource.c: in case of an error, pass the
	error message with the return values.

2008-08-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/pygimp/plug-ins/whirlpinch.py: don't hardcode the tile
	size, use gimp.tile_width() instead.

2008-08-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/file-desktop-link.c
	* plug-ins/common/file-svg.c: changed to pass error messages with
	the return values instead of calling g_message().

2008-08-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/frosty-logo.scm
	(apply-frosty-logo-effect): unmarked string for translation.
	Script-Fu doesn't support i18n outside the register call.

2008-08-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/glowing-logo.scm
	* plug-ins/script-fu/scripts/neon-logo.scm: changed the "Alpha to
	Logo" parts of these scripts so that the user can specify the
	effect size directly instead of as some multiple of the size.

2008-08-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/starscape-logo.scm: dropped the
	"Alpha to Logo" part of the "Starscape logo script. It had a
	similar problem as the Starburst script (see bug #486779).

2008-08-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/Makefile.am
	* plug-ins/script-fu/scripts/starburst-logo.scm: dropped the
	"Starburst" logo script. Fixes bug #486779.

2008-08-17  Sven Neumann  <sven@gimp.org>

	Next step towards fixing bug #344818:

	* app/pdb/gimpprocedure.c (gimp_procedure_execute): if the error
	has not already been set, construct one from the error message
	that is optionally passed with the return values.

	* plug-ins/common/file-png.c: changed to pass an error message
	with the return values instead of calling g_message() in case of
	an error.

2008-08-17  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimppluginprocframe.[ch]: renamed
	gimp_plug_in_proc_frame_get_return_vals() to
	gimp_plug_in_proc_frame_get_return_values().

	* app/plug-in/gimppluginmanager-call.c: changed accordingly.

2008-08-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/file-psd/psd-util.c (psd_set_error): changed to use
	g_set_error().

2008-08-17  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimpplugin-progress.c
	(gimp_plug_in_progress_cancel_callback): introduced a utility
	function to reduce code duplication.

	* app/pdb/gimppdb.c (gimp_pdb_execute_procedure_by_name): changed
	to use g_error_new_literal().

2008-08-17  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_canvas_size_allocate): Simplify.

2008-08-17  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_canvas_size_allocate): If the image ends up
	below or to the right of the viewport top and left edges, and the
	image is not centered on a given axis, align the top left image
	edge with the top left viewport edge. This is basically the best
	we can do without an API for start and end of a window resize
	cycle using the mouse.

2008-08-17  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_canvas_size_allocate): Don't apply the
	centering logic on zoom_on_resize.

2008-08-17  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell.[ch]
	(gimp_display_shell_configure_event): When applying the centering
	logic we need to know the size of the new canvas, so instead of
	having it here, only make sure that this logic is run on the next
	canvas size-allocate.

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_canvas_size_allocate): If the size-allocate
	comes from a top level window resize, apply centering logic.

2008-08-16  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.c
	(gimp_display_shell_scroll_center_image_on_next_size_allocate):
	Oops, correct parameter order.

2008-08-16  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.[ch]
	(gimp_display_shell_scroll_center_image_on_next_size_allocate):
	Support axis independence.

	* app/display/gimpdisplayshell.c: Adapt.

2008-08-16  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.c
	(gimp_display_shell_scroll_center_image_on_next_size_allocate):
	Explain that this function needs to be used with care since it is
	risky.

	* app/display/gimpdisplayshell.c
	(gimp_display_shell_new)
	(gimp_display_shell_fill): Clarify that it is safe to use the
	risky function.

	(gimp_display_shell_configure_event): Make proper comparisions (<=
	not =) and explain that usage of the risky function is safe.

	(gimp_display_shell_shrink_wrap): Always call
	gimp_display_shell_scroll_center_image() and let size-requests be
	handled by GimpDisplayShell::configure_event().

	* app/actions/view-commands.c (view_shrink_wrap_cmd_callback): No
	need to center anything explicitly any longer.

2008-08-16  Sven Neumann  <sven@gimp.org>

	* libgimp/gimp.c (gimp_get_pdb_error): added translator comments.

2008-08-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/pygimp/pygimp-pdb.c (pf_call): also use
	gimp_get_pdb_error() here. Easier and safer than looking at the
	return values to get the error message.

2008-08-16  Sven Neumann  <sven@gimp.org>

	Next step towards fixing bug #344818:

	* libgimp/gimp.[ch]: keep the last error status and error message
	in libgimp. Added new functon gimp_get_pdb_error() that allows to
	retrieve it.

	* libgimp/gimp.def: updated.

	* plug-ins/pygimp/gimpmodule.c (pygimp_vectors_import_from_file)
	(pygimp_vectors_import_from_string): use the new function to get
	a more useful error message.

2008-08-16  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimpplugin-message.c (gimp_plug_in_handle_proc_run):
	removed the term 'PDB' from the user-visible error messages.

2008-08-16  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/vectors.pdb: pass error parameter to
	gimp_vectors_import functions.

	* app/pdb/vectors-cmds.c: regenerated.

2008-08-16  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_canvas_size_allocate): Remove the centering
	logic because we do not always want to run it when the canvas size
	changes. For example, the canvas size changes if rulers are
	toggled on/off.

	* app/display/gimpdisplayshell.c
	(gimp_display_shell_configure_event): Implement
	GtkWidget::configure_event() for the display shell and put the
	image centering logic here instead, since this class function is
	run when the top level window size changes. Run it only if the
	size (not position) of the window changes.

2008-08-16  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpdrawtool.c: remove #include "core/gimpguide.h"

2008-08-16  Sven Neumann  <sven@gimp.org>

	* app/pdb/gimppdb.c (gimp_pdb_execute_procedure_by_name): changed
	error message to be similar to the message thrown from
	gimp_procedure_validate_args().

2008-08-16  Sven Neumann  <sven@gimp.org>

	If a procedure call fails, pass a string describing the error as
	the second return value. First step towards fixing bug #344818.

	* app/pdb/gimpprocedure.[ch] (gimp_procedure_get_return_values):
	added a GError parameter. If it is set, pass the error message to
	the return values.

	* app/pdb/gimppdberror.h: added some more error codes.

	* app/pdb/gimppdb.c
	* app/xcf/xcf.c: pass errors to gimp_procedure_get_return_values().

	* app/plug-in/gimpplugin-message.c (gimp_plug_in_handle_proc_run):
	show a different error message for execution vs. calling errors.

	* app/plug-in/gimpplugin-progress.c
	(gimp_plug_in_progress_cancel_callback): pass the error
	GIMP_PDB_CANCELLED to gimp_procedure_get_return_values().

	* app/plug-in/gimppluginmanager-call.[ch]
	(gimp_plug_in_manager_call_run): removed the 'destroy_return_vals'
	parameter.

	* app/plug-in/gimppluginprocedure.c: destroy the return values here.

	* app/plug-in/gimppluginprocframe.c: pass an error to
	gimp_procedure_get_return_values().

	* tools/pdbgen/app.pl
	* tools/pdbgen/pdb/fileops.pdb: generate code that passes the
	error to gimp_procedure_get_return_values().

	* app/pdb/*-cmds.c: regenerated.
	
	* plug-ins/pygimp/pygimp-pdb.c: extract the error message from the
	return values and pass it to the exception that is thrown.

2008-08-16  Martin Nordholts  <martinn@svn.gnome.org>

	* app/actions/view-commands.c (view_shrink_wrap_cmd_callback):
	Also handle the case when only the offset is wrong. Not pretty but
	simple.

2008-08-16  Sven Neumann  <sven@gimp.org>

	* app/display/Makefile.am
	* app/display/gimpdisplayshell-scale.[ch]
	* app/display/gimpdisplayshell-scale-dialog.[ch]: split scale
	dialog into a new file.

	* app/actions/view-commands.c: changed accordingly.

2008-08-16  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_viewport_coord_almost_centered): New
	function.

	(gimp_display_shell_scale): Center the image on zoom also if it is
	almost centered. This makes the image centered all the way when
	zooming out far away.

2008-08-16  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpfreeselecttool.c
	* app/tools/gimprectangletool.c: formatting.

2008-08-16  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_to): Reimplement to increase
	readability.

2008-08-16  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_to): Nice-ify.

2008-08-16  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.[ch]
	(gimp_display_shell_scale_get_zoom_focus)
	(gimp_display_shell_scale_image_is_within_viewport): Support axis
	independence.

	* app/display/gimpdisplayshell.c
	(gimp_display_shell_zoom_button_callback): Adapt to new
	gimp_display_shell_scale_image_is_within_viewport().

2008-08-16  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_image_is_within_viewport): Make proper
	tests (>= not >)...

2008-08-16  Daniel Eddeland  <danedde@svn.gnome.org>

	* app/text/gimptext.c: corrected gimp_text_set_property for
	"box-unit" , fixing bug #547126

2008-08-15  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/pixelize.c: formatting.

2008-08-15  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c (gimp_display_shell_scale):
	More elegantly deal with the 'Resize window on zoom'-case.

2008-08-15  Daniel Eddeland  <danedde@svn.gnome.org>

	* app/text/gimptextlayout-render.c: make text align correctly if
	text-box is FIXED.

2008-08-15  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimppaintcore-stroke.c
	(gimp_paint_core_stroke_boundary)
	(gimp_paint_core_stroke_vectors): when stroking multiple segments,
	set paint_core->cur_coords to the start of each segment. It
	normally gets assigned by gimp_paint_core_start(), but that's not
	called for subsequent segments. Fixes stroking multiple segments
	with the ink tool. The other tools were not affected since they
	plot individual brushes rather than a shape from the last to the
	current coordinates. Spotted by Alexia.

2008-08-15  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/mosaic.c: formatting.	

2008-08-15  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/mosaic.c (polygon_add_point): converted a
	g_print() call to g_warning() and unmarked the string for
	translation.

2008-08-15  Sven Neumann  <sven@gimp.org>

	* plug-ins/file-ico/ico-save.c: applied patch from Aurimas Juška
	that fixes an endianness issue (bug #529629).

2008-08-15  Sven Neumann  <sven@gimp.org>

	* app/display/gimpstatusbar.[ch]: added some logic to avoid that
	an info message replaces a warning. Allow info messages to
	replace other info messages.

	* app/display/gimpdisplay-handlers.c: changed accordingly.

2008-08-15  Sven Neumann  <sven@gimp.org>

	* app/actions/file-commands.c (file_save_cmd_callback): save new
	images, even if they are not marked dirty.

2008-08-14  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimpplugin-message.c (gimp_plug_in_handle_proc_run):
	use G_STRFUNC in another error message that I missed earlier.

2008-08-14  Michael Natterer  <mitch@gimp.org>

	* plug-ins/help-browser/dialog.c (search_entry_key_press): search
	the next match when return or enter is pressed in the search
	entry.

2008-08-14  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_image_starts_to_fit)
	(gimp_display_shell_scale_image_is_within_viewport): Make
	proper tests (<= not <).

2008-08-14  Sven Neumann  <sven@gimp.org>

	* app/actions/file-commands.c (file_save_cmd_callback): if we
	trust the dirty flag and don't save because there are no changes,
	display a message in the status-bar telling the user so.

	* app/config/gimpguiconfig.c: changed the default value for 
	"trust-dirty-flag" to TRUE.

2008-08-14  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimpplugin-message.c (gimp_plug_in_handle_tile_get):
	use G_STRFUNC to get the proper function name in the error message.

2008-08-14  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_image_stops_to_fit): New function.
	(gimp_display_shell_scale_get_zoom_focus): If the image stops
	to fit the viewport, we can already now use the mouse cursor
	as the zoom focus point.

2008-08-14  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-draw.[ch]
	(gimp_display_shell_draw_get_scaled_image_size_for_scale): New
	function.

	* app/display/gimpdisplayshell-scale.[ch]
	(gimp_display_shell_scale): When zooming out and the image
	starts to fit the viewport on a given axis, center on that
	axis.

	(gimp_display_shell_scale_image_starts_to_fit): New function.

	(gimp_display_shell_calculate_scale_x_and_y): New function.

	* app/display/gimpdisplayshell.c
	(gimp_display_shell_scale_changed): Use
	gimp_display_shell_calculate_scale_x_and_y().

	* app/display/gimpdisplayshell-scroll.c
	(gimp_display_shell_scroll_center_image): Bail out if neither
	vertical nor horizontal centering is requested.

2008-08-14  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_get_zoom_focus): When the image is
	within the viewport, also use the center of the image as the zoom
	focus point when zooming in. It feels way too weird not to do it
	this way.

2008-08-14  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_get_zoom_focus): If the image is within
	the viewport and we are zooming out, make the focus point be the
	center of the image.

2008-08-14  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_to): Move calculation of the actual new
	scale to use from here
	(gimp_display_shell_scale): to here, because we need this
	information in order to determine what point to focus on while
	zooming.

2008-08-14  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell.c
	(gimp_display_shell_set_unit): No need to update scrollbars, only
	rulers.
	(gimp_display_shell_reconnect): A
	gimp_display_shell_scroll_clamp_and_update() makes more sense
	here.

2008-08-14  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-handlers.c
	(gimp_display_shell_monitor_res_notify_handler): When the screen
	resolution changes and we are not in Dot by dot, we also need to
	clamp the display shell offsets.

2008-08-14  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-handlers.c
	(gimp_display_shell_resolution_changed_handler): If we are in
	dot-by-dot, we only need to update the rulers, and only if the
	unit is not pixels.

2008-08-14  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_update_scrollbars_and_rulers): Split this up
	in gimp_display_shell_scale_update_scrollbars() and
	gimp_display_shell_scale_update_rulers().

2008-08-14  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.c
	(gimp_display_shell_scroll_clamp_and_update): New helper function.

	* app/display/gimpdisplayshell-scale.c
	* app/display/gimpdisplayshell-scroll.c
	* app/display/gimpdisplayshell-callbacks.c: Use it.

2008-08-14  Sven Neumann  <sven@gimp.org>

	* plug-ins/pygimp/plug-ins/python-console.py: renamed the dialog
	class to ConsoleDialog to avoid confusion with pyconsole.Console.

2008-08-13  Sven Neumann  <sven@gimp.org>

	* plug-ins/pygimp/plug-ins/python-console.py: instead of calling
	gimp-displays-flush twice a second, call it after each command
	that is committed. This is similar to what the Script-Fu console
	does.

	* plug-ins/script-fu/script-fu-console.c: formatting.

2008-08-13  Sven Neumann  <sven@gimp.org>

	* plug-ins/pygimp/pygimp-colors.c: fix compiler warnings.

2008-08-13  Sven Neumann  <sven@gimp.org>

	* plug-ins/help/gimphelplocale.c (gimp_help_locale_parse):
	reverted the last change as g_file_query_info() is now also
	implemented on Win32.

2008-08-13  Sven Neumann  <sven@gimp.org>

	* plug-ins/help/gimphelplocale.c (gimp_help_locale_parse):
	continue even if g_file_query_info() fails. We can't show proper
	progress information then, but we can still attempt the download.
 
2008-08-13  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/paint-funcs.c (replace_inten_pixels): applied
	patch from Luidnel Maignan (followup to bug #105568).

2008-08-13  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c: applied patch from Geert
	Jordaens to fix scaling artifacts in top row (bug #464466).

2008-08-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_get_zoom_focus): New function
	responsible for deciding what viewport coordinate to focus on when
	zooming in and out.

2008-08-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.[ch]
	(gimp_display_shell_scale_to): Make this a private function
	because we want to be in full control over what pixel to focus on
	when zooming in and out.

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_canvas_tool_events): Use
	gimp_display_shell_scale() here instead of
	gimp_display_shell_scale_to(). We figure out (and can override if
	we wish) the coordinates that were previously passed explicitly.

2008-08-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_image_is_within_viewport): New function.

	* app/display/gimpdisplayshell.c (gimp_display_shell_new): When
	the zoom button is toggled on, implicitly do a View -> Fit Image
	in Window if the (scaled) image is within the viewport.

2008-08-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/paint/gimppaintcore.c: Include gimpprojection.h for
	gimp_projection_get_tiles().

2008-08-12  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/paint-funcs.c (replace_inten_pixels): applied a
	slightly modified version of the patch from Luidnel Maignan as
	attached to bug #105568. Fixes incorrect alpha treatment in
	plug-in selection masking.

2008-08-12  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphistogrameditor.c
	(gimp_histogram_editor_frozen_update): don't do the background
	histogram unless the histogram view is actually visible.

2008-08-12  Sven Neumann  <sven@gimp.org>

	* app/paint/gimppaintcore.c (gimp_paint_core_start): use
	gimp_projection_get_tiles() instead of doing the same through the
	GimpPickable interface.

2008-08-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/win-snap/Makefile.am: follow the executable name change.

2008-08-12  Sven Neumann  <sven@gimp.org>

	* app/core/gimpprojection.c (gimp_projection_paint_area): moved
	function calls out of CLAMP macros.

2008-08-12  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell.c (gimp_display_shell_empty):
	removed calls to scale the image and to update the scrollbars and
	rulers. Doesn't seem to make sense in an empty display and it
	causes a crash.

2008-08-12  Sven Neumann  <sven@gimp.org>

	* app/core/gimpitem.c
	* app/core/gimpobject.c
	* app/dialogs/preferences-dialog.c
	* plug-ins/imagemap/imap_main.c
	* plug-ins/imagemap/imap_selection.c
	* plug-ins/common/filter-pack.c
	* plug-ins/common/grid.c
	* plug-ins/common/newsprint.c
	* plug-ins/fractal-explorer/fractal-explorer-dialogs.c
	* plug-ins/fractal-explorer/fractal-explorer.c: use canonical
	signal names.

2008-08-12  Sven Neumann  <sven@gimp.org>

	* configure.in (sed-po-makefiles): create the stamp-it files in
	the po-* directories.

2008-08-12  Sven Neumann  <sven@gimp.org>

	* po-*/Makefile.in.in: corrected 'subdir' variables. Spotted by
	Tor Lillqvist.

	* modules/controller-midi.c: formatting.

2008-08-12  Michael Natterer  <mitch@gimp.org>

	* modules/color-selector-wheel.c: override the wheel's
	size-request and return a small requisition that allows
	it to be resized smaller again.

2008-08-12  Sven Neumann  <sven@gimp.org>

	* modules/Makefile.am: fixed library dependencies.

2008-08-11  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/cml-explorer.c
	* plug-ins/common/depth-merge.c
	* plug-ins/common/file-cel.c
	* plug-ins/common/oilify.c
	* plug-ins/file-bmp/bmp-write.c
	* plug-ins/file-bmp/bmp.[ch]
	* plug-ins/file-ico/ico-dialog.c
	* plug-ins/file-ico/ico-save.c
	* plug-ins/file-ico/ico.h
	* plug-ins/flame/flame.c
	* plug-ins/fractal-explorer/fractal-explorer-dialogs.c
	* plug-ins/fractal-explorer/fractal-explorer.[ch]
	* plug-ins/gimpressionist/gimp.c
	* plug-ins/gimpressionist/gimpressionist.[ch]
	* plug-ins/gimpressionist/orientmap.c
	* plug-ins/gimpressionist/presets.c
	* plug-ins/gimpressionist/sizemap.c
	* plug-ins/help-browser/dialog.[ch]
	* plug-ins/help-browser/help-browser.c
	* plug-ins/ifs-compose/ifs-compose.c
	* plug-ins/imagemap/imap_default_dialog.c
	* plug-ins/imagemap/imap_main.[ch]
	* plug-ins/lighting/lighting-main.[ch]
	* plug-ins/lighting/lighting-ui.c
	* plug-ins/map-object/map-object-main.[ch]
	* plug-ins/map-object/map-object-ui.c
	* plug-ins/selection-to-path/selection-to-path.c
	* plug-ins/win-snap/winsnap.c: use PLUG_IN_BINARY and PLUG_IN_PROC
	defines consistently instead of using literal strings or other
	random defines. Define them if not already there or move them to
	plugin-global places.

	* plug-ins/win-snap/Makefile.am: rename the binary to "win-snap".

	* plug-ins/win-snap/winsnap.c: changed accordingly.

2008-08-11  Michael Natterer  <mitch@gimp.org>

	* modules/Makefile.am
	* modules/*.c: renamed all modules to color-selector-foo.c,
	display-filter-foo.c and controller-foo.c

2008-08-11  Sven Neumann  <sven@gimp.org>

	* INSTALL: mention lcms in the list of recommended libraries.

2008-08-11  Michael Natterer  <mitch@gimp.org>

	* configure.in: check for lcms with PKG_CHECK_MODULES(). Remove
	check for <lcms.h> vs. <lsmc/lsmc.h> because the pc file should
	give us the right location now.

	* modules/cdisplay_lcms.c
	* modules/cdisplay_proof.c
	* modules/colorsel_cmyk_lcms.c
	* plug-ins/file-jpeg/jpeg-load.c
	* plug-ins/common/lcms.c: #include <lcms.h> and nothing else.

	* modules/Makefile.am
	* plug-ins/file-jpeg/Makefile.am
	* plug-ins/common/plugin-defs.pl: add LCMS_CFLAGS where appropriate.

	* plug-ins/common/Makefile.am: regenerated.

2008-08-11  Sven Neumann  <sven@gimp.org>

	Please re-run autogen.sh after this update, and let me know if
	there are any problems.

	* po-*/Makefile.in.in: updated to a version that does not require
	mkinstalldirs to be present.

	* autogen.sh: removed the call to glib-gettextize and call
	intltoolize without the --force command-line option. This change
	makes an end to the po/Makefile.in.in being overwritten.

	* HACKING: changed the documentation accordingly.

2008-08-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/mkgen.pl: removed the LIBFOO hack from this
	script.
	
	* plug-ins/common/plugin-defs.pl: explicitely specify the libs in
	the two places where it wasn't done yet.

	* plug-ins/common/Makefile.am: regenerated.

2008-08-11  Michael Natterer  <mitch@gimp.org>

	* configure.in: change all LIBFOO variables to FOO_LIBS for
	consistency, got rid of some variables alltogether since
	PNG_CHECK_MODULES() already defined FOO_LIBS.

	* tools/Makefile.am
	* modules/Makefile.am
	* plug-ins/file-ico/Makefile.am
	* plug-ins/file-jpeg/Makefile.am
	* plug-ins/file-psd/Makefile.am
	* plug-ins/file-xjt/Makefile.am
	* plug-ins/common/plugin-defs.pl
	* plug-ins/common/mkgen.pl: changed accordingly.

	* plug-ins/common/Makefile.am: regenerated.

2008-08-11  Michael Natterer  <mitch@gimp.org>

	* plug-ins/bmp/*
	* plug-ins/faxg3/*
	* plug-ins/fits/*
	* plug-ins/fli/*
	* plug-ins/ico/*
	* plug-ins/jpeg/*
	* plug-ins/psd/*
	* plug-ins/sgi/*
	* plug-ins/uri/*
	* plug-ins/xjt/*: removed these...

	* plug-ins/file-bmp/*
	* plug-ins/file-faxg3/*
	* plug-ins/file-fits/*
	* plug-ins/file-fli/*
	* plug-ins/file-ico/*
	* plug-ins/file-jpeg/*
	* plug-ins/file-psd/*
	* plug-ins/file-sgi/*
	* plug-ins/file-uri/*
	* plug-ins/file-xjt/*: and moved them here. Changed executable
	names to "file-foo".

	* plug-ins/Makefile.am: changed accordingly.

	* plug-ins/common/*: rename all file plug-ins to file-foo.c. Get
	rid of the names "poppler" and "postscript" and call them
	"file-pdf" and "file-ps" because the conflict with standard
	autofoo targets is gone.

	* plug-ins/common/plugin-defs.pl: changed accordingly.

	* plug-ins/common/mkgen.pl: make sure cflags variables are named
	"PLUG_IN_NAME_CFLAGS" and not "PLUG-IN-NAME_CFLAGS"

	* plug-ins/common/Makefile.am: regenerated.

	* configure.in: change folders and variable names to match above
	changes.

2008-08-11  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptexttool.c: minor coding style cleanups.

2008-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_canvas_size_allocate): If the image fits
	within the display shell canvas on a given axis, center the image
	on that axis. This behaviour will certainly require a few tweaks
	but let's see how this feels. Feedback welcome.

2008-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell.c (gimp_display_shell_fill): Recent
	refactorings seems to have made the centering hack obsolete so use
	gimp_display_shell_scroll_center_image_on_next_size_allocate()
	instead.

2008-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell.c (gimp_display_shell_shrink_wrap):
	Always center the image after a wrap. I can't think of a case when
	that shouldn't happen.

	* app/display/gimpdisplayshell-handlers.c
	(gimp_display_shell_size_changed_detailed_handler): Centering
	occurs implicitly after wrapping now, no need to do it explicitly.

	* app/display/gimpdisplayshell-scroll.c
	(gimp_display_shell_scroll_center_image): Handle the no-image
	case.

2008-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.[ch]
	(gimp_display_shell_scroll_set_offset): New low level function for
	setting display shell offset.

	(gimp_display_shell_scroll_center_image)

	* app/display/gimpdisplayshell-handlers.c
	(gimp_display_shell_size_changed_detailed_handler): Use it instead
	of gimp_display_shell_scale_by_values().

2008-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_handle_zoom_revert): Move the
	zoom-revert updating logic into this new helper function so that
	we can update zoom-revert from other places.

2008-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.[ch]:
	Rename gimp_display_shell_scale_setup() to
	gimp_display_shell_update_scrollbars_and_rulers(), because that's
	exactly what that function does.

	* app/display/gimpdisplayshell.c
	* app/display/gimpdisplayshell-scroll.c
	* app/display/gimpdisplayshell-handlers.c
	* app/display/gimpdisplayshell-callbacks.c: Adapt to new name.

2008-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_setup): Remove unused local variables sw
	and sh.

2008-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.[ch]: Renamed
	gimp_display_shell_scroll_private() to gimp_display_shell_scroll()
	and keep it here.

	* app/display/gimpdisplayshell-private.h: Removed.

	* app/display/Makefile.am
	* app/display/gimpdisplayshell-scale.c
	* app/display/gimpdisplayshell-scroll.c
	* app/display/gimpdisplayshell-handlers.c
	* app/display/gimpdisplayshell-callbacks.c
	* app/display/gimpdisplayshell-autoscroll.c: Adapt.

2008-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.[ch]: It makes more sense
	for gimp_display_shell_get_scaled_image_size() to be moved from
	here to

	* app/display/gimpdisplayshell-draw.[ch]: here, and rename it to
	gimp_display_shell_draw_get_scaled_image_size().

	* app/display/gimpdisplayshell.c: Adapt to name change.

2008-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-draw.[ch]
	* app/display/gimpdisplayshell-render.[ch]
	* app/display/gimpdisplayshell-transform.[ch]
	* app/display/gimpdisplayshell-appearance.[ch]: Sprinkle as many
	const qualifiers we can without any implementation changes.

2008-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.[ch]: gimp_display_shell_ ->
	gimp_display_shell_scroll_ for functions that are scroll
	related. Also did some other minor renamings.

	* app/display/gimpnavigationeditor.c
	* app/display/gimpdisplayshell-draw.c
	* app/display/gimpdisplayshell-scale.c
	* app/display/gimpdisplayshell-render.c
	* app/display/gimpdisplayshell-transform.c
	* app/display/gimpdisplayshell-callbacks.c: Adapt to the name
	changes.

2008-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/actions/view-commands.c (view_shrink_wrap_cmd_callback): We
	need to center the image after a Shrink Wrap.

2008-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.c
	(gimp_display_shell_scroll_center_image): There is no need for
	special casing depending on image size relative to viewport size.

2008-08-10  Martin Nordholts  <martinn@svn.gnome.org>

	Put functions to center the image in the display shell where they
	belong, and give them proper names.

	* app/display/gimpdisplayshell-scale.[ch]: Get rid of functions
	and use the new names.

	* app/display/gimpdisplayshell-scroll.[ch]: Put the functions here
	and call them gimp_display_shell_scroll_center_image() and
	gimp_display_shell_scroll_center_image_on_next_size_allocate().

	* app/display/gimpdisplayshell.c:
	* app/display/gimpdisplayshell-handlers.c: Use the new names.

2008-08-08  Michael Natterer  <mitch@gimp.org>

	Bug #545990: GIMP color wheel is not antialiased

	* modules/colorsel_triangle.c: removed.

	* modules/colorsel_wheel.c: new module using the GtkHSV widget
	which was originally developed from above triangle selector.

	* modules/Makefile.am: changed accordingly.

2008-08-08  Sven Neumann  <sven@gimp.org>

	* app/base/tile-manager.c: implement
	tile_manager_get_tile_coordinates() by calling
	tile_manager_get_tile_col_row() instead of the other way around.
	Saves two multiplications and divisions for each call of
	tile_manager_get_tile_col_row().

2008-08-08  Sven Neumann  <sven@gimp.org>

	* app/base/tile-manager.c: introduced utility function
	tile_manager_allocate_tiles() to avoid code duplication.

2008-08-08  Sven Neumann  <sven@gimp.org>

	* app/base/tile-pyramid.c: improved a comment.

2008-08-08  Sven Neumann  <sven@gimp.org>

	* app/core/gimplayer.c (gimp_layer_new_from_tiles)
	(gimp_layer_new_from_pixbuf) (gimp_layer_new_from_region): allow
	to pass NULL for the 'name' parameter. This will be handled just
	like in gimp_layer_new().

2008-08-07  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/frosty-logo.scm: applied slightly
	modified version of a patch provided by LightningIsMyName.
	Catches some cases where the script would fail (bug #472316).

2008-08-07  Sven Neumann  <sven@gimp.org>

	* app/actions/layers-actions.c (layers_actions): added mnemonic to
	the new action.

2008-08-07  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c: sprinkled with const qualifiers.
	Fixed some portability problems.

2008-08-07  Sven Neumann  <sven@gimp.org>

	* app/base/tile.c (tile_attach): renamed a variable.

2008-08-07  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print.c (print_image): get rid of the
	gimp_export_image() hack and use the new procedure
	gimp-layer-new-from-visible instead. Finally we can print what the
	user sees (including channels).

2008-08-07  Sven Neumann  <sven@gimp.org>

	* app/core/gimpbuffer.[ch]: added gimp_buffer_get_tiles().

	* app/actions/edit-commands.c
	* app/core/gimpbrushclipboard.c
	* app/core/gimppatternclipboard.c: use the new accessor function.

2008-08-07  Sven Neumann  <sven@gimp.org>

	* app/core/gimplayer.c
	* app/actions/edit-commands.c
	* app/actions/layers-commands.c
	* tools/pdbgen/pdb/layer.pdb: corrected the GimpImageType passed
	to gimp_layer_new_from_tiles().

	* app/pdb/layer-cmds.c: regenerated.

2008-08-07  Sven Neumann  <sven@gimp.org>

	* app/actions/edit-commands.[ch]
	* app/actions/edit-actions.c: added new action
	"edit-paste-as-new-layer".

	* app/widgets/gimphelp-ids.h: added new help-id.

	* menus/image-menu.xml.in: added the new action.

2008-08-07  Tor Lillqvist  <tml@novell.com>

	* app/config/gimpbaseconfig.c (gimp_base_config_class_init): Use
	G_MAXSIZE instead of G_MAXULONG to limit the max tile cache size,
	as long is still 32 bits on Win64 but size_t is 64 bits.

2008-08-07  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/layer.pdb: added new procedure
	'gimp-layer-new-from-visible'.

	* app/pdb/layer-cmds.c
	* app/pdb/internal-procs.c
	* libgimp/gimplayer_pdb.[ch]: regenerated.

	* libgimp/gimp.def: updated.

2008-08-07  Sven Neumann  <sven@gimp.org>

	* app/actions/layers-actions.c
	* app/actions/layers-commands.[ch]: added new action
	"layers-new-from-visible".

	* app/widgets/gimphelp-ids.h: added new help-id.

	* menus/layers-menu.xml
	* menus/image-menu.xml.in: added the new action.

	* app/actions/edit-actions.c: improved the blurb for
	"edit-copy-visible".

2008-08-07  Tor Lillqvist  <tml@novell.com>

	* app/main.c: Code built by the still unstable mingw-w64 toolchain
	gets bogus argc and argv when built as subsystem:windows, so use
	__argc and __argv instead, which seem to be OK.

	* libgimp/gimp.h: Similar change here.

2008-08-07  Sven Neumann  <sven@gimp.org>

	* app/base/tile-manager.c (tile_manager_invalidate_tile): fixed
	broken copy-on-write code. The old code did not insert the new
	tile in the tile-manager's tile pointer array.

	(tile_manager_map): changed in a similar way as
	tile_manager_invalidate_tile(). This code was not broken, but it
	is easier to read now.

	* app/base/tile-private.h: moved a comment.

	* app/core/gimpselection.c (gimp_selection_extract): removed
	workaround for above bug.

2008-08-07  Sven Neumann  <sven@gimp.org>

	* app/core/gimpselection.c (gimp_selection_extract): aded a
	comment explaining why copy_region_nocow() is being used here.

2008-08-07  Sven Neumann  <sven@gimp.org>

	* app/core/gimplayer.c (gimp_layer_new_from_region): added some
	empty lines for readability.

2008-08-07  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage.[ch]: added gimp_image_get_projection().

	* app/display/gimpdisplay-handlers.c
	* app/display/gimpdisplayshell-render.c
	* app/display/gimpdisplayshell-scroll.c
	* app/paint/gimppaintcore.c
	* app/paint/gimpsourcecore.c
	* app/tools/gimpbycolorselecttool.c
	* app/tools/gimpeditselectiontool.c
	* app/tools/gimpimagemaptool.c
	* app/tools/gimpiscissorstool.c
	* app/tools/gimppainttool.c
	* app/widgets/gimpsamplepointeditor.c
	* tools/pdbgen/pdb/image.pdb: use the new accessor function.

	* app/pdb/image-cmds.c: regenerated.

2008-08-07  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcurvestool.h: fixed comment.

2008-08-07  Tor Lillqvist  <tml@novell.com>

	* configure.in: Define WIN32_LARGE_ADDRESS_AWARE as
	-Wl,--large-address-aware on 32-bit Windows, empty
	otherwise. AC_SUBST() it.

	* app/Makefile.am (win32_ldflags): Use WIN32_LARGE_ADDRESS_AWARE
	instead of hardcoding the switch, as it isn't valid, and would be
	pointless, when building a 64-bit GIMP.

2008-08-06  Sven Neumann  <sven@gimp.org>

	* app/core/gimpdrawable-shadow.c: removed unused include.

2008-08-06  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_center_image): The operation of centering the
	image in the display shell has by itself nothing to do with
	resizing the display shell window.

2008-08-06  Sven Neumann  <sven@gimp.org>

	* libgimp/gimppixelrgn.c (gimp_pixel_rgn_configure): fixed gtk-doc
	comment syntax.

2008-08-06  Sven Neumann  <sven@gimp.org>

	* app/gui/gimpdbusservice.c: minor cleanups.

2008-08-05  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c (gimp_display_shell_scale):
	Only center on the mouse pointer when zooming if it is within the
	canvas.

2008-08-05  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-scroll.[ch]
	* app/display/gimpdisplayshell-draw.c
	* app/display/gimpdisplayshell-scale.c
	* app/display/gimpdisplayshell-transform.c: get rid of the "image"
	part in all instances of "scaled_image_viewport_offset", we call
	it simply "viewport" in all other places and it makes the code
	more readable.

2008-08-05  Sven Neumann  <sven@gimp.org>

	* app/gui/gimpdbusservice.[ch]: changed refcounting and fixed a
	bug that I had introduced with the latest changes.

2008-08-05  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_setup): Don't setup scrollbar step
	increment here.

	* app/display/gimpdisplayshell-scroll.c
	(gimp_display_shell_setup_hscrollbar_with_value)
	(gimp_display_shell_setup_vscrollbar_with_value): Setup scrollbar
	step increment here and make sure that a step always scrolls at
	least a display shell pixel.

2008-08-05  Martin Nordholts  <martinn@svn.gnome.org>

	* app/core/gimpimage.c (gimp_image_real_size_changed_detailed):
	Clarify the design with a comment.

2008-08-05  Sven Neumann  <sven@gimp.org>

	* app/gui/gimpdbusservice.[ch]: keep a queue of D-Bus requests and
	work on them one after another instead of handling them all in
	parallel. Complements the fix for bug #546426.

2008-08-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/value-propagate.c (value_propagate_body):
	reduced number of progress updates.

	* app/core/gimpchannel.c (gimp_channel_scale): don't waste CPU
	cycles scaling an empty channel.

2008-08-05  Sven Neumann  <sven@gimp.org>

	* app/base/tile-manager.h
	* app/base/tile-pyramid.h: moved a misplaced comment to the right
	place.

2008-08-05  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c: move update_range
	callbacks where they belong and make them static.

2008-08-05  Sven Neumann  <sven@gimp.org>

	* app/dialogs/tips-dialog.c (tips_dialog_create): added a
	translator comment for the "Learn more" button.

2008-08-05  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-draw.c (gimp_display_shell_draw_guide):
	draw the guide all across the canvas, not limiting it to the image.

	* app/tools/gimpdrawtool.[ch]: added new function
	gimp_draw_tool_draw_guide_line().

	* app/tools/gimpmovetool.c (gimp_move_tool_draw): use it.

2008-08-05  Sven Neumann  <sven@gimp.org>

	* menus/image-menu.xml.in: moved the Windows menu next to the Help
	menu.

2008-08-05  Sven Neumann  <sven@gimp.org>

	* app/gui/gimpdbusservice.c: open the files from an idle handler.
	Opening a file may take a while (in particular if it involves
	asking the user for input) and we need to respond to the D-Bus
	call before it times out.

2008-08-04  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/scale-region.c: applied patch from Geert
	Jordaens as attached to bug #464466. Improves quality of scaling,
	in particular down-scaling.

2008-08-04  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage.[ch] (GimpImage::size-changed-detailed):
	change double to int in signal parameters.

	Remove gimp_image_emit_size_changed_signals() and call
	gimp_viewable_size_changed() in size-changed-detailed's default
	handler.

	* app/core/gimpimageundo.[ch]
	* app/core/gimpimage-undo-push.[ch]: change double to int in
	previous-origin related code.

	* app/core/gimpimage-undo.c
	* app/core/gimpimage-scale.c
	* app/core/gimpimage-crop.c
	* app/core/gimpimage-rotate.c
	* app/core/gimpimage-resize.c: call gimp_image_size_changed_detailed()
	instead of the removed gimp_image_emit_size_changed_signals()

	* app/display/gimpdisplayshell-scroll.[ch]: remove
	gimp_display_shell_handle_size_changed_detailed() because it
	handles both scrolling and scaling and doesn't belong here.

	* app/display/gimpdisplayshell-handlers.c: moved its code back to
	gimp_display_shell_size_changed_detailed_handler() and follow the
	double -> int change above.

2008-08-04  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimagemapconfig.c (gimp_image_map_config_compare):
	clarify if() condition.

2008-08-04  Martin Nordholts  <martinn@svn.gnome.org>

	* app/core/gimpimage.c (gimp_image_emit_size_changed_signals): The
	parameters should be named previous_origin_[xy].

2008-08-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/blur-motion.c (mblur_dialog): added translation
	context to blur-type menu (bug #546204).

2008-08-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/value-propagate.c: applied patch from Liam Quin
	as attached to bug #546159. Fixes bad data access for black and
	white propagation and removes unneeded calls to sqrt().

2008-08-04  Sven Neumann  <sven@gimp.org>

	Applied a slightly modified patch from Róman Joost as attached to
	bug #545963. This add links to the user manual to the tips dialog:

	* data/tips/gimp-tips.dtd
	* data/tips/gimp-tips.xml.in: add optional help IDs to the tips.

	* app/dialogs/tips-dialog.c

	* app/dialogs/tips-parser.[ch]: parse the help IDs from the tips
	file and show a "Learn more" link in the tips dialog.

2008-08-03  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell.c (gimp_display_shell_new): Center
	the image after connecting to it. This is required if the image we
	connect to is smaller than the initial canvas size.

2008-08-03  Martin Nordholts  <martinn@svn.gnome.org>

	Further work for completing bug #362915 that makes changes to the
	image size (e.g when cropping) be much more nicely handled by
	display shell.

	* app/core/gimpimage.[ch]: Add new signal
	GimpImage::size-changed-detailed that is emited whenever
	GimpViewable::size-changed is. The new signal provides additional
	information, namely the previous origin relative to the current
	origin. Cliens choose what specific signal to listen to depending
	on how much info they need.

	* app/display/gimpdisplayshell-handlers.c: Connect to
	GimpImage::size-changed-detailed instead of
	GimpViewable::size-changed since the shell wants information about
	the previous image origin.
	(gimp_display_shell_resolution_changed_handler): Use
	gimp_display_shell_scale_resize() instead to avoid display
	garbage.

	* app/display/gimpdisplayshell-scale.[ch]: Add new utility
	function gimp_display_shell_center_image_on_next_size_allocate().

	* app/display/gimpdisplayshell-scroll.[ch]
	(gimp_display_shell_handle_size_changed_detailed): New function
	that replaces logic in gimp_display_shell_handle_size_changed and
	that takes previous-origin of the image into account and adjusts
	the offset so that the image content that remains doesn't move. If
	the window is resized on image resize, just center the image
	afterwards.

	* app/core/gimpimage-undo-push.[ch]
	(gimp_image_undo_push_image_size): Add previous-origin paremeters.

	* app/core/gimpimageundo.[ch]: Add and manage previous-origin
	properties so that the display shell offset can be appropriately
	adjusted also when undoing.

	* app/core/gimpundo.h
	* app/core/gimpimage-undo.c: Add previous_origin members to the
	undo accumulator and emit that information when the size of the
	image changes due to the undo.

	* app/core/gimpimage-crop.c (gimp_image_crop)
	* app/core/gimpimage-scale.c (gimp_image_scale)
	* app/core/gimpimage-rotate.c (gimp_image_rotate)
	* app/core/gimpimage-resize.c (gimp_image_resize_with_layers):
	Supply information about the previous-origin of the image to the
	size-changed signals and the undo system.

2008-07-31  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage-scale.c (gimp_image_scale): formatting.

2008-07-30  Jakub Steiner <jimmac@ximian.com>

	* data/images/gimp-splash.png: new devel splash from 
	Aurore Derriennic <aurore.d@gmail.com>

2008-07-30  Sven Neumann  <sven@gimp.org>

	* app/dialogs/file-open-dialog.c (file_open_dialog_response):
	attach the URI of the last opened image to the Gimp object.

	* app/actions/file-commands.c (file_open_dialog_show): use the
	last opened URI as a fallback for initializing the dialog.

2008-07-29  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/Makefile.am
	* plug-ins/common/plugin-defs.pl
	* plug-ins/common/psd-save.c: removed psd-save source here ...

	* plug-ins/psd/Makefile.am
	* plug-ins/psd/psd-save.c: ... and added it back here.

2008-07-29  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/vectors.pdb: added the real name of the author
	of the new PDB function.

	* app/pdb/vectors-cmds.c: regenerated.

2008-07-28  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/edit.pdb (edit_stroke_vectors_invoker): check
	that the passed vectors item is attached.

	* app/pdb/edit-cmds.c: regenerated.

2008-07-28  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/vectors.pdb: applied patch from LightningIsMyName
	adding the new PDB function gimp-vectors-copy (bug #544212).

	* app/pdb/internal-procs.c
	* app/pdb/vectors-cmds.c
	* libgimp/gimpvectors_pdb.[ch]: regenerated.

	* libgimp/gimp.def: updated.

2008-07-27  Sven Neumann  <sven@gimp.org>

	* app/text/gimptext-compat.c (text_get_extents): applied the same
	workaround for a memory leak in PangoFT2 (bug #143542) as was
	applied long ago in gimptextlayout.c.

2008-07-27  Sven Neumann  <sven@gimp.org>

	* app/text/gimptext-compat.c (text_get_extents)
	* app/text/gimptextlayout-render.c (gimp_text_layout_render):
	use the readonly variant of pango_layout_iter_get_line().

2008-07-27  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_synthesize_motion): Bail out if there is no
	pending rectangle to synthesize a motion on. Fixes bug #544181.

2008-07-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/psd/Makefile.am: renamed executable to 'psd-load'.

2008-07-24  Sven Neumann  <sven@gimp.org>

	* app/widgets/gtkscalebutton.c: added missing prototypes.

2008-07-24  Sven Neumann  <sven@gimp.org>

	* plug-ins/help/gimphelplocale.c: formatting.

2008-07-24  Sven Neumann  <sven@gimp.org>

	* configure.in: minor cleanup of the checks for the URI plug-in.

	* plug-ins/uri/Makefile.am: changed accordingly.

2008-07-24  Sven Neumann  <sven@gimp.org>

	* plug-ins/uri/uri-backend-libcurl.c: use g_fopen().

	* plug-ins/uri/uri-backend-gvfs.c: formatting.

2008-07-24  Sven Neumann  <sven@gimp.org>

	* app/paint/gimppaintcore-stroke.c
	(gimp_paint_core_stroke_emulate_dynamics): renamed variables.

2008-07-23  Sven Neumann  <sven@gimp.org>

	* app/paint/gimppaintcore-stroke.[ch]: also implement brush
	dynamics emulation for stroking selections.

	* app/core/gimpchannel.c: pass the 'emulate-dynamics' parameter to
	gimp_paint_core_stroke_boundary().

2008-07-23  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpsessioninfo.c (gimp_session_info_get_geometry):
	don't report negative offsets, they would be interpreted wrongly.

2008-07-23  Sven Neumann  <sven@gimp.org>

	Based on a patch from Alexia Death (bug #543706):
	
	* app/paint/gimppaintcore-stroke.[ch]
	(gimp_paint_core_stroke_vectors): added code to emulate brush
	dynamics by modifying pressure and velocity along the stroke.

	* app/vectors/gimpvectors.c (gimp_vectors_stroke): pass the
	'emulate-dynamics' parameter to gimp_paint_core_stroke_vectors().

2008-07-23  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcontrollerinfo.c
	* app/widgets/gimpcontrollerlist.c
	* app/widgets/gimpdasheditor.c
	* app/widgets/gimpdock.c
	* app/widgets/gimpeditor.c
	* app/widgets/gimpgrideditor.c
	* app/widgets/gimppdbdialog.c
	* app/widgets/gimppluginaction.c
	* app/widgets/gimpstrokeeditor.c
	* app/widgets/gimptemplateeditor.c
	* libgimpwidgets/gimpcolorprofilecombobox.c: no need to cast the
	return value of g_value_dup_object().

2008-07-23  Sven Neumann  <sven@gimp.org>

	* app/core/gimpguideundo.c
	* app/core/gimpitemundo.c
	* app/core/gimplayermaskundo.c
	* app/core/gimppdbprogress.c
	* app/core/gimpstrokedesc.c
	* app/core/gimptooloptions.c
	* app/core/gimptoolpresets.c
	* app/paint/gimppaintoptions.c
	* app/text/gimpfont.c
	* app/tools/gimptool.c
	* app/widgets/gimpaction.c
	* app/widgets/gimpcontrollereditor.c: no need to cast the return
	value of g_value_dup_object().

2008-07-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcellrendererviewable.c: no need to cast the
	return value of g_value_dup_object().

2008-07-22  Sven Neumann  <sven@gimp.org>

	* plug-ins/help-browser/dialog.c (build_menu): check the return
	value of webkit_web_history_item_get_title() to guard us against
	a (reported) bug in WebKit.

2008-07-22  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpviewrendererimagefile.c
	(gimp_view_renderer_imagefile_get_icon): guard against
	g_file_query_info() returning NULL (if the file doesn't exist or
	whatever error).

2008-07-22  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpcolortool.c: set scroll_lock to TRUE while moving
	or creating sample points so the image doesn't scroll while a new
	sample point is dragged from the rulers and sample points can be
	deleted by dragging them out of image without scrolling at the
	same time.

2008-07-22  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpvectortool.c: only use the position from the event
	coordinates when creating or modifying strokes. Initialize all
	other GimpCoords fields with default values.

2008-07-22  Sven Neumann  <sven@gimp.org>

	* app/vectors/gimpbezierstroke.c: formatting.

2008-07-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpsessioninfo-aux.c
	(gimp_session_info_aux_new_from_props): plugged memory leak.

2008-07-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphistogramview.c
	(gimp_histogram_view_set_background): fixed refcounting	issue.
	This plugs the memory leak I tried to fix in GimpHistogramEditor.

2008-07-22  Sven Neumann  <sven@gimp.org>

	* app/base/gimphistogram.[ch]: added new method
	gimp_histogram_duplicate().

	* app/widgets/gimphistogrameditor.c
	(gimp_histogram_editor_frozen_update): instead of recalculating
	the histogram, use a duplicate for the background histogram.

2008-07-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphistogrameditor.c (gimp_histogram_editor_set_image):
	reverted last change, it did not plug the leak.

2008-07-22  Sven Neumann  <sven@gimp.org>

	* app/gui/session.c (session_init): plugged a small memory leak.

2008-07-21  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphistogrameditor.c
	(gimp_histogram_editor_set_image): always unset and unref the
	histograms. Plugs a memory leak reported by valgrind.

2008-07-21  Simon Budig  <simon@gimp.org>

	* app/core/gimpcoords.c: incorporate the velocity.

2008-07-21  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpdrawtool.c (gimp_draw_tool_on_vectors_handle):
	plugged a not so small memory leak.

2008-07-21  Sven Neumann  <sven@gimp.org>

	* app/actions/windows-actions.c (windows_actions_dock_notify):
	plugged another small memory leak.

2008-07-21  Sven Neumann  <sven@gimp.org>

	* app/menus/file-menu.c (file_menu_open_recent_query_tooltip):
	plugged a small memory leak.

2008-07-21  Sven Neumann  <sven@gimp.org>

	* app/core/gimpstrokedesc.[ch]: added boolean property
	'emulate-brush-dynamics', in preparation for bug #543706.

	* app/dialogs/stroke-dialog.c: added a toggle for the new parameter.

2008-07-21  Sven Neumann  <sven@gimp.org>

	* configure.in (ALL_LINGUAS): updated note to translators.

2008-07-21  Michael Natterer  <mitch@gimp.org>

	* app/gui/splash.c
	* plug-ins/common/*.c: don't use gtk_box_pack_start_defaults(),
	it got deprecated in GTK+ trunk.

2008-07-21  Sven Neumann  <sven@gimp.org>

	* configure.in (ALL_LINGUAS): added 'be' (Belarusian).

2008-07-19  Martin Nordholts  <martinn@svn.gnome.org>

	* app/widgets/gimpnavigationview.[ch]: Don't expose implementation
	details and extend the interface with trivial new functions.

	* app/display/gimpnavigationeditor.c
	(gimp_navigation_editor_popup): Use the new interface instead of
	directly accessing the members of the navigation view.

2008-07-18  Sven Neumann  <sven@gimp.org>

	* app/core/core-types.h: removed delta_time, delta_x, delta_y,
	distance and random from the GimpCoords struct. These don't need
	to be kept here and they can't be properly interpolated.

	* app/core/gimpcoords.c: changed accordingly.

	* app/xcf/xcf-load.c (xcf_load_vector): the size of the GimpCoords
	struct changed.

	* app/display/gimpdisplayshell.[ch] (struct _GimpDisplayShell):
	added some members to store values from the last event that are
	needed in gimp_display_shell_eval_event() and which are not any
	longer part of GimpCoords.

	* app/display/gimpdisplayshell-coords.c
	(gimp_display_shell_eval_event): changed accordingly.
	
	* app/paint/gimppaintoptions.c: calculate a random number when one
	is needed.

	* app/paint/gimpbrushcore.c (gimp_brush_core_interpolate):
	GimpCoords doesn't have a "random" field any longer.

2008-07-18  Sven Neumann  <sven@gimp.org>

	* app/core/core-types.h (GIMP_COORDS_DEFAULT_VALUES): initialize
	all members of the GimpCoords struct.

2008-07-17  Sven Neumann  <sven@gimp.org>

	* app/core/gimpcoords.c (gimp_coords_mix): also mix in the new
	members of the GimpCoords struct.

2008-07-17  Sven Neumann  <sven@gimp.org>

	* app/core/gimpcoords.c (gimp_coords_mix): formatting.

	* app/vectors/gimpbezierstroke.c: formatting.

2008-07-17  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcolorizetool.c: fixed typo pointed out by
	Žygimantas Beručka.

2008-07-17  Sven Neumann  <sven@gimp.org>

	* app/paint/gimppaintcore.[ch]: removed 'use_pressure' field from
	GimpPaintCore.
	
	* app/paint/gimppaintoptions.[ch]: removed 'use_pressure' parameter.

	* app/paint/gimpairbrush.c
	* app/paint/gimpbrushcore.c
	* app/paint/gimpclone.c
	* app/paint/gimpconvolve.c
	* app/paint/gimpdodgeburn.c
	* app/paint/gimperaser.c
	* app/paint/gimpheal.c
	* app/paint/gimppaintbrush.c
	* app/paint/gimpsmudge.c
	* app/tools/gimppainttool.c: changed accordingly.

2008-07-17  Tor Lillqvist  <tml@novell.com>

	* app/Makefile.am (win32_ldflags): Use -Wl,--large-address-aware
	on Windows so that we can use more that 2 GB user data space (if
	available; i.e. if running on a 64-bit OS, or a 32-bit OS booted
	with /3GB). See discussion in bug #522073.

2008-07-17  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpui.c: improved the documentation of gimpui_init().

2008-07-16  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.5.3.

2008-07-16  Sven Neumann  <sven@gimp.org>

	* Made 2.5.2 development release.

2008-07-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/help-browser/dialog.c: also start the search when the
	slash key is pressed. Added a "find-again" feature bound to Ctrl-G.

2008-07-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/help-browser/dialog.c: applied patch from Róman Joost
	as attached to bug #542826 (with some minor modifications). This
	adds a "Search in this page" feature bound to Ctrl-F.

2008-07-15  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/edit.pdb: fixed documentation (bug #542972).

	* app/pdb/edit-cmds.c
	* libgimp/gimpedit_pdb.c: regenerated.

2008-07-14  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/palette.pdb: added new PDB function
	gimp-palette-get-colors that retrieves all colors from a palette
	in a single call. Based on patches from bug #332206.

	* app/pdb/palette-cmds.c
	* app/pdb/internal-procs.c
	* libgimp/gimppalette_pdb.[ch]: regenerated.
	
	* libgimp/gimp.def: updated.

2008-07-14  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/app.pl: added support for color arrays.

2008-07-14  Sven Neumann  <sven@gimp.org>

	* app/pdb/gimp-pdb-compat.c (gimp_pdb_compat_arg_type_from_gtype):
	added mapping from GIMP_TYPE_COLOR_ARRAY to GIMP_PDB_COLORARRAY.

2008-07-14  Sven Neumann  <sven@gimp.org>

	Add new PDB data type PDB_COLORARRAY for using arrays of GimpRGB
	colors as argument or return value.

	* libgimpbase/gimpbaseenums.[ch] (enum GimpPDBArgType): replaced
	the unused GIMP_PDB_BOUNDARY with GIMP_PDB_COLORARRAY.

	* libgimpbase/gimpprotocol.h: increased GIMP_PROTOCOL_VERSION.
	(struct _GPParam): added d_colorarray entry to the union.

	* libgimpbase/gimpprotocol.c
	* libgimp/gimp.[ch]
	* app/pdb/gimp-pdb-compat.c
	* app/plug-in/plug-in-params.c
	* app/plug-in/gimpplugin-message.c
	* tools/pdbgen/pdb.pl: deal with the new data type.

	* tools/pdbgen/enums.pl: regenerated.

	* plug-ins/pygimp/pygimp-pdb.c
	* plug-ins/script-fu/scheme-wrapper.c: handle the new data type.

2008-07-14  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcontrollerkeyboard.c: changed cursor key event
	prefix from "key-" to "cursor-".

	* etc/controllerrc: changed accordingly. Also removed default
	bindings for cursor keys without modifiers as many tools use the
	cursor keys already.

2008-07-14  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_setup): added some line breaks to
	improve readability.

2008-07-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.[ch]
	(gimp_display_shell_center_image): Allow to choose what axes to
	center on.

	(gimp_display_shell_scale_fill)
	(gimp_display_shell_scale_fit_in): Explicitly center on both axes.

	* app/display/gimpdisplayshell.c (gimp_display_shell_fill): Center
	the image in the previously empty display shell. Rather hackish,
	but seems to work fine.

2008-07-13  Sven Neumann  <sven@gimp.org>

	* app/widgets/Makefile.am
	* app/widgets/gimpdbusservice.[ch]
	* app/widgets/dbus-service.xml: removed here ...

	* app/gui/Makefile.am
	* app/gui/gimpdbusservice.[ch]
	* app/gui/dbus-service.xml: ... and moved here.
	(gimp_dbus_service_activate): raise the first display instead of
	the toolbox.

	* app/gui/gui-unique.c (gui_unique_win32_idle_open): same change
	here, raise the display instead of the toolbox.

	* app/unique.c: changed accordingly.

2008-07-13  Sven Neumann  <sven@gimp.org>

	* app/unique.c
	* app/gui/gui-unique.c: on Win32, if the gimp binary is started
	without filenames, raise the toolbox, just as we do in the DBus
	code path.

2008-07-13  Aurimas Juška  <aurisj@svn.gnome.org>

	* app/unique.c (gimp_unique_win32_open): check for NULL pointer to
	prevent crash when there are no filenames provided.

2008-07-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell.c (gimp_display_shell_new): Get rid
	of non-intelligent scrollbar stepper sensitivity code.

	* app/display/gimpdisplayshell-scroll.c
	(gimp_display_shell_scroll_clamp_offsets): Add intelligent
	scrollbar stepper sensitivity code.

2008-07-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.c
	(gimp_display_shell_setup_hscrollbar_with_value): Consistency
	cleanup.

2008-07-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.[ch]
	(gimp_display_shell_center_image): New function.
	(gimp_display_shell_scale_fill)
	(gimp_display_shell_scale_fit_in): Center the image at the end.

2008-07-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.c
	(gimp_display_shell_setup_hscrollbar_with_value)
	(gimp_display_shell_setup_vscrollbar_with_value): Use
	gimp_display_shell_get_scaled_image_size() instead of inaccurately
	calculate that information locally.

2008-07-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpnavigationeditor.c
	(gimp_navigation_editor_popup): BORDER_PEN_WIDTH is a normal
	constant, no need for voodoo.

2008-07-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.[ch]
	(gimp_display_shell_get_scaled_image_size): New function that
	contains logic previously kept in gimp_display_shell_draw_area().

	* app/display/gimpdisplayshell-draw.c
	(gimp_display_shell_draw_area): Use the new function.

2008-07-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell.c (gimp_display_shell_fill): Don't
	ask gimp_display_shell_set_initial_scale() for display size, we
	don't care anyway.

2008-07-12  Martin Nordholts  <martinn@svn.gnome.org>

	The following change is conceptually based on a patch by
	Alexia Death and implements the core functionality for
	bug #362915.

	* app/display/gimpdisplayshell-scroll.[ch]
	(gimp_display_shell_scroll_clamp_offsets): Clamp the offsets in
	such a way that allows to scroll beyond the image border.

	(gimp_display_shell_setup_hscrollbar_with_value)
	(gimp_display_shell_setup_vscrollbar_with_value): Put common
	scrollbar range setup code here.

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_setup): Use above helper functions for
	setting up scrollbar range.

	* app/display/gimpdisplayshell-callbacks.c: Handle adjustment of
	the scrollbar range when they are about to change value.

	* app/display/gimpdisplayshell.c: Always keep the scrollbar
	steppers sensitive to user input.

2008-07-12  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.c:
	Replace gimp_display_shell_scroll() with
	gimp_display_shell_center_around_image_coordinate() since that is
	easier to map to something sensible when we allow to scroll beyond
	image border.

	* app/display/gimpnavigationeditor.c
	(gimp_navigation_editor_marker_changed): Adapt to the new
	interface.

2008-07-12  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.c
	(gimp_display_shell_get_viewport): Remove invalid TODO.

2008-07-12  Martin Nordholts  <martinn@svn.gnome.org>

	* app/core/gimpmarshal.list: Added
	VOID__DOUBLE_DOUBLE_DOUBLE_DOUBLE marshaller.

	* app/widgets/gimpnavigationview.c: Make the "marker-changed"
	signal also pass the marker width and height as parameters.

	* app/display/gimpnavigationeditor.c: Updated accordingly.

2008-07-12  Sven Neumann  <sven@gimp.org>

	* configure.in: fixed check for babl.

2008-07-12  Martin Nordholts  <martinn@svn.gnome.org>

	* configure.in: Prefered casing of `babl' is `babl'.

2008-07-12  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_setup): The scrollbars should be setup
	using the new offset, not the old counterpart.

2008-07-12  Sven Neumann  <sven@gimp.org>

	* app/tools/gimprectangletool.c: formatting.

2008-07-12  Sven Neumann  <sven@gimp.org>

	* app/core/gimpparamspecs.[ch]: added GIMP_TYPE_COLOR_ARRAY and
	GIMP_TYPE_PARAM_COLOR_ARRAY in preparation for fixing bug #332206.

2008-07-12  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_setup): Renamed the variables sx and sy
	to sw and sh.

2008-07-12  Martin Nordholts  <martinn@svn.gnome.org>

	In this ChangeLog entry, disp_offset means disp_[xy]offset and
	offset means offset_[xy].

	* app/display/gimpdisplayshell.[ch]: Kill disp_offset! We now
	represent that by a negative offset.

	* app/display/gimpdisplayshell-scroll.[ch]
	(gimp_display_shell_scroll_clamp_offsets)
	(gimp_display_shell_get_scaled_image_viewport_offset): Adjust
	accordingly to preserve current behaviour.

	(gimp_display_shell_get_disp_offset): New function to get the old
	disp_offset based on the new offset.

	(gimp_display_shell_get_render_start_offset): New function to get
	the old offset based on the new offset.

	* app/display/gimpdisplayshell-draw.c
	* app/display/gimpdisplayshell-scale.c
	* app/display/gimpdisplayshell-render.c: Get rid of disp_offset
	and use gimp_display_shell_get_disp_offset() and
	gimp_display_shell_get_render_start_offset() instead.

2008-07-11  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_setup): Remove #if zeroed debug output.

2008-07-11  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_setup): Restructure the way the rulers
	are setup, partly by making use of the new nifty
	gimp_display_shell_get_scaled_image_viewport_offset().

2008-07-11  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-transform.c
	(gimp_display_shell_transform_xy_f)
	(gimp_display_shell_untransform_xy_f): We can use
	gimp_display_shell_get_scaled_image_viewport_offset() here

	* app/display/gimpdisplayshell-scroll.c
	(gimp_display_shell_get_scaled_viewport): and here.

2008-07-11  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.[ch]
	(gimp_display_shell_get_viewport)
	(gimp_display_shell_get_scaled_viewport)
	(gimp_display_shell_get_scaled_image_viewport_offset): const- and
	g_return_if_fail-ify.

2008-07-11  Sven Neumann  <sven@gimp.org>

	* app/tools/gimprotatetool.c (gimp_rotate_tool_key_press): simplified.

2008-07-11  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.[ch]
	(gimp_display_shell_get_scaled_image_viewport_offset): New
	function to replace any occurance of

	  shell->disp_[xy]offset - shell->offset_[xy]

	that is just an implementation specific way of saying the same
	thing.

	* app/display/gimpdisplayshell-draw.c
	* app/display/gimpdisplayshell-transform.c: Make the code less
	implementation dependant by using the new function.

2008-07-11  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-draw.c
	(gimp_display_shell_draw_area): Update comment.

2008-07-11  Tor Lillqvist  <tml@novell.com>

	* app/app.c: Drop duplicated #include <gegl.h>.

	* app/gui/gui-unique.c (idle_open_data_new): Fix g_slice_new()
	use.

2008-07-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/selection-to-path/pxl-outline.c (append_coordinate):
	use g_printerr() for debug output.

2008-07-11  Sven Neumann  <sven@gimp.org>

	* app/gui/gui-unique.c: dispatch opening to an idle handler.

2008-07-11  Sven Neumann  <sven@gimp.org>

	* docs/gimp.1.in: removed reference to gimp-remote(1).

2008-07-11  Sven Neumann  <sven@gimp.org>

	* configure.in
	* docs/Makefile.am: made the build of gimp-remote optional and
	disable it by default.

	* INSTALL: document the --enable-gimp-remote configure option.

2008-07-11  Tor Lillqvist  <tml@novell.com>

	* app/unique.c (gimp_unique_filename_to_uri): Check GError being
	unset correctly.
	(gimp_unique_win32_open): Add missing semicolon.

	* app/gui/gui-unique.c: Include <windows.h> on Windows.
	(gui_unique_win32_init): Drop unused variable.

2008-07-11  Sven Neumann  <sven@gimp.org>

	* app/core/gimpscanconvert.c
	* app/vectors/gimpbezierstroke.c
	* app/vectors/gimpvectors.c: include <cairo.h> instead of
	<cairo/cairo.h>.

2008-07-11  Sven Neumann  <sven@gimp.org>

	* app/unique.c
	* app/gui/gui-unique.[ch]: merged code from bug #410439 to provide
	builtin gimp-win-remote functionality for Win32. This is untested
	and most probably doesn't even compile.

2008-07-11  Sven Neumann  <sven@gimp.org>

	* app/gui/Makefile.am
	* app/gui/gui-unique.[ch]: new files providing functionality to
	ensure a unique GUI instance of GIMP. Code split out of gui.c.

	* app/gui/gui.c: changed accordingly.

2008-07-11  Sven Neumann  <sven@gimp.org>

	* app/Makefile.am 
	* app/unique.[ch]: new files containing functionality to check for
	an already running instance of GIMP of notifying it about files to
	open. Code split out of main.c.

	* app/main.c: changed accordingly.

2008-07-11  Sven Neumann  <sven@gimp.org>

	* app/main.c (gimp_init_malloc): removed misleading comment.

2008-07-11  Sven Neumann  <sven@gimp.org>

	* app/base/color-balance.c (color_balance_create_lookup_tables):
	formatting, to improve readability.

2008-07-11  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.[ch]
	(gimp_display_shell_get_viewport): Extend the interface with this
	function.

	* app/display/gimpnavigationeditor.c
	(gimp_navigation_editor_update_marker): Use it here.

2008-07-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.[ch]
	(gimp_display_shell_get_scaled_viewport): Extend the interface
	with this function

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_update_handle_sizes): Forget anything we knew
	about how to interpret the icky GimpDisplayShell offset variables

2008-07-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.[ch]: Make
	gimp_display_shell_scroll() a sane public interface for scrolling
	and call the old version gimp_display_shell_scroll_private()

	* app/display/gimpnavigationeditor.c: Adapt to the saner version
	of gimp_display_shell_scroll()

	* app/display/gimpdisplayshell-callbacks.c: 
	* app/display/gimpdisplayshell-autoscroll.c: Use the private
	version of gimp_display_shell_scroll()

	* app/display/Makefile.am: Added gimpdisplayshell-private.h

2008-07-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.[ch]: The return value of
	gimp_display_shell_scroll() is not used anywhere, make it void.

2008-07-10  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/pygimp-pdb.c: Allow None to be passed for
	PDB_DISPLAY.

2008-07-10  Sven Neumann  <sven@gimp.org>

	* app/tools/gimppaintoptions-gui.c (gimp_paint_options_gui):
	changed expander title to "Brush Dynamics".

2008-07-10  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphelp.c: some changes to the dialog that is shown
	if the help browser is missing.

2008-07-10  Sven Neumann  <sven@gimp.org>

	* docs/gimp.1.in: document the --help-gegl command-line option.

2008-07-10  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-progress.c
	(gimp_display_shell_progress_message): swallow informational
	messages if there aren't handled by the statusbar.

2008-07-10  Sven Neumann  <sven@gimp.org>

	* app/core/gimpdata.[ch]: renamed gimp_data_name_compare() to
	gimp_data_compare() and changed it to keep the data in three
	groups: internal, writable and system resource files. Inside the
	groups the sorting order is alphabetical.

	* app/core/gimpdatafactory.c (gimp_data_factory_new): changed
	accordingly.

2008-07-10  Sven Neumann  <sven@gimp.org>

	* app/core/gimpdatafactory.[ch] (gimp_data_factory_new): renamed
	parameter.

2008-07-09  Sven Neumann  <sven@gimp.org>

	* app/core/gimp-user-install.c (gimp_user_install_detect_old):
	fixed misplaced debug output.

2008-07-09  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-close.c (gimp_display_shell_close):
	if a save dialog is active for this image, then don't allow to
	close it. Fixes bug #511965.

2008-07-09  Sven Neumann  <sven@gimp.org>

	* app/display/gimpstatusbar.c (gimp_statusbar_progress_message):
	don't accept a progress message if the status bar is already
	showing a temporary message.

2008-07-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/tiff-load.c (tiff_warning): send warnings about
	unknown fields to stderr instead of using the log mechanism.

2008-07-09  Sven Neumann  <sven@gimp.org>

	* app/tools/gimppainttool.c (gimp_paint_tool_motion): don't paint
	while the Shift key is pressed for line drawing (bug #529434).

2008-07-08  Martin Nordholts  <martinn@svn.gnome.org>

	* plug-ins/pygimp/gimpmodule.c (gimp_methods): Remove duplicate
	entry of gimp.get_foreground().

2008-07-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/help-browser/dialog.c (build_menu): plugged a memory leak.

2008-07-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/help-browser/dialog.c (load_finished): select the
	current URI in the index. Pointed out by Roman Joost.

2008-07-07  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphelp.c (gimp_help_query_user_manual_online):
	changed button label and added an icon.

2008-07-07  Sven Neumann  <sven@gimp.org>

	* app/paint/gimppaintoptions.c
	(gimp_paint_options_get_dynamic_hardness): applied patch from
	Alexia Death fixing a cut'n'paste error.

2008-07-07  Sven Neumann  <sven@gimp.org>

	* app/tools/gimppaintoptions-gui.c (tool_has_size_dynamics): check
	for tools derived from GimpPaintBrushTool just as we do in
	tool_has_opacity_dynamics().
	(tool_has_hardness_dynamics): enable hardness dynamics for the
	eraser tool (bug #541691).

2008-07-07  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphelp.c (gimp_help_query_user_manual_online):
	command button labels should be capitalized in header style.

2008-07-07  Sven Neumann  <sven@gimp.org>

	* themes/Default/images/stock-user-manual-64.png: recreated from SVG.

2008-07-07  Sven Neumann  <sven@gimp.org>

	* app/composite/gimp-composite-*test.c: declared test functions as
	static.

2008-07-07  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphelp.c: use GIMP_LOG() for debug output.

2008-07-06  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphelp.c: if the user asks for help and the user
	manual is not locally installed, show a dialog that allows to
	change the preferences so that the online version is used.

2008-07-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/help/gimphelpdomain.c: improved error messages.

2008-07-05  Martin Nordholts  <martinn@svn.gnome.org>

	* app/display/gimpdisplayshell-scroll.c
	(gimp_display_shell_scroll_clamp_offsets): Renamed the variables sx
	and sy to sw and sh.

2008-07-05  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphelp.c (gimp_help_user_manual_is_installed):
	always return TRUE if GIMP2_HELP_URI environment variable is set.

2008-07-05  Sven Neumann  <sven@gimp.org>

	* app/dialogs/preferences-dialog.c
	* app/widgets/gimphelp.[ch]: improved test for user manual
	installation and moved the code out of the prefs dialog.

2008-07-05  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c: 
	* app/tools/gimpeditselectiontool.c: Simplify math.

2008-07-05  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c:
	* app/tools/gimpeditselectiontool.c: Mark the center of
	rectangles/bounding rectangles so that it is easier to predict and
	see where snapping occurs. Completes the fix for bug #527659.

2008-07-05  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpeditselectiontool.[ch]: Don't expose the icky
	implementation details.

2008-07-05  Martin Nordholts  <martinn@svn.gnome.org>

	* data/tips/gimp-tips.xml.in: Removed tip about how to make a
	circular selection. It's much more discoverable now than it was in
	GIMP 2.2, and the current description is faulty. (Bug #486599.)

2008-07-04  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphelp.[ch]: added a function to get the location
	where the user manual is expected if it is installed locally.

	* app/dialogs/preferences-dialog.c: inform the user about the
	presence or absence of the user manual.

2008-07-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/help-browser/dialog.c (browser_dialog_make_index_foreach):
	improved order of index items with alphabetic counters.

2008-07-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/help/gimphelpitem.h: document the purpose of the extra
	struct fields.

	* plug-ins/help-browser/dialog.c: limit the depth of the index to 4.

2008-07-04  Sven Neumann  <sven@gimp.org>

	* app/core/gimpgrid.c: changed default grid to a 10x10 grid of
	solid lines (bug #539318).

2008-07-03  Sven Neumann  <sven@gimp.org>

	* app/actions/dialogs-actions.c (dialogs_toplevel_actions):
	changed blurb for "dialog-tips".

2008-07-03  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_events): don't use Escape to quit full-screen
	mode, it collides with tools using the Escape key (bug #539949).

2008-07-03  Lars-Peter Clausen  <lars@metafoo.de>

	* plug-ins/pygimp/pygimp-drawable.c
	* plug-ins/pygimp/pygimp-vectors.c
	* plug-ins/pygimp/pygimp-display.c
	* plug-ins/pygimp/pygimp-image.c: Added checks to ensure that a
	python object only is created if its id is valid. Fixes bug #536403.

	* plug-ins/pygimp/pygimp-pdb.c
	* plug-ins/pygimp/pygimp-tile.c
	* plug-ins/pygimp/pygimp-colors.c
	* plug-ins/pygimp/pygimp.h: Fix crashing when pygimp is used with
	python-2.5 on 64 bit systems. Fixes bug #540629.

2008-07-03  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpsettingsbox.c (gimp_settings_box_constructor)
	* app/widgets/gimpsettingseditor.c (gimp_settings_editor_constructor):
	removed trailing period from tooltip texts.

	* app/config/gimprc-blurbs.h: don't mark USER_MANUAL_ONLINE_BLURB
	for translation, it is not used in the user interface.

2008-07-03  Sven Neumann  <sven@gimp.org>

	* INSTALL: mention the fact that intltool now needs to be
	installed in order to build from tarball.

	* HACKING: removed mentioning of intltoolize here.

2008-07-02  Jakub Steiner <jimmac@ximian.com>

	* themes/Default/images/stock-gegl-16.png
	* themes/Default/images/stock-gegl-16.svg
	* themes/Default/images/stock-gegl-22.png
	* themes/Default/images/stock-gegl-22.svg
	* themes/Default/images/stock-gegl.svg: tweak icons to comply with
	tango style guidelines

2008-07-01  Sven Neumann  <sven@gimp.org>

	* themes/Default/images/stock-gegl-16.png
	* themes/Default/images/stock-gegl-22.png: changed GEGL stock icon
	based on the new GEGL logo.

	* themes/Default/images/stock-gegl.svg: added SVG version.

2008-06-30  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimphistogrambox.c
	(gimp_histogram_box_high_adj_update): don't call
	gtk_adjustment_get_value() on a gint.

2008-06-30  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/file-open-dialog.c (file_open_dialog_response):
	restore code that sets the dialog back to sensitive when opening
	fails because it stays open. Fixes bug #540801.

2008-06-29  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpgegltool.c (gimp_gegl_tool_dialog): remove size
	group code because the size group doesn't exist if there is no
	settings box.

2008-06-29  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/channel-options-dialog.c
	* app/dialogs/palette-import-dialog.c
	* app/display/gimpdisplayshell-callbacks.c
	* app/display/gimpnavigationeditor.c
	* app/tools/gimpbrightnesscontrasttool.c
	* app/tools/gimpcolorbalancetool.c
	* app/tools/gimpcolorizetool.c
	* app/tools/gimphuesaturationtool.c
	* app/tools/gimplevelstool.c
	* app/tools/gimpposterizetool.c
	* app/widgets/gimpbrusheditor.c
	* app/widgets/gimpbrushfactoryview.c
	* app/widgets/gimpbrushselect.c
	* app/widgets/gimpcolormapeditor.c
	* app/widgets/gimpcontainertreeview-dnd.c
	* app/widgets/gimpgradienteditor.c
	* app/widgets/gimphistogrambox.c
	* app/widgets/gimppaletteeditor.c
	* app/widgets/gimpscalebutton.c: replace adjustment->value by
	gtk_adjustment_get_value (adjustment).

2008-06-29  Michael Natterer  <mitch@gimp.org>

	* plug-ins/color-rotate/color-rotate-callbacks.c
	* plug-ins/gfig/gfig-grid.c
	* plug-ins/gimpressionist/general.c
	* plug-ins/gimpressionist/orientmap.c
	* plug-ins/gimpressionist/paper.c
	* plug-ins/gimpressionist/placement.c
	* plug-ins/gimpressionist/sizemap.c
	* plug-ins/gimpressionist/utils.c
	* plug-ins/ifs-compose/ifs-compose.c
	* plug-ins/imagemap/imap_grid.c
	* plug-ins/jpeg/jpeg-save.c
	* plug-ins/print/print-preview.c
	* plug-ins/win-snap/winsnap.c: use accessors instead of accessing
	members of GTK+ widgets directly.

2008-06-28  Michael Natterer  <mitch@gimp.org>

	* pygimp-pdb.c:
	* pygimp-tile.c:
	* pygimp-colors.c: revert last patch because Py_ssize_t is
	undefined in some (older?) pythons. Needs more investigation.

2008-06-28  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpviewrendererimagefile.c
	(gimp_view_renderer_imagefile_get_icon): add widget parameter so
	we can get the right icon theme for the screen. If building
	against GTK+ >= 2.13.4, use GFile to get proper file type icons.

	(gimp_view_renderer_imagefile_render): pass the widget.

	(get_icon_fallback): remove this unused function.

2008-06-28  Martin Nordholts  <martinn@svn.gnome.org>

	* app/widgets/gtkscalebutton.h: Remove uses of GSEAL macro to make
	the thing compile on systems without bleeding edge GTK+.

2008-06-28  Michael Natterer  <mitch@gimp.org>

	This is completely evil:

	* app/widgets/Makefile.am
	* app/widgets/gtkscalebutton.[ch]: copy GtkScaleButton from GTK+
	upstream trunk and hack around until symbol conflicts are gone
	and it builds.

	* app/widgets/gimppropwidgets.c
	* app/widgets/gimpscalebutton.[ch]: use the hacked version instead
	of the one from GTK+. Set the orientation to horizontal.

2008-06-28  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/animation-play.c
	* plug-ins/common/cml-explorer.c
	* plug-ins/common/convolution-matrix.c
	* plug-ins/common/curve-bend.c
	* plug-ins/common/despeckle.c
	* plug-ins/common/filter-pack.c
	* plug-ins/common/gee-zoom.c
	* plug-ins/common/gee.c
	* plug-ins/common/lens-flare.c
	* plug-ins/common/newsprint.c
	* plug-ins/common/nova.c
	* plug-ins/common/postscript.c
	* plug-ins/common/sample-colorize.c
	* plug-ins/common/sphere-designer.c
	* plug-ins/common/tile-small.c: use accessors instead of accessing
	members of GTK+ widgets directly.

2008-06-28  Martin Nordholts  <martinn@svn.gnome.org>

	* pygimp-pdb.c:
	* pygimp-tile.c:
	* pygimp-colors.c: Applied patch from Ed Swartz that makes use of
	Py_ssize_t:s instead of int:s to better utilize 64-bit
	systems. (Bug #540629.)

2008-06-28  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcontainertreeview.[ch]: add new function
	gimp_container_tree_view_connect_name_edited() which makes the
	name cell editable and connects a passed "edited" callback.

	* app/widgets/gimpdatafactoryview.c
	* app/widgets/gimpitemtreeview.c
	* app/widgets/gimpsettingseditor.c
	* app/widgets/gimptemplateview.c: use it instead of having the
	same code four times.

2008-06-28  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpactionview.c
	* app/widgets/gimpblobeditor.c
	* app/widgets/gimpbrushfactoryview.c
	* app/widgets/gimpbrushselect.c
	* app/widgets/gimpcellrendererdashes.c
	* app/widgets/gimpcellrendererviewable.c
	* app/widgets/gimpcolorbar.c
	* app/widgets/gimpcoloreditor.c
	* app/widgets/gimpcolorframe.c
	* app/widgets/gimpcomponenteditor.c
	* app/widgets/gimpcontainerbox.c
	* app/widgets/gimpcontainergridview.c
	* app/widgets/gimpcontainerpopup.c
	* app/widgets/gimpcontainertreeview.c
	* app/widgets/gimpcurveview.c
	* app/widgets/gimpdasheditor.c
	* app/widgets/gimpdatafactoryview.c
	* app/widgets/gimpdock.c
	* app/widgets/gimpdockable.c
	* app/widgets/gimpdockseparator.c
	* app/widgets/gimpfgbgeditor.c
	* app/widgets/gimpfgbgview.c
	* app/widgets/gimpgradienteditor.c
	* app/widgets/gimphandlebar.c
	* app/widgets/gimphistogrambox.c
	* app/widgets/gimphistogramview.c
	* app/widgets/gimpitemtreeview.c
	* app/widgets/gimpmenudock.c
	* app/widgets/gimpmessagebox.c
	* app/widgets/gimppaletteview.c
	* app/widgets/gimpscalebutton.c
	* app/widgets/gimpsessioninfo-book.c
	* app/widgets/gimpsessioninfo-dock.c
	* app/widgets/gimpsettingseditor.c
	* app/widgets/gimpstrokeeditor.c
	* app/widgets/gimptemplateeditor.c
	* app/widgets/gimptemplateview.c
	* app/widgets/gimpthumbbox.c
	* app/widgets/gimptoolbox.c
	* app/widgets/gimptooloptionseditor.c
	* app/widgets/gimptoolview.c
	* app/widgets/gimpuimanager.c
	* app/widgets/gimpviewabledialog.c
	* app/widgets/gimpviewrenderervectors.c
	* app/widgets/gimpwidgets-utils.c: use accessors instead of
	accessing members of GTK+ widgets directly.

2008-06-28  Michael Natterer  <mitch@gimp.org>

	* plug-ins/uri/uri-backend-gvfs.c (uri_progress_callback): fix
	progress display by making sure gimp_progress_update() gets a
	gdouble passed.

2008-06-28  Michael Natterer  <mitch@gimp.org>

	* app/actions/layers-commands.c
	* app/actions/view-actions.c
	* app/dialogs/about-dialog.c
	* app/dialogs/layer-options-dialog.c
	* app/dialogs/preferences-dialog.c
	* app/display/gimpcanvas.c
	* app/display/gimpdisplayshell-appearance.c
	* app/display/gimpnavigationeditor.c
	* modules/colorsel_water.c: use accessors instead of accessing
	members of GTK+ widgets directly.

2008-06-28  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpgradientselectbutton.c
	* libgimp/gimpmenu.c
	* libgimpwidgets/gimpbrowser.c
	* libgimpwidgets/gimpcellrenderercolor.c
	* libgimpwidgets/gimpcellrenderertoggle.c
	* libgimpwidgets/gimpchainbutton.c
	* libgimpwidgets/gimpcolorarea.c
	* libgimpwidgets/gimpcolorscale.c
	* libgimpwidgets/gimpcolorscales.c
	* libgimpwidgets/gimpcolorselect.c
	* libgimpwidgets/gimpenumwidgets.c
	* libgimpwidgets/gimpframe.c
	* libgimpwidgets/gimphelpui.c
	* libgimpwidgets/gimpoffsetarea.c
	* libgimpwidgets/gimppreviewarea.c
	* libgimpwidgets/gimppropwidgets.c
	* libgimpwidgets/gimpscrolledpreview.c: use accessors instead of
	accessing members of GTK+ widgets directly.

2008-06-28  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimplanguagestore-parser.c: include
	"libgimpbase/gimpbase.h" instead of "libgimpbase/gimpenv.h".

2008-06-28  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdbusservice.c: eek, include "gimpuimanager.h"
	not "gimpuimanager.c".

2008-06-28  Michael Natterer  <mitch@gimp.org>

	* app/actions/tools-commands.c (tools_activate_enum_action):
	simply call gimp_enum_action_selected() instead of poking around
	in the action's internals and calling gimp_action_activate()

2008-06-28  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpaction.c (gimp_action_set_proxy): simplify the
	logic of setting "color" or "viewable" previews on menuitems.

2008-06-27  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimppaintoptions-gui.c (gimp_paint_options_gui): swap
	the angles of the dynamics matrix' labels in RTL and LTR mode so
	the beginning of the words are aligned and on bottom.

2008-06-26  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpscalebutton.c (gimp_scale_button_init): hide the
	popup's plus and minus buttons, they are completely pointless.

2008-06-25  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpsettingsbox.c: make sure the file dialog goes
	away when the settings box' toplevel is hidden. Set the
	alternative button order on the file dialog.

2008-06-25  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpmarshal.list: add marshaller BOOLEAN__STRING for
	the change below.

	* app/widgets/gimpsettingsbox.[ch]: add the import/export dialogs
	here. Add a bunch of parameters to new() to be used by the
	dialogs, they are not properties yet. Changed import() and
	export() signals to pass the selected filename and return a
	boolean indicating success.

	* app/tools/gimpimagemaptool-settings.c: remove the dialog code
	here and connect the import/export functions directly to above
	GimpSettingsBox signals.

	* app/tools/gimpimagemaptool.[ch]: remove file dialog member.

2008-06-25  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpcurvestool.c (gimp_curves_tool_settings_import):
	parse the first line of the file manually and detect whether we
	are importing an old curves file or a GimpConfig one.

2008-06-25  Michael Natterer  <mitch@gimp.org>

	* app/gegl/gimpcurvesconfig.c (gimp_curves_config_load_cruft):
	set any parsed negative value as -1 in the curves object because
	that's the only negative value allowed.

2008-06-25  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpsettingseditor.c
	(gimp_settings_editor_delete_clicked): select a neighboring item
	after deleting the selected one.

2008-06-25  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpsettingseditor.[ch]: add dummy import and export
	buttons, give the list a minimum size.

	* app/widgets/gimpsettingsbox.c: use the correct dialog border.

2008-06-25  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpsettingsbox.c (gimp_settings_box_constructor):
	tweak buttons to look the same and have no spacing between them.

2008-06-25  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpsettingsbox.c (gimp_settings_box_constructor):
	move "Add to favorites" out of the menu into a small button
	showing a '+' icon. Add a separator between the import/export and
	the manage menu items.

2008-06-24  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpsettingseditor.[ch]: enable renaming the
	settings objects by editing them directly in the list (renaming a
	recent setting moves it to the favorites section). Enable deleting
	settings. None of these changes is saved yet (need to trigger a
	save by confirming the tool or storing the current settings as
	favorite).

2008-06-24  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpitemtreeview.c (gimp_item_tree_view_name_edited):
	don't dereference a NULL GError.

2008-06-24  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcontainercombobox.[ch]: made the model column
	enum public and namespaced it.

	* app/widgets/gimpsettingsbox.c: use the enum value instead of a
	magic number.

	* app/widgets/gimpsettingseditor.c: add a separator between
	recently used settings and favorites.

2008-06-23  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.c
	(gimp_free_select_tool_modifier_key): Make switching selection
	mode through modifier keys work again.

2008-06-22  Michael Natterer  <mitch@gimp.org>

	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h
	* app/widgets/gimpsettingseditor.[ch]: skeleton of a widget to
	manage the list of saved settings for the image map tools. Does
	absolutely nothing yet apart from displaying the list of settings.

	* app/widgets/gimpsettingsbox.[ch]: add "Manage Settings" menu item
	and show a dialog containing the new widget.

2008-06-21  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.c
	(gimp_free_select_tool_update_motion): When applying angle
	constraints on the first segment vertex, base on the last segment
	vertex rather than not applying any constraint at all.

2008-06-20  Martin Nordholts  <martinn@svn.gnome.org>

	Make angle constraints with the Free Select Tool by using Ctrl
	work also when moving vertices, not only when creating new ones.

	* app/tools/gimpfreeselecttool.c
	(gimp_free_select_tool_active_modifier_key): Implement.

	(gimp_free_select_tool_update_motion): Put motion logic here so we
	can apply it from both _motion and _active_modifier_key.

	(gimp_free_select_tool_modifier_key): Ignore key presses from
	another display.

2008-06-20  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.c: Don't alloc/free
	saved_points_(lower|higher)_segment on each move, instead realloc
	on demand and free on tool destruction, just as we do e.g. for
	points.

2008-06-20  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.c: Remove
	n_saved_points_(lower|higher)_segment, we don't need them.

2008-06-20  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.c (gimp_free_select_tool_finalize):
	Plug leak.

2008-06-20  Michael Natterer  <mitch@gimp.org>

	Latest GTK+ trunk deprecations showed some uglyness in gimp:

	* app/tools/gimpeditselectiontool.h: we were still using GTK_CHECK
	macros here, use proper G_TYPE type checking instead.

	* app/widgets/gimpuimanager.c
	* app/widgets/gimpdockable.c: s/GtkDestroyNotify/GDestroyNotify/.

	* plug-ins/help-browser/gimpthrobber.c: s/GtkType/GType/.

	* plug-ins/common/filter-pack.c
	* plug-ins/common/sample-colorize.c
	* plug-ins/imagemap/imap_main.c: s/GtkSignalFunc/GCallback/.

2008-06-15  Michael Natterer  <mitch@gimp.org>

	* configure.in: in the check for xfixes, add "true" as
	action-if-not-found so it doesn't bail out when xfixes is not
	found.

	There seems to be something fishy with the PKG_CHECK_MODULES()
	macro since adding a simple comma should also count as empty 4th
	argument.

2008-06-15  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.5.2.

2008-06-15  Sven Neumann  <sven@gimp.org>

	* Made 2.5.1 development release.

2008-06-14  Sven Neumann  <sven@gimp.org>

	* INSTALL
	* configure.in (gegl_required_version)
	* app/sanity.c (GEGL_REQUIRED_MICRO): depend on the newest
	released GEGL, version 0.0.18.

2008-06-13  Sven Neumann  <sven@gimp.org>

	* app/dialogs/preferences-dialog.c: added a preliminary user
	interface to control the 'user-manual-online' property.

2008-06-13  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_motion):
	Correct the improved display of the rectangle ratio.

2008-06-13  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptextoptions.c (gimp_text_options_class_init):
	we need to define the 'highlight' property here as well.

2008-06-13  Michael Natterer  <mitch@gimp.org>

	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h
	* app/widgets/gimpsettingsbox.[ch]: new widget containing the
	combo and menu button for the image map tool settings plus most of
	their logic. Has "import" and "export" signals that might go away
	if I figure a way to nicely abstract that. Contains some minor
	bugfixes and cosmetic improvements compared to the old code.

	* app/tools/gimpimagemaptool.[ch]
	* app/tools/gimpimagemaptool-settings.[ch]: changed accordingly,
	mostly removal of lots of code that is now in the widget.

2008-06-13  Sven Neumann  <sven@gimp.org>

	* configure.in (babl_required_version)
	* app/sanity.c (BABL_REQUIRED_MICRO): depend on the newest
	released babl, version 0.0.22.

2008-06-13  Sven Neumann  <sven@gimp.org>

	* plug-ins/help-browser/dialog.c: added a toggle action to
	show/hide the index sidebar, bound to Ctrl-I.

2008-06-12  Sven Neumann  <sven@gimp.org>

	Added basic support for using the online user manual:

	* app/widgets/gimphelp.c
	* plug-ins/help/gimphelp.c: moved some help logic to the core. The
	default help domain is now constructed in the core and passed to
	the help plug-ins just like the plug-in help domains.

	* app/config/Makefile.am
	* app/config/gimprc-blurbs.h
	* app/config/gimpguiconfig.[ch]: added gimprc properties to
	specify the location of the online user manual and to decide if it
	should be used instead of a locally installed copy.

2008-06-12  Sven Neumann  <sven@gimp.org>

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_motion):
	try to make the display of the aspect ratio somewhat more obvious.

2008-06-12  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/plug-in-menu-path.c (menu_path_mappings): also map
	<Toolbox>/File/Acquire to <Image>/File/New/Acquire.

2008-06-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/help-browser/Makefile.am
	* plug-ins/help-browser/wilber-reading.svg
	* plug-ins/help-browser/wilber-reading.png: removed here...

	* themes/Default/images/Makefile.am
	* themes/Default/images/stock-user-manual.svg
	* themes/Default/images/stock-user-manual-16.png
	* themes/Default/images/stock-user-manual-24.png
	* themes/Default/images/stock-user-manual-32.png
	* themes/Default/images/stock-user-manual-64.png
	* libgimpwidgets/gimpstock.[ch]: ... and added as stock icon.

	* plug-ins/help-browser/dialog.c
	* plug-ins/help-browser/gimpthrobber.c: changed accordingly.
	Set the toolbar style to GTK_TOOLBAR_ICONS.

2008-06-12  Michael Natterer  <mitch@gimp.org>

	* modules/controller_midi.c: applied patch from S. Fielding which
	passes the right MIDI channel from the ALSA event to midi_event().
	Fixes bug #537960.

2008-06-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/help-browser/dialog.c: use GTK_STOCK_HOME for the
	button that navigates to the index page.

	* plug-ins/help-browser/gimpthrobber.c
	(gimp_throbber_construct_contents): deal better with toolbar style
	GTK_TOOLBAR_ICONS.

2008-06-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/help-browser/dialog.c: removed the title
	combo-box. Instead display the title in the window title. Added
	"copy-location" action to the right-click menu as a replacement
	for the drag source that was also removed.

2008-06-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/help/help.c (load_help_idle): don't show progress for
	local help lookups, they are fast enough.

	* plug-ins/help-browser/help-browser.c: added the same progress
	code here. Might want to move it to the dialog window later.

2008-06-11  Sven Neumann  <sven@gimp.org>

	* configure.in: reverted last change (use of IT_PO_SUBDIR).

2008-06-11  Sven Neumann  <sven@gimp.org>

	* desktop/gimp.desktop.in.in: removed deprecated field "Encoding".

2008-06-11  Sven Neumann  <sven@gimp.org>

	* app/config/Makefile.am: make test-config link properly.

2008-06-11  Sven Neumann  <sven@gimp.org>

	* configure.in: use IT_PO_SUBDIR() to define the extra po
	directories.  Removed extra AC_CONFIG_COMMANDS that became
	obsolete by this change.

2008-06-11  Sven Neumann  <sven@gimp.org>

	* autogen.sh: bumped INTLTOOL_REQUIRED_VERSION to 0.35.5. We
	actually need 0.40.0 on the system where the tarball is rolled,
	however 0.35.5 should be good enough for almost everyone.

	* configure.in: use IT_PROG_INTLTOOL with minimum version instead
	of the deprecated AC_PROG_INTLTOOL.

	* Makefile.am (EXTRA_DIST): removed intltool-foo.in files as
	intltool 0.40.0 does not install these any longer. Removed them
	from DISTCLEANFILES as well.

2008-06-11  Sven Neumann  <sven@gimp.org>

	* configure.in: removed redundant calls to AC_MSG_RESULT() from
	inside PKG_CHECK_MODULES().

2008-06-11  Sven Neumann  <sven@gimp.org>

	* cursors/Makefile.am (EXTRA_DIST): added missing modifier-select
	XBM files.

2008-06-11  Sven Neumann  <sven@gimp.org>

	* app/gegl/gimpoperationcolorbalance.c
	* app/gegl/gimpoperationcolorize.c
	* app/gegl/gimpoperationcurves.c
	* app/gegl/gimpoperationdesaturate.c
	* app/gegl/gimpoperationhuesaturation.c
	* app/gegl/gimpoperationlevels.c
	* app/gegl/gimpoperationposterize.c
	* app/gegl/gimpoperationthreshold.c
	* app/gegl/gimpoperationtilesink.c
	* app/gegl/gimpoperationtilesource.c: added const to GeglRectangle*
	argument.

2008-06-11  Sven Neumann  <sven@gimp.org>

	* configure.in: fixed check for webkit zoom API. 

2008-06-10  Sven Neumann  <sven@gimp.org>

	* plug-ins/help-browser/queue.[ch]: removed, we don't need this
	code any longer.

2008-06-10  Sven Neumann  <sven@gimp.org>

	* configure.in: removed check for gtkhtml2 and added a check for
	wekbit instead.

	* INSTALL: document the changed dependency.

	* plug-ins/help-browser/Makefile.am
	* plug-ins/help-browser/dialog.[ch]: ported the help-browser to
	webkit. Offers the same functionality as before and some more.

	* plug-ins/help-browser/help-browser.c: some cleanup.

2008-06-10  Sven Neumann  <sven@gimp.org>

	* plug-ins/help/gimphelplocale.c: added some sanity checks.

2008-06-10  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpthumbbox.c (gimp_thumb_box_new): don't set a
	width request on the info label. It broke horizontal label
	positioning and didn't serve any purpose I can remember.

2008-06-10  Sven Neumann  <sven@gimp.org>

	* plug-ins/help/help.c (load_help_idle): show progress while
	loading the help index.

2008-06-10  Sven Neumann  <sven@gimp.org>

	* app/config/gimpguiconfig.c (DEFAULT_WEB_BROWSER): reverted
	change for bug #522483. 'xdg-open' doesn't do the right thing for
	file: URIs.

2008-06-10  Sven Neumann  <sven@gimp.org>

	* app/core/gimp-gui.[ch]
	* app/widgets/gimphelp.[ch]
	* app/gui/gui-vtable.c
	* app/gui/gui.c: added a GimpProgress parameter to gimp_help().

	* app/actions/help-commands.c
	* app/widgets/gimpuimanager.c
	* tools/pdbgen/pdb/help.pdb: changed accordingly.

	* app/pdb/help-cmds.c: regenerated.

2008-06-10  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimpplugin.c
	* app/plug-in/gimppluginmanager-call.c
	* app/widgets/gimphelp.c: formatting.

2008-06-09  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimppaintoptions.c: set DEFAULT_VELOCITY_SIZE to FALSE
	so the paint tools behave as before and the brush outline is
	meaningful at least in the default setup.

2008-06-05  Sven Neumann  <sven@gimp.org>

	* app/actions/dialogs-actions.c (dialogs_dockable_actions): added
	actions to open/focus the brush, gradient and palette editors
	(bug #436131).

2008-06-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/red-eye-removal.c: fixed weird handling of the
	threshold parameter. Some unrelated minor cleanups.

2008-06-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/tga.c: changed user interface for specifying the
	origin. Fixed header for origin at top-left (bug #450070).

2008-06-04  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-scale.c
	* app/gegl/gimpoperationdesaturate.h
	* app/tools/gimprectangletool.c
	* app/widgets/gimpradioaction.h
	* app/widgets/gimptoggleaction.h: various fixes to make gtk-doc
	happy.

2008-06-04  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcropoptions.c
	* app/tools/gimprectangleoptions.c
	* app/tools/gimprectangleselectoptions.c: fixed handling of the
	"highlight" property that needs different default values for the
	Crop and Rectangle Select tools (bug #536582).

2008-06-04  Sven Neumann  <sven@gimp.org>

	* app/paint/gimpairbrushoptions.c: removed trailing whitespace.

2008-06-04  Sven Neumann  <sven@gimp.org>

	* app/core/gimpdrawable-operation.c (gimp_drawable_apply_operation):
	no need to check for the 'dont-cache' property now that we depend
	on the newer GEGL.

2008-06-04  Sven Neumann  <sven@gimp.org>

	* INSTALL: updated GEGL version and also mention babl.

	* app/gegl/gimp-gegl.c (gimp_gegl_init): configure the GEGL tile
	size to match the GIMP tile size.

2008-06-04  Michael Natterer  <mitch@gimp.org>

	* configure.in: depend on GEGL >= 0.0.17, add check for
	BABL => 0.0.21.

	* app/sanity.c: bump GEGL sanity check and add BABL check.

	* app/gegl/gimpoperationcolorbalance.c
	* app/gegl/gimpoperationcolorize.c
	* app/gegl/gimpoperationcurves.c
	* app/gegl/gimpoperationdesaturate.c
	* app/gegl/gimpoperationhuesaturation.c
	* app/gegl/gimpoperationlevels.c
	* app/gegl/gimpoperationposterize.c
	* app/gegl/gimpoperationthreshold.c: adapt to new process()
	signature.

2008-06-03  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpitemcombobox.c: fixed comments.

2008-06-03  Sven Neumann  <sven@gimp.org>

	* app/widgets/widgets-enums.[ch]: changed descriptions for
	GimpHistogramScale enum.

	* app/tools/gimpimagemaptool.[ch]

	* app/tools/gimpimagemaptool-settings.c: added a GtkSizeGroup for
	aligning with the "Presets" label. Added an accessor for the
	dialog's vbox.

	* app/tools/gimpbrightnesscontrasttool.c
	* app/tools/gimpcolorbalancetool.c
	* app/tools/gimpcolorizetool.c
	* app/tools/gimpcurvestool.c
	* app/tools/gimpdesaturatetool.c
	* app/tools/gimpgegltool.c
	* app/tools/gimphuesaturationtool.c
	* app/tools/gimplevelstool.c
	* app/tools/gimpposterizetool.c
	* app/tools/gimpthresholdtool.c: use the new accessor. Minor
	dialog cleanups in a few places.

2008-06-02  Sven Neumann  <sven@gimp.org>

	* app/actions/tools-actions.c: added a few more actions to set
	tool values to default values. Added "backslash" as the default
	shortcut for "tools-value-2-set-to-default", which is effectively
	"Reset Brush Scale" (bug #493030).

2008-06-01  Martin Nordholts  <martinn@svn.gnome.org>

	* plug-ins/common/gif-load.c (GetCode): Applied patch from 
	Rik Snel that fixes loading of .gif files that contains 1-byte
	data blocks. (Bug #535888.)

2008-05-31  Martin Nordholts  <martinn@svn.gnome.org>

	Add keyboard shortcut support for reseting to default value of
	e.g. brush scale. Fixes bug #493030.

	* app/actions/actions.[ch]: Make action_select_value() take a
	default-parameter and add support for it. Also use default_value
	from gint and gdouble param specs.

	* app/actions/actions-types.h: Added
	GIMP_ACTION_SELECT_SET_TO_DEFAULT.

	* app/actions/tools-actions.c: Add _SET_TO_DEFAULT actions.

	* app/actions/view-commands.c:
	* app/actions/layers-commands.c:
	* app/actions/context-commands.c: Pass defaults to
	action_select_property().

2008-05-31  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprotatetool.c (gimp_rotate_tool_key_press):
	Implemented this function to support rotating with arrow keys. See
	bug #387779.

2008-05-30  Martin Nordholts  <martinn@svn.gnome.org>

	Made moving the selection mask in the various ways automatically
	commit any pending rectangle/ellipse selection. Fixes bug #349340.

	* app/tools/gimprectangleselecttool.c
	(gimp_rectangle_select_tool_oper_update): Don't disable support
	for moving the selection mask.

	(gimp_rectangle_select_tool_button_press): Handle delegation to
	the selection tool.

	(gimp_rectangle_select_tool_delegate_button_press): New helper
	function.

	(gimp_rectangle_select_tool_execute): Guard against NULL
	tool->display:s.

2008-05-30  Sven Neumann  <sven@gimp.org>

	* app/dialogs/module-dialog.c: tell the user that a restart is
	needed for the changes to take effect.

2008-05-30  Sven Neumann  <sven@gimp.org>

	* app/dialogs/module-dialog.c: some more internal cleanups.

2008-05-30  Sven Neumann  <sven@gimp.org>

	* app/dialogs/module-dialog.c: cleaned up the UI a bit. Removed
	some information and a button that was not really useful. Only
	show the error state when there is actually an error.

2008-05-29  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/gimpshelf.py: fix _vectors_id to return a tuple
	for the ID. Spotted and fixed by Joao.

2008-05-29  Sven Neumann  <sven@gimp.org>

	* app/display/gimpscalecombobox.c (gimp_scale_combo_box_init):
	reverted last change.

2008-05-29  Sven Neumann  <sven@gimp.org>

	* app/display/gimpscalecombobox.c (gimp_scale_combo_box_init):
	unset the entry's frame instead of reducing the inner border.

2008-05-29  Sven Neumann  <sven@gimp.org>

	* themes/Default/images/Makefile.am (STOCK_TOOL_IMAGES): 
	* themes/Default/images/tools/stock-tool-polygon-select-16.png
	* themes/Default/images/tools/stock-tool-polygon-select-22.png:
	removed unused tool icon.

	* libgimpwidgets/gimpstock.[ch]: don't register
	GIMP_STOCK_TOOL_POLYGON_SELECT.

	* libgimpwidgets/gimphruler.c
	* libgimpwidgets/gimpvruler.c: added missing API docs.

2008-05-29  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/blur-gauss-selective.c (matrixmult_mmx): avoid
	division by zero in the grayscale code path (bug #529280).

2008-05-29  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_preview.c (scroll_adj_changed): fixed
	ruler type.

2008-05-29  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_motion): Also
	show the plain aspect ratio in the status bar along with the
	rectangle size information. Quickfix for bug #508183.

2008-05-28  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_setup): set the display unit on the ruler.

	* libgimpwidgets/gimphruler.c (gimp_hruler_draw_ticks)
	* libgimpwidgets/gimpvruler.c (gimp_vruler_draw_ticks): hack around
	to get nicer subdivisions for rulers showing pixels.

2008-05-28  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpruler.[ch]
	* libgimpwidgets/gimphruler.c
	* libgimpwidgets/gimpvruler.c: removed GimpRulerMetric struct from
	public API. Removed gimp_ruler_draw_pos() and gimp_ruler_draw_ticks()
	methods. Added a "unit" property with getter and setter.

	* libgimpwidgets/gimpwidgets.def: updated.

2008-05-28  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpruler.[ch]: started to sanitize the ruler API.

	* app/dialogs/resolution-calibrate-dialog.c
	* app/display/gimpdisplayshell-scale.c
	* plug-ins/gfig/gfig-preview.c
	* plug-ins/imagemap/imap_preview.c: changed accordingly.

	* libgimpwidgets/gimpwidgets.def: updated.

2008-05-28  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpruler.[ch]
	* libgimpwidgets/gimphruler.c
	* libgimpwidgets/gimpvruler.c: enlarge the array of scales to
	prevent ruler numbers from overlapping (bug #535039).

2008-05-27  Michael Natterer  <mitch@gimp.org>

	* plug-ins/help-browser/dialog.c: undef
	GDK_PIXBUF_DISABLE_SINGLE_INCLUDES around including
	<libgtkhtml/gtkhtml.h>.

2008-05-27  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayoptions.c: reenabled rulers by default.

2008-05-27  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpruler.[ch]
	* libgimpwidgets/gimphruler.c (gimp_hruler_draw_ticks)
	* libgimpwidgets/gimpvruler.c (gimp_vruler_draw_ticks): use an
	extra small font for the tick labels.

	* themes/Default/gtkrc: don't hardcode a font size for the rulers.

2008-05-27  Michael Natterer  <mitch@gimp.org>

	* configure.in: add -DGDK_PIXBUF_DISABLE_SINGLE_INCLUDES to
	CPPFLAGS.

2008-05-27  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimppaintoptions-gui.c: don't add the gradient box for
	the blend tool. Clean up the code by moving the checks for the
	tool type out of the utility functions into the main
	gimp_paint_options_gui() function.

	* app/tools/gimpblendoptions.c: add the gradient box here.

2008-05-27  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpscalebutton.c: display a tooltip showing the value.

2008-05-27  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpscalebutton.c (gimp_scale_button_image_expose):
	rotated the button graphics and fixed it for 'right-to-left'
	rendering.

2008-05-27  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-coords.c: revert velocity limit to
	1.0, this part of the patch shouldn't have been applied.

2008-05-27  Sven Neumann  <sven@gimp.org>

	* app/paint/gimpconvolve.c: make Convolve work with very thin
	brushes, then convolving only in one direction (bug #533791).

2008-05-26  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/Makefile.am
	* libgimpwidgets/gimpwidgets.h
	* libgimpwidgets/gimpwidgetstypes.h

	* libgimpwidgets/gimpruler.[ch]
	* libgimpwidgets/gimphruler.[ch]
	* libgimpwidgets/gimpvruler.[ch]: added ruler widgets. These are
	mostly copied from GTK+ and work as a drop-in replacement for
	GtkRuler and friends.

	* libgimpwidgets/gimpwidgets.def: updated.

	* app/display/gimpdisplayshell.c
	* app/display/gimpdisplayshell-scale.c
	* app/dialogs/resolution-calibrate-dialog.c
	* plug-ins/imagemap/imap_preview.c
	* plug-ins/gfig/gfig-preview.c: use the GimpRuler widgets.

2008-05-26  Sven Neumann  <sven@gimp.org>

	* libgimp/gimp.def: added gimp_drawable_free_shadow().

2008-05-26  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpscalebutton.c (gimp_scale_button_new): use
	GTK_ICON_SIZE_MENU for the scale button.

2008-05-26  Michael Natterer  <mitch@gimp.org>

	Applied modified patch from Alexia Death. Addresses bug #534770:

	* app/paint/gimppaintoptions.[ch]: add properties for scaling
	the effects of pressure, velocity and hardness and honor them
	in the various get_dynamic_foo() functions.

	(gimp_paint_options_get_dynamic_size): look at
	pressure_options->size again, that code got lost in one of the
	earlier patches.

	* app/tools/gimppaintoptions-gui.c: add GimpScaleButtons to the
	table for the new properties.

	* app/display/gimpdisplayshell-coords.c: don't let "velocity"
	reach 1.0, use 0.9999 instead.

2008-05-26  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimppaintoptions-gui.c: remove unused includes.

2008-05-26  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimppaintoptions.[ch]: replace the identical
	GimpPressureOptions, GimpVelocityOptions and GimpRandomOptions
	struct by a single GimpDynamicOptions struct.

	* app/tools/gimppaintoptions-gui.c: don't pass the various
	sub-structs to the _options_gui() function because they are not
	needed.

2008-05-26  Michael Natterer  <mitch@gimp.org>

	* app/gegl/gimpcolorbalanceconfig.c
	* app/gegl/gimpcurvesconfig.c
	* app/gegl/gimphuesaturationconfig.c
	* app/gegl/gimplevelsconfig.c (equal): sanitize local variable
	names: s/a_config/config_a/, s/b_config/config_b/.

2008-05-26  Michael Natterer  <mitch@gimp.org>

	* app/config/gimpbaseconfig.c
	* app/config/gimpguiconfig.c
	* app/tools/gimpcolorpickeroptions.[ch]: remove unused compat
	properties because the config parser silently skips unknown
	properties now.

2008-05-26  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimppropwidgets.c
	* app/widgets/gimpscalebutton.[ch]: some fiddling to get the step
	and page sizes right.

2008-05-26  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimppropwidgets.[ch]: support for GimpScaleButton.

2008-05-26  Sven Neumann  <sven@gimp.org>

	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h
	* app/widgets/gimpscalebutton.[ch]: added simple scale button widget
	derived from GtkScaleButton.

2008-05-26  Sven Neumann  <sven@gimp.org>

	* plug-ins/jpeg/jpeg-save.c (save_image): fixed logic that decides
	if an EXIF block should be written (bug #529469).

2008-05-25  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.c
	(gimp_free_select_tool_revert_to_saved_state): Name cleanup.

2008-05-25  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.c
	(gimp_free_select_tool_prepare_for_move)
	(gimp_free_select_tool_revert_to_saved_state)
	(gimp_free_select_tool_move_segment_vertex_to): Handle the special
	case when there is only one point, so that moving segment vertices
	works even if there only is one.

2008-05-25  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.c: For completeness, comment on
	some uncommented instance-private variables.

2008-05-25  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.c
	(gimp_free_select_tool_cursor_update): Properly update the cursor.

2008-05-25  Martin Nordholts  <martinn@svn.gnome.org>

	Added support for supressing handles by holding Shift in the Free
	Select Tool so that new segments can be created where handles
	would otherwise obstruct.

	* app/tools/gimpfreeselecttool.c
	(gimp_free_select_tool_handle_segment_selection): Renamed, and
	only select segment vertices if handles are not supressed.

	(gimp_free_select_tool_modifier_key): Make Shift toggle supressing
	handles.

	(gimp_free_select_tool_draw): Don't draw the handles if they are
	supressed.

	(gimp_free_select_tool_should_close): Only accept distance from
	start point as a reason to close the polygon if the handles are
	not supressed.

2008-05-25  Martin Nordholts  <martinn@svn.gnome.org>

	Added support for double-clicking in the Free Select Tool. A
	double-click will commit the selection.

	* app/tools/gimpfreeselecttool.c
	(gimp_free_select_tool_get_double_click_info): Helper function to
	retrive GTK+ double-click settings.

	(gimp_free_select_tool_should_close): Take double-clicking into
	account.

	(gimp_free_select_tool_revert_to_saved_state): Bail out if needed.

	(gimp_free_select_tool_button_release): Pass on time when
	clicking.

	(gimp_free_select_tool_handle_click): Pass time to this function,
	and modify it to handle double-clicks.

2008-05-25  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.c
	(gimp_free_select_tool_button_release): Remove invalid comment.

2008-05-25  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.c
	(gimp_free_select_tool_handle_click): A click might have slightly
	adjusted the points, so revert before doing the selection.
	(gimp_free_select_tool_revert_to_saved_state): Move definition up
	a bit.

2008-05-25  Martin Nordholts  <martinn@svn.gnome.org>

	Make moving selection mask/pixels within the selection work for
	the Free Select Tool, as well as interaction with any resulting
	floating selection.

	* app/tools/gimpfreeselecttool.c
	(gimp_free_select_tool_handle_click): Handle floating selections.
	(gimp_free_select_tool_status_update): Show the inital
	instructions until there are 3 or more segment vertices, rather
	than 3 or more points.

	(gimp_free_select_tool_oper_update): When there is no active tool,
	show selection tool status bar help messages instead of the tool
	specific ones.

	(gimp_free_select_tool_delegate_button_press): New helper function
	to decide wether to delgate operation to the selection tool.

	(gimp_free_select_tool_button_press): Handle delegation to the
	selection tool.

2008-05-24  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimppaintoptions-gui.c: fix dynamics grid label
	positions for RTL mode by attaching the fixed to the table *after*
	the toggle buttons (eek). See comment in the code.

2008-05-24  Sven Neumann  <sven@gimp.org>

	* HACKING: note that we need intltool 0.35.5 or newer.

2008-05-24  Martin Nordholts  <martinn@svn.gnome.org>

	* menus/image-menu.xml.in: Also Remove the Polygon Select Tool
	action from here.

2008-05-24  Martin Nordholts  <martinn@svn.gnome.org>

	Kill the Polygon Select Tool. The Free Select Tool now provides a
	superset of the old Polygon Select Tool functionality. We still
	keep the tool icons etc around though, they might come in useful
	in the future.

	* app/tools/gimppolygonselecttool.[ch]: Removed.

	* app/tools/Makefile.am: Removed gimppolygonselecttool.[ch].

	* app/tools/gimp-tools.c (gimp_tools_init): Don't register the
	Polygon Select Tool.

	* app/widgets/gimphelp-ids.h: Remove
	GIMP_HELP_TOOL_POLYGON_SELECT.

2008-05-23  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.c
	(gimp_free_select_tool_draw): Draw handles within HANDLE_SIZE * 7
	distance from cursor instead of only showing the hovered handle.
	(gimp_free_select_tool_oper_update): Remember last coordinates
	given here, so we can do above calculations.

2008-05-23  Michael Natterer  <mitch@gimp.org>

	Stop including single headers from gtk+ to be prepared
	for the upcoming GTK_DISABLE_SINGLE_INCLUDES:

	* configure.in: add -DGTK_DISABLE_SINGLE_INCLUDES to CPPFLAGS.

	* app/display/gimpcanvas.h
	* app/display/gimpscalecombobox.h
	* app/display/gimpstatusbar.h
	* app/widgets/*.h
	* libgimp/gimpprogressbar.h
	* libgimp/gimpselectbutton.h
	* libgimpwidgets/*.h
	* libgimpwidgets/gimpstock.c
	* plug-ins/uri/gimpmountoperation.h: remove inclusion of parent
	classes and single files from gtk+.

	* app/widgets/gtkwrapbox.h
	* libgimp/gimpbrushmenu.c
	* libgimp/gimpfontmenu.c
	* libgimp/gimpgradientmenu.c
	* libgimp/gimppalettemenu.c
	* libgimp/gimppatternmenu.c
	* libgimp/gimpselectbutton.c: #include <gtk/gtk.h>

	* plug-ins/common/poppler.c: undef GTK_DISABLE_SINGLE_INCLUDES
	when including <poppler.h>.

2008-05-23  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpimagemaptool-settings.c: string change.

2008-05-23  Sven Neumann  <sven@gimp.org>

	* app/core/gimpchannel-select.c
	* app/core/gimpdrawable-bucket-fill.c
	* app/core/gimpdrawable-transform.c
	* app/core/gimpimage-crop.c
	* app/dialogs/image-scale-dialog.c
	* app/tools/gimpbycolorselecttool.c
	* app/tools/gimpfliptool.c
	* app/tools/gimpforegroundselecttool.c
	* app/tools/gimpfreeselecttool.c
	* app/tools/gimpfuzzyselecttool.c
	* app/tools/gimpmovetool.c
	* app/tools/gimpperspectivetool.c
	* app/tools/gimppolygonselecttool.c
	* app/tools/gimprotatetool.c
	* app/tools/gimpscaletool.c
	* app/tools/gimpsheartool.c
	* libgimpwidgets/gimpcolorprofilestore.c
	* plug-ins/gfig/gfig-dialog.c: use C_() instead of Q_() for
	translations with context.

2008-05-23  Sven Neumann  <sven@gimp.org>

	* autogen.sh (GLIB_REQUIRED_VERSION): require glib-gettextize 2.16.

	* libgimp/libgimp-intl.h
	* plug-ins/pygimp/pygimp-intl.h: synced with gi18n-lib.h from glib
	2.16. This adds support for the C_() macro.

	* plug-ins/script-fu/script-fu-intl.h: just include gi18n.h instead
	of duplicating things from this header.

2008-05-23  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimppaintoptions-gui.c: left-align the labels in the
	new dynamics matrix. Add some code for RTL layout that doesn't
	work properly yet.

2008-05-22  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/tinyscheme/scheme.c: Added extra check to stop
	"(let x 5)" syntax from causing a segfault in Linux. See bug #508020.
	Removed some excess whitespace.

2008-05-22  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimpbrushcore.c (gimp_brush_core_interpolate): move
	generating the random axis to the right place.

2008-05-22  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimppaintoptions.[ch]: replace the pressure-expanded,
	velocity-expanded and random-expanded properties by a single
	dynamics-expanded property.

	* app/tools/gimppaintoptions-gui.c: pack the toggle matrix into an
	expander, some cleanup.

2008-05-22  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimppaintoptions-gui.c: revert accidential change of
	all occurences of "hardness" to "pressure" in strings and function
	names.

2008-05-22  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimppaintoptions-gui.c: factor out a utility function
	that creates a dynamics check button.

2008-05-22  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimppaintoptions-gui.c: first version of a matrix of
	toggles for the dynamics parameters instead of three expanders.

2008-05-22  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.c: Base a start of a new segment on
	the pending point, and enable 15 degree constraints on the pending
	point when Ctrl is being held down.

2008-05-22  Martin Nordholts  <martinn@svn.gnome.org>

	* app/core/gimpcurve-load.c (gimp_curve_load)
	* app/paint/gimppaintbrush.c (_gimp_paintbrush_motion): Remove
	unused variables.

2008-05-22  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.[ch]
	* app/tools/gimpforegroundselecttool.c: Fix that some
	gimp_free_select_tool_-functions had the wrong name.

2008-05-22  Michael Natterer  <mitch@gimp.org>

	Applied slightly modified and fixed patch from Alexia Death which
	adds a "random" axis to the paint dynamics and fixes some issues
	in the previous paint dynamics commits. Fixes bug #529431.

	* app/core/core-types.h: add a "random" axis to GimpCoords.

	* app/display/gimpdisplayshell-coords.c: set it to a random value.

	* app/display/gimpdisplayshell-callbacks.c: on button_press,
	use the dynamics from the last motion event to avoid blotches
	at the beginning of paint strokes.

	* app/paint/gimppaintoptions.[ch]: add random properties the same
	way we do pressure and velocity. Add get_dynamic_size(),
	get_dynamic_color() and get_dynamic_hardness() functions which
	look at all dynamic parameters of the passed coords.

	* app/tools/gimppaintoptions-gui.c: add gui for the random options.

	* app/paint/gimpbrushcore.[ch]: remove calc_brush_scale() and use
	gimp_paint_options_get_dynamic_size_instead().
	Add "dynamic_hardness" parameters to paste_canvas(),
	replace_canvas() and get_brush_mask().

	* app/paint/gimpairbrushoptions.c
	* app/paint/gimpclone.c
	* app/paint/gimpconvolve.c
	* app/paint/gimpdodgeburn.c
	* app/paint/gimperaser.c
	* app/paint/gimpheal.c
	* app/paint/gimppaintbrush.c
	* app/paint/gimpsmudge.c: calculate the dynamic hardness and pass
	it to above brush core functions. Use the get_dynamic_color() to
	calculate the gradient color.

2008-05-22  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpposterizetool.c (gimp_posterize_tool_dialog):
	use a logarithmic slider.

2008-05-22  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.c: Remember the selection operation
	in use when the tool was started, and use that when doing the
	selection. Improvements are still to be made with regards to
	synchronizing the tool options with the selection operation
	actually used.

2008-05-22  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpimagemaptool.c: check if the tool class has
	the "settings_name" string set to decide whether to add
	the settings GUI.

	* app/tools/gimpdesaturatetool.c
	* app/tools/gimpposterizetool.c: don't set any settings
	strings. Presets make no sense for tools with just one parameter.

2008-05-22  Sven Neumann  <sven@gimp.org>

	* app/core/gimpdrawable-operation.[ch]
	(gimp_drawable_apply_operation): changed order of parameters to be
	consistent with gimp_drawable_process().

	* app/core/gimpdrawable-process.[ch]: introduced a variant of
	gimp_drawable_process() for processing a GimpLut with
	gimp_lut_process().

	* app/core/gimpdrawable-brightness-contrast.c
	* app/core/gimpdrawable-color-balance.c
	* app/core/gimpdrawable-colorize.c
	* app/core/gimpdrawable-curves.c
	* app/core/gimpdrawable-desaturate.c
	* app/core/gimpdrawable-equalize.c
	* app/core/gimpdrawable-hue-saturation.c
	* app/core/gimpdrawable-invert.c
	* app/core/gimpdrawable-levels.c
	* app/core/gimpdrawable-posterize.c
	* app/core/gimpdrawable-threshold.c: changed accordingly.

2008-05-22  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpimagemaptool.[ch]: s/save/export/g,
	s/load/import/g, removed button tooltip members.

	* app/tools/gimpimagemaptool-settings.[ch]
	* app/tools/gimpbrightnesscontrasttool.c
	* app/tools/gimpcolorbalancetool.c
	* app/tools/gimpcolorizetool.c
	* app/tools/gimpcurvestool.c
	* app/tools/gimpdesaturatetool.c
	* app/tools/gimphuesaturationtool.c
	* app/tools/gimplevelstool.c
	* app/tools/gimpposterizetool.c
	* app/tools/gimpthresholdtool.c: changed accordingly.

	* app/tools/gimpimagemaptool-settings.c: clean up menu item creation.

2008-05-22  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpfreeselecttool.c: delete trailing whitespace.

2008-05-22  Sven Neumann  <sven@gimp.org>

	* app/tools/gimp-tools.c (gimp_tools_init): added a call to
	gimp_tool_options_create_folder().

	* app/core/gimp-user-install.c (gimp_user_install_items): no need
	to create the tool-options folder here if we are doing that on
	each startup.

2008-05-22  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcurvestool.c (gimp_curves_tool_dialog): use a
	combo-box for the curve type.

2008-05-22  Sven Neumann  <sven@gimp.org>

	* core/gimpdrawable-brightness-contrast.c
	* core/gimpdrawable-color-balance.c
	* core/gimpdrawable-colorize.c
	* core/gimpdrawable-equalize.c
	* core/gimpdrawable-hue-saturation.c
	* core/gimpdrawable-posterize.c
	* core/gimpdrawable-threshold.c: ported to gimp_drawable_process().

2008-05-22  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.c
	(gimp_free_select_tool_cursor_update): Don't return in the middle
	of the function.

2008-05-21  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpforegroundselecttool.c
	(gimp_foreground_select_tool_oper_update): "Draw a rough circle
	around the object to extract" -> "Rougly outline the object to
	extract".

2008-05-21  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.[ch]: Don't expose implementation
	details.

	* app/tools/gimpforegroundselecttool.c
	(gimp_foreground_select_tool_select): Use new
	gimp_free_select_get_points() functions since we don't know
	anything about how the Free Select Tool is implemented any longer.

2008-05-21  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpimagemaptool.[ch]
	* app/tools/gimpimagemaptool-settings.c: turn the ugly row of
	favorites options buttons into a menu that's attached to an arrow
	button right of the favorites combo.

2008-05-21  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpcurvestool.c: remove unused variable.

2008-05-21  Martin Nordholts  <martinn@svn.gnome.org>

	* app/core/gimpscanconvert.c (gimp_scan_convert_add_polyline):
	constify the points argument.

2008-05-21  Michael Natterer  <mitch@gimp.org>

	* app/base/pixel-processor.h: remove PixelProcessorFunc typedef.

	* app/base/base-types.h: add it here.

	* app/config/gimpbaseconfig.c: #include "base/base-types.h"

	* app/core/gimpdrawable-curves.c
	* app/core/gimpdrawable-desaturate.c
	* app/core/gimpdrawable-invert.c: remove pixel processor include.

	* app/core/gimpdrawable-levels.c: port to gimp_drawable_process().

2008-05-21  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable-process.c (gimp_drawable_process): add
	missing include and missing call to gimp_drawable_mask_intersect().

2008-05-21  Michael Natterer  <mitch@gimp.org>

	* app/gegl/gimpdesaturateconfig.c: use a stock_id that exists.

2008-05-21  Martin Nordholts  <martinn@svn.gnome.org>

	Made the Foreground Select Tool work again.

	* app/tools/gimpforegroundselecttool.c
	(gimp_foreground_select_tool_control): Set tool->display =
	NULL when halting the tool.

	(gimp_foreground_select_tool_button_press): Only activate the
	tool control if it is not active (it might be actived already
	by the Free Select Tool).

	* app/tools/gimpfreeselecttool.c
	(gimp_free_select_tool_commit): Don't _halt explicitly
	here. If a tool implementation wants to halt in this
	situation, let them do that in their
	GimpFreeSelectTool::select() instead.

2008-05-21  Sven Neumann  <sven@gimp.org>

	* app/core/Makefile.am
	* app/core/gimpdrawable-process.[ch]: new file holding code to
	apply a PixelProcessor to the full drawable.

	* app/core/gimpdrawable-desaturate.c
	* app/core/gimpdrawable-invert.c: use the new helper function.

	* app/core/gimpdrawable-desaturate.[ch] (gimp_drawable_desaturate):
	take a GimpProgress parameter.

	* tools/pdbgen/pdb/color.pdb: changed accordingly.

	* app/pdb/color-cmds.c: regenerated.

2008-05-21  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.c
	(gimp_free_select_tool_status_update): Slightly improve one of
	the status bar messages.

2008-05-21  Sven Neumann  <sven@gimp.org>

	* menus/image-menu.xml.in: moved "tools-desaturate" to the other
	color tools. Added it to the "tools-color-menu".

2008-05-21  Sven Neumann  <sven@gimp.org>

	* app/base/desaturate.[ch]: changed to take a pointer as first
	argument like all PixelProcessor functions.

	* app/core/gimpdrawable-desaturate.c: changed accordingly.

	* app/tools/gimpdesaturatetool.[ch]: added legacy code path.

2008-05-21  Sven Neumann  <sven@gimp.org>

	* app/base/Makefile.am
	* app/base/desaturate.[ch]: moved legacy desaturate code here.

	* app/core/gimpdrawable-desaturate.c: use the code in app/base.

2008-05-21  Michael Natterer  <mitch@gimp.org>

	* app/gegl/gimpoperationdesaturate.c
	(gimp_operation_desaturate_process): bail out if there is no
	config object.

2008-05-21  Sven Neumann  <sven@gimp.org>

	Add Desaturate as an image-map tool with live preview (bug #533808):

	* app/gegl/Makefile.am
	* app/gegl/gegl-types.h
	* app/gegl/gimpdesaturateconfig.[ch]: added config object for the
	desaturate point filter.
	
	* app/gegl/gimpoperationdesaturate.[ch]: derive from
	GimpOperationPointFilter. Unrolled the inner loop.

	* app/core/gimpdrawable-desaturate.c: changed accordingly.

	* app/tools/Makefile.am
	* app/tools/gimpdesaturatetool.[ch]: added desaturate as an
	imagemap tool. So far only the GEGL code path is implemented.

	* app/tools/gimp-tools.c: register the new tool.

	* app/dialogs/dialogs.c: register the new tool dialog.

	* app/dialogs/Makefile.am
	* app/dialogs/desaturate-dialog.[ch]: removed the desaturate dialog.

	* app/actions/drawable-actions.c
	* app/actions/drawable-commands.[ch]: removed action
	"drawable-desaturate".

	* app/widgets/gimphelp-ids.h: changed help IDs accordingly.

	* menus/image-menu.xml.in: replaced "drawable-desaturate" with
	"tools-desaturate".

	* libgimpwidgets/gimpstock.h: added a define for
	GIMP_STOCK_TOOL_DESATURATE.

2008-05-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/jpeg/jpeg-save.c (save_dialog): changed badly chosen
	mnemonic, resolved a conflicting mnemonic and added some more.

2008-05-20  Michael Natterer  <mitch@gimp.org>

	* app/core/Makefile.am
	* app/core/core-types.h
	* app/core/gimpimagemapconfig.[ch]: new GimpViewable subclass
	which has a "time" property. Sets the object's name to a date
	string if a time != 0 gets set. Has a compare function which first
	sorts the objects with a timestamp in MRU order and then the
	objects without timestamp by name.

	* app/gegl/gimpbrightnesscontrastconfig.[ch]
	* app/gegl/gimpcolorbalanceconfig.[ch]
	* app/gegl/gimpcolorizeconfig.[ch]
	* app/gegl/gimpcurvesconfig.[ch]
	* app/gegl/gimphuesaturationconfig.[ch]
	* app/gegl/gimplevelsconfig.[ch]
	* app/gegl/gimpposterizeconfig.[ch]
	* app/gegl/gimpthresholdconfig.[ch]: derive from GimpImageMapConfig.

	* app/tools/gimpimagemaptool.c: sort the settings container with
	above compare function.

	* app/tools/gimpimagemaptool-settings.c: add utility functions
	for loading and saving the settings container. In the settings
	combo, add a separator between MRU items and favorites.

	* app/Makefile.am: make the thing link.

2008-05-20  Michael Natterer  <mitch@gimp.org>

	* app/core/gimplist.c (gimp_list_uniquefy_name): don't crash if an
	object has a NULL name. Move variables to local scopes. Remove
	redundant casts.

2008-05-20  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpfreeselecttool.c: Increase handle size to 12
	pixels (the same size as for the Paths Tool).

2008-05-20  Martin Nordholts  <martinn@svn.gnome.org>

	Added statusbar help-messages for the Free Select Tool.

	* app/tools/gimpfreeselecttool.c
	(gimp_free_select_tool_oper_update): Don't bail out if
	tool->display is NULL, instead modify the underlying logic to deal
	with this.

2008-05-20  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpimagemaptool.c: remove
	gimp_image_map_tool_add_recent()...

	* app/tools/gimpimagemaptool-settings.[ch]: ...and add it here.

2008-05-20  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpimagemaptool.c (gimp_image_map_tool_add_recent):
	unref the new settings object after adding it to the recent
	container.

	* app/tools/gimpimagemaptool-settings.c: add a "Save to Favorites"
	button which pops a string entry dialog and saves the current
	settings to the recent container.

2008-05-20  Michael Natterer  <mitch@gimp.org>

	* app/tools/Makefile.am
	* app/tools/gimpimagemaptool-settings.[ch]: new files containing
	all the recent settings and settings load/save GUI and code.  Got
	rid of shortcut loading/saving using shift+click. Added default
	implementations of ::settings_load() and ::settings_save().
	The GUI is currently horrible, work in progress!

	* app/tools/gimpimagemaptool.c: removed the settings code here.

	* app/tools/gimpcurvestool.c * app/tools/gimplevelstool.c: don't
	pack the load and save buttons, this is done generically for all
	tools now.

	* app/tools/gimpbrightnesscontrasttool.c
	* app/tools/gimpcolorbalancetool.c
	* app/tools/gimpcolorizetool.c
	* app/tools/gimphuesaturationtool.c
	* app/tools/gimpposterizetool.c
	* app/tools/gimpthresholdtool.c: set the load/save related members
	of GimpImageMapToolClass.

2008-05-20  Sven Neumann  <sven@gimp.org>

	* app/widgets/Makefile.am
	* app/widgets/gimptoggleaction.[ch]
	* app/widgets/gimpradioaction.[ch]: added new action types derived
	from GtkToggleAction and GtkRadioAction. These types override the
	"connect_proxy" method to enable tooltips in menus.

	* app/widgets/gimpactiongroup.c: use the new action types.

	* app/actions/dockable-actions.c: added a tooltip for the
	"dockable-lock-tab" action.

2008-05-20  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpbrightnesscontrasttool.c 
	* app/tools/gimplevelstool.c: fixed grammar.

2008-05-19  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpdockable.[ch]
	* app/widgets/gimpdockbook.[ch]: added a "locked" propery to
	GimpDockable. A locked dockable cannot be moved by drag-n-drop.
	Allows users to protect their dockables from accidental changes,
	mainly when working with a tablet.

	* app/widgets/gimpsessioninfo-dockable.[ch]: store the "locked"
	property in the session info.

	* app/actions/dockable-actions.c
	* app/actions/dockable-commands.[ch]: added an action for toggling
	the "locked" state.

	* app/widgets/gimphelp-ids.h: new help-id "gimp-dock-tab-lock".

	* menus/dockable-menu.xml.in: show the new menu item.

	* app/actions/plug-in-actions.c: formatting.

2008-05-19  Michael Natterer  <mitch@gimp.org>

	Unabstract image map tool settings load/save a bit before it's
	turned into generic load/save for all image map tools:

	* app/gegl/gimpcurvesconfig.[ch]
	* app/gegl/gimplevelsconfig.[ch]: add GError** to save_cruft()
	functions.

	* app/tools/gimpimagemaptool.[ch]: add GError to
	::settings_save(), changed "file" parameter of ::settings_load()
	and ::settings_save() to "filename", removed
	gimp_image_map_tool_load_save() utility function and moved the
	code to the settings_load() and settings_save() utility functions.

	* app/tools/gimpcurvestool.c
	* app/tools/gimplevelstool.c: changed accordingly. Open and close
	the settings files here.

2008-05-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/psd-save.c (save_layer_and_mask): corrected
	"layer mask disabled" flag in layer mask data section (bug #526811).

2008-05-19  Sven Neumann  <sven@gimp.org>

	* app/paint/gimpperspectiveclone.c: removed unused import.

2008-05-19  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/layer.pdb: corrected description of
	gimp-layer-set-show-mask procedure.

	* app/pdb/layer-cmds.c
	* libgimp/gimplayer_pdb.c: regenerated.

2008-05-19  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpcurve.c
	(gimp_curve_set_n_points)
	(gimp_curve_set_n_samples): set "identity" to TRUE if appropriate.

	(gimp_curve_calculate): don't set it to TRUE when there are no
	control points.

2008-05-19  Sven Neumann  <sven@gimp.org>

	* app/core/gimpcurve-map.c (gimp_curve_map_pixels): fixed the call
	to memcpy() in the CURVE_NONE case.

2008-05-18  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/tinyscheme/scheme.c: Reverting previous change.
	I figured it would break something. It breaks the 'while' macro by
	preventing use of a named let.

2008-05-18  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpcurve.c: implement (de)serializing of the points
	and samples arrays using GValueArray. Set "identity" to FALSE
	after deserializing.

2008-05-18  Michael Natterer  <mitch@gimp.org>

	* libgimpconfig/gimpconfig-serialize.[ch]
	* libgimpconfig/gimpconfig.def: add
	gimp_config_serialize_property_by_name().

	* app/gegl/gimpcolorbalanceconfig.c
	* app/gegl/gimpcurvesconfig.c
	* app/gegl/gimphuesaturationconfig.c
	* app/gegl/gimplevelsconfig.c: implement serialize() and
	deserialize() and make sure the properties which change when the
	channel/range property changes are handled correctly. Not too
	ugly but it's still a hack...

2008-05-18  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpimagemaptool.c: made the lists of recent settings
	persistent. Note that the settings of tools that modify multiple
	channels or ranges are saved incompletely because their settings
	still lack custom serialize() implementations. Work in progress.

2008-05-18  Michael Natterer  <mitch@gimp.org>

	* app/core/gimptoolinfo.[ch]: add
	gimp_tool_info_build_options_filename() which creates a filename
	under $GIMPDIR/tool-options/ with an optional suffix.

	* app/core/gimptooloptions.c
	* app/core/gimptoolpresets.c: use it and remove own build_filename()
	functions.

2008-05-18  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpstrokeoptions.[ch]: renamed public function
	set_dash_pattern() to take_dash_pattern() to clarify memory
	management of the passed GArray.

	* app/widgets/gimpdasheditor.c
	* app/widgets/gimpstrokeeditor.c: changed accordingly.

2008-05-18  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpcurve.c: implement the GimpConfig interface and add
	the code for equal(), reset() and copy() from GimpCurvesConfig.

	* app/gegl/gimpcurvesconfig.c: remove the copied code and use
	GimpConfig methods to compare, reset and copy curve objects.

2008-05-18  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimpbrushcore.c: clean up last patch.

2008-05-18  Martin Nordholts  <martinn@svn.gnome.org>

	* plug-ins/script-fu/tinyscheme/scheme.c: Commited patch from gymp
	that removes bogus FIXME (bug #533647).

2008-05-18  Martin Nordholts  <martinn@svn.gnome.org>

	Applied patch from Alexia Death that makes velocity dynamics
	controlled scale properly recalculate the brush mask when
	necessary (bug #533618).

	* app/paint/gimpbrushcore.[ch] (gimp_brush_core_scale_mask): A
	change in scale requires a recalculation of the cached brush mask.

2008-05-18  Martin Nordholts  <martinn@svn.gnome.org>

	Merged the Polygon Select Tool capabilities with the Free Select
	Tool. Among the things still to do is improved help texts, more
	suitable graphics, and cursor mangement, but the core
	functionality is in place. Thanks to Alexia Death for initial
	testing. It will also be neccesary to do some work to adapt the
	Foreground Select Tool to the new Free Select Tool implementation.

	Quick instructions on how the tool works:

	 o A click adds a polygonal segment, a drag adds a free-hand
	   segment
	 o Return-key commits, Escape-key cancels, Backspace-key removes
	   last segment
	 o You can grab and move segment vertices
	 o You can cancel both a move, and the creation of a segment

	* app/tools/gimpfreeselecttool.[ch]: More or less
	reimplemented. We keep a sequential array of all the points in the
	polygon (including the free segments), and we have another array
	with point indices that we use to represent the segments. On top
	of this we have a few helper functions that tries to abstract away
	the pretty raw nature of the implementation.

	* app/tools/gimpforegroundselecttool.[ch]: Keep track on its own
	last_coord, and adjust to the new implementation of the Free
	Select Tool. Still needs some work, for example handling that the
	Free Select Tool now resets GimpTool::display.
	(gimp_foreground_select_tool_key_press): Pass on key event to
	parent class when appropriate. (Bails out too early though...)
	
2008-05-18  Michael Natterer  <mitch@gimp.org>

	* app/gegl/gimpcurvesconfig.c (gimp_curves_config_set_property):
	also copy curve->identity.

2008-05-17  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimagemap.c: fixed issues with the profiling code.

2008-05-17  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpimagemaptool.[ch]: add gimp_image_map_tool_edit_as().

	* app/tools/gimplevelstool.c (levels_to_curves_callback): use it.

	* app/gegl/gimpbrightnesscontrastconfig.[ch]: add
	gimp_brightness_contrast_config_to_levels_config().

	* app/tools/gimpbrightnesscontrasttool.c: implement "Edit as Levels".

2008-05-17  Øyvind Kolås  <pippin@gimp.org>

	* app/core/gimpdrawable-operation.c:
	* app/core/gimpimagemap.c: Make the created GEGL graphs have the
	"dont-cache" property set to avoid unneeded caches.

2008-05-17  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpwidgets-constructors.[ch]: add new function
	gimp_stock_button_new() which creates a button with icon and label
	which is *not* the stock_id's label.

	* app/dialogs/preferences-dialog.c (prefs_button_add)
	* app/tools/gimplevelstool.c (gimp_levels_tool_dialog): use it.

2008-05-17  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimphelp-ids.h: add help IDs for the stuff in the
	Windows menu.

	* app/actions/windows-actions.c: use them.

2008-05-17  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/file-save-dialog.c (file_save_dialog_response): fix
	crash (don't dereference dialog after it has been destroyed). Also
	put back code that sets the dialog back to sensitive if it still
	exists.

2008-05-17  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimagefile.c
	* app/tools/gimpaligntool.c
	* app/tools/gimpselectiontool.c
	* app/tools/gimpvectortool.c
	* plug-ins/color-rotate/color-rotate-dialog.c
	* plug-ins/common/noise-rgb.c
	* plug-ins/common/value-propagate.c
	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig.h
	* plug-ins/gimpressionist/general.c
	* plug-ins/gimpressionist/gimpressionist.h
	* plug-ins/gimpressionist/orientation.c
	* plug-ins/gimpressionist/size.c
	* plug-ins/gimpressionist/utils.c
	* plug-ins/gradient-flare/gradient-flare.c
	* plug-ins/ifs-compose/ifs-compose.c
	* plug-ins/imagemap/imap_main.c
	* plug-ins/imagemap/imap_preferences.c: in latest GLib _() returns
	"const gchar*" as it should. Add const qualifiers to local utility
	functions and some explicit casts to fix the warnings caused by
	this.

2008-05-17  Michael Natterer  <mitch@gimp.org>

	* app/actions/windows-actions.c: add tooltips to the menu items of
	open and recently closed docks.

	* app/widgets/gimpaction.c: connect to "notify::tooltip" and make
	sure gimp_help_set_help_data() gets called when the action's
	tooltip changes.

2008-05-17  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/gradient.pdb: applied patch from Lars-Peter
	Clausen which adds gimp-gradient-get-number-of-segments. Fixes
	bug #533474.

	* app/pdb/gradient-cmds.c
	* app/pdb/internal-procs.c
	* libgimp/gimpgradient_pdb.[ch]: regenerated.

	* libgimp/gimp.def: add the new symbol.

2008-05-17  Michael Natterer  <mitch@gimp.org>

	* plug-ins/twain/Makefile.am: add -framework options to
	twain_LDFLAGS instead of AM_LDFLAGS to make whatever layer/version
	of autofoo happy on all macs.

2008-05-16  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimagemap.c: added some basic benchmarking code.
	Will become optional but for now it is enabled by default.

2008-05-16  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/tinyscheme/scheme.c: Added extra checks to stop
	bad syntax in LET from causing a segmentation fault in Linux.
	See bug #508020.

2008-05-16  Michael Natterer  <mitch@gimp.org>

	* app/Makefile.am: formatting.

2008-05-16  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayoptions.c: disable rulers by default as
	suggested by Peter. Please give feedback.

2008-05-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/help/Makefile.am
	* plug-ins/help/gimphelpprogress.[ch]
	* plug-ins/help/gimphelpprogress-private.h: new files providing a
	simple framework for progress indication and cancellation.

	* plug-ins/help/gimphelp.[ch]
	* plug-ins/help/gimphelpdomain.[ch]
	* plug-ins/help/gimphelpitem.[ch]
	* plug-ins/help/gimphelplocale.[ch]
	* plug-ins/help/gimphelptypes.h
	* plug-ins/help/help.c
	* plug-ins/help/locales.[ch]: changed accordingly (passing NULL
	as progress for now). Also updated copyright headers.

	* plug-ins/help-browser/help-browser.c: same here.

	* plug-ins/help/gimp-help-lookup.c: use the new API and show some
	progress indication when the --verbose command-line option is used.

2008-05-16  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/dialogs.c (dialogs_load_recent_docks): reverse the
	list after loading so it keeps its order.

	* app/menus/windows-menu.c (windows_menu_setup)
	(windows_menu_recent_add): keep the recent docks menu in MRU
	order.

2008-05-16  Michael Natterer  <mitch@gimp.org>

	Implement the presistent menu of recently closed docks, still
	somewhat hackish but fully functional. Fixes bug #132744.

	* app/actions/dialogs-actions.c
	* app/actions/dialogs-commands.[ch]
	* menus/image-menu.xml.in: remove the menu items that were
	creating the hardcoded preconfigured docks.

	* app/dialogs/dialogs.[ch]: add GimpContainer of recently closed
	docks and API to load and save it.

	* app/gui/session.c: call the recent dock load and save functions.

	* app/widgets/gimpsessioninfo.[ch]: implement the GimpConfig interface
	and (de)serialize via proper interface methods.

	* app/gui/session.c
	* app/widgets/gimpdialogfactory.c: use the GimpConfig API
	to (de)serialize session infos and added the code that was
	formerly in the info's (de)serialize functions but didn't belong
	there.

	* app/widgets/gimpaction.[ch]: add "max-width-chars" property and
	set it on proxy menu item labels.

	* app/actions/windows-actions.[ch]
	* app/actions/windows-commands.[ch]
	* app/menus/windows-menu.c: add actions and menu of recently
	closed docks and code to restore the dock when the menu items are
	selected. Use above new action property to ensure a minimum
	width of the menu.

	* app/widgets/gimpmenudock.c: use '-' instead of '|' for
	separating notebooks in the window title. Menu items don't like	'|'.

	* app/widgets/gimpdock.c: removed the confirmation dialog when
	closing docks and simply add them to the recent docks container.
	This code is totally misplaced and will move to another file soon.

2008-05-14  Sven Neumann  <sven@gimp.org>

	* app/core/gimpcurve.c (gimp_curve_plot): don't write over the end
	of the samples array.  Someone should review this code. It looks
	as if the loop could be rewritten in a safer and cleaner way.

2008-05-14  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/blur-gauss-selective.c: formatting.

2008-05-14  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcurveview.c (gimp_curve_view_motion_notify):
	fixed use of uninitialized value.

2008-05-14  Sven Neumann  <sven@gimp.org>

	* app/actions/windows-actions.c (windows_actions): relabeled
	submenu to "Recently Closed Docks".

2008-05-14  Michael Natterer  <mitch@gimp.org>

	* app/menus/windows-menu.c
	* app/actions/windows-actions.c
	* menus/image-menu.xml.in: move the list of dockable dialogs and
	the list of recent docks to submenus and keep the list of open
	image windows and docks at the "Windows" menu toplevel. The list
	of recent docks doesn't exist yet, its contents are fake.

2008-05-14  Michael Natterer  <mitch@gimp.org>

	* app/gegl/gimpcurvesconfig.c (gimp_curves_config_copy): also
	copy curve->identity.

2008-05-14  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/gimpfu.py: Add PF_OPTION. Fixes bug #523142.

2008-05-14  Sven Neumann  <sven@gimp.org>

	* app/core/gimpbrushclipboard.c
	(gimp_brush_clipboard_buffer_changed): for an opaque buffer,
	initialize the brush mask with 255 instead of 0.  Fixes bug #532886.

2008-05-14  Sven Neumann  <sven@gimp.org>

	* plug-ins/gradient-flare/gradient-flare.c
	(calc_sample_one_gradient): use G_STRUCT_OFFSET() instead of a
	hand-made macro which caused a compiler warning (spotted by gymp,
	bug #532853).

2008-05-14  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpsessioninfo-book.[ch]: remove widget member from
	struct GimpSessionInfoBook. Return the created GimpDockbook from
	restore().

	* app/widgets/gimpsessioninfo-dock.c (restore): use the returned
	book instead of the struct member.

2008-05-14  Michael Natterer  <mitch@gimp.org>

	Made session info serialization independent from widgets so it can
	be used on stored dock layouts which are not open:

	* app/widgets/gimpsessioninfo-book.[ch]
	* app/widgets/gimpsessioninfo-dock.[ch]
	* app/widgets/gimpsessioninfo-dockable.[ch]: add from_widget()
	functions which return newly allocated session info structs.
	Changed serialize() functions to take these structs instead of
	widgets. Changed deserialize() functions to return the structs
	instead of appending them to lists in their parent structs. Don't
	free anything in restore().

	* app/widgets/gimpsessioninfo-aux.[ch]
	(gimp_session_info_aux_serialize): take a GList of aux_info
	instead of a widget.

	* app/widgets/gimpsessioninfo.[ch]: add new functions get_info()
	which collects above session info details from dialogs and
	clear_info() which clears that info. Call clear_info() from
	finalize(). Don't free anything in restore().

	* app/widgets/gimpdialogfactory.c
	(gimp_dialog_factories_save_foreach): collect the session info
	detials from the dialogs before serializing because serialize()
	doesn't know about the widget any longer. Clear the infos after
	serializing.

	(gimp_dialog_factories_restore_foreach): clear the session info
	details after creating the dialogs because restore() doesn't clear
	the info by itself any longer.

2008-05-13  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpsessioninfo.c: turn "info != NULL" checks into
	"GIMP_IS_SESSION_INFO (info)".

2008-05-13  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpsessioninfo.[ch]: turn into a GimpObject
	subclass. No logical changes yet.

	* app/widgets/widgets-types.h
	* app/widgets/gimpdialogfactory.c: changed accordingly.

2008-05-13  Michael Natterer  <mitch@gimp.org>

	First prototype of a button in the levels tool dialog that will
	jump the the curves tool with the same settings:

	* app/gegl/gimplevelsconfig.[ch]: add new function
	gimp_levels_config_to_curves_config() which converts a
	GimpLevelsConfig to a GimpCurvesConfig. Still lacks support
	for gamma.

	* app/tools/gimplevelstool.c: add "Edit this Settings as Curves"
	button and jump to curves when clicked. Still ugly.

2008-05-13  Sven Neumann  <sven@gimp.org>

	* app/core/gimpcurve-map.c (gimp_curve_map_pixels): use memcpy()
	for the CURVE_NONE case.

2008-05-13  Sven Neumann  <sven@gimp.org>

	* app/core/gimpcurve-map.[ch] (gimp_curve_map_pixels): introduced
	an enum to clean up the code. Optimize another not so uncommon case.

2008-05-13  Sven Neumann  <sven@gimp.org>

	* app/core/gimpcurve-map.c (gimp_curve_map_pixels): create a
	bitmask that represents the curves that need to be applied and
	optimize the most common cases.

2008-05-13  Simon Budig  <simon@gimp.org>

	* app/vectors/vectors-types.h: add a comment explaining the hack.

2008-05-13  Sven Neumann  <sven@gimp.org>

	* app/core/gimpcurve-map.c (gimp_curve_map_value): simplified the
	general case.

2008-05-13  Sven Neumann  <sven@gimp.org>

	* app/core/gimpcurve.[ch]: keep a boolean flag to identify an
	identity mapping. Set it to TRUE when the curve is reset.

	* app/core/gimpcurve-map.c (gimp_curve_map_value): optimize for
	the case where the curve is an identity mapping.

2008-05-12  Simon Budig  <simon@gimp.org>

	* app/vectors/gimpvectors.[ch]
	* app/vectors/gimpstroke.[ch]
	* app/vectors/gimpbezierstroke.c: Implement functionality to
	get a bezier description a la moveto/curveto/closepath.

	* app/vectors/vectors-types.h: implement an evil hack to avoid
	the inclusion of cairo.h in most C files...

	* app/vectors/Makefile.am: link against cairo

	* app/widgets/gimpviewrenderervectors.c: use the new functionality
	for preview rendering.

2008-05-11  Sven Neumann  <sven@gimp.org>

	* app/core/Makefile.am
	* app/core/gimpcurve.[ch]:
	* app/core/gimpcurve-map.[ch]: split curve map functions into
	seperate files.

	* app/gegl/gimpoperationcurves.c
	* app/tools/gimpcurvestool.c
	* app/widgets/gimpcurveview.c: changed accordingly.

	* app/Makefile.am (AM_LDFLAGS): make it link.

2008-05-11  Sven Neumann  <sven@gimp.org>

	* app/core/gimpcurve.[ch]: renamed gimp_curve_map() to
	gimp_curve_map_value(). Added new function gimp_curve_map_pixels()
	which will allow for better optimization.

	* app/gegl/gimpoperationcurves.c (gimp_operation_curves_process):
	use gimp_curve_map_pixels().

	* app/tools/gimpcurvestool.c
	* app/widgets/gimpcurveview.c: follow API change.

2008-05-11  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpcroptool.[ch]: No need to expose definitions of
	GimpCropTool or GimpCropToolClass.

2008-05-11  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c: Fix emission of
	rectangle-change-complete signals.

	* app/tools/gimpcroptool.c
	* app/tools/gimprectangleselecttool.c:
	Use the rectangle-change-complete signal to update the default
	aspect ratio. Fixes bug #530519.

	* app/tools/gimpcroptool.c
	(gimp_crop_tool_button_release)
	(gimp_crop_tool_options_notify)
	* app/tools/gimprectangleselecttool.c
	(gimp_rectangle_select_tool_button_release): No need to explicitly
	update option defaults since it is handled through the
	rectangle-change-complete signal now.

2008-05-11  Sven Neumann  <sven@gimp.org>

	* app/core/gimpcurve.[ch] (gimp_curve_map): minor cleanup.

2008-05-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/web-browser.c (browser_open_url): improved error
	messages as suggested in bug #522483.

2008-05-11  Sven Neumann  <sven@gimp.org>

	* app/gegl/gimpoperationlevels.c (gimp_operation_levels_map):
	optimized for the case where gamma is 1.0.

2008-05-11  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpaction.[ch]: add an "ellipsize" property that is
	applied to all proxy menu items' labels.

	* app/actions/windows-actions.c: set the dock actions to
	PANGO_ELLIPSIZE_END because their labels can be insanely long.

2008-05-11  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpaction.c (gimp_action_set_proxy): small cleanup.

2008-05-11  Michael Natterer  <mitch@gimp.org>

	* app/actions/windows-commands.[ch]
	* app/actions/windows-actions.c
	* app/menus/windows-menu.c: add dynamic actions and menu items for
	all open docks. Present the dock when the menu item is selected.

2008-05-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_button_press): Active the tool control
	earlier.
	(gimp_rectangle_tool_synthesize_motion): Bail out if the tool
	control is active, we don't want to synthesize a motion in this
	case as it emits unwanted rectangle-changed signals.

2008-05-10  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdialogfactory.[ch]: add signals "dock-added" and
	"dock-removed".

	(gimp_dialog_factory_add_dialog)
	(gimp_dialog_factory_remove_dialog): emit them when docks get
	added and removed.

2008-05-10  Michael Natterer  <mitch@gimp.org>

	* app/actions/windows-actions.c: renamed the "Create New Dock"
	submenu to simply "Docks". Its contents are about ti change soon.

	* menus/image-menu.xml.in: changed accordingly. Added a "Docks"
	placeholder inside and add the "show toolbox" menu item there.

2008-05-10  Michael Natterer  <mitch@gimp.org>

	* app/core/gimplist.[ch]: add boolean "append" property which
	makes gimp_container_add() append to the list instead of the
	default prepend.

	* app/core/gimp.c: create the display list with append = TRUE so
	the images menu is in a proper order.

2008-05-10  Michael Natterer  <mitch@gimp.org>

	* app/actions/windows-actions.c: don't hide the empty images menu,
	use gimp_image_get_uri() instead of the object's name.

2008-05-10  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpactiongroup.h: fix parameter name.

2008-05-10  DindinX  <dindinx@gimp.org>

	* plug-ins/flame/cmap.c
	* plug-ins/flame/libifs.c
	* plug-ins/flame/rect.[ch]: cleaning (mostly code reformating and
	converting K&R style function declarations to ansi).

	* plug-ins/common/pcx.c: reformated as well.

2008-05-10  Michael Natterer  <mitch@gimp.org>

	Start changing the "Dialogs" menu to "Windows", still incomplete.
	Addresses bug #309707.

	* app/actions/Makefile.am
	* app/actions/windows-actions.[ch]
	* app/actions/windows-commands.[ch]: new files which currently
	hold the "show toolbox" action and callback and new code which
	maintains automatically generated actions for accessing (raising)
	all open images.

	* app/actions/actions.c: register the new "windows" action group.

	* app/actions/dialogs-actions.c
	* app/actions/dialogs-commands.[ch]: remove "show toolbox"
	action and callback and also the action for the "Disalogs" menu.

	* app/menus/Makefile.am
	* app/menus/windows-menu.[ch]: new files which create and destroy
	the menu items for the image window actions.

	* app/menus/menus.c: register the "windows" action group with
	all UI managers that have the "dialogs" action group.

	* app/menus/image-menu.c (image_menu_setup): call
	windows_menu_setup().

	* app/gui/gui.c: s/dialogs_show_toolbox/windows_show_toolbox/g

	* menus/image-menu.xml.in: some minor s/dialogs/windows/
	and add the "Images" submenu.

2008-05-10  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplay.c (gimp_display_set_image): emit
	notify::image.

2008-05-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangleselecttool.c
	(gimp_rectangle_select_tool_cancel): Don't forget updating the
	default aspect ratio when cancelling a rectangle select.

2008-05-10  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptexttool.c (gimp_text_tool_confirm_response):
	rerender the text layer as suggested in bug #532078.
	(gimp_text_tool_confirm_dialog): minor dialog improvements.

2008-05-10  Sven Neumann  <sven@gimp.org>

	* plug-ins/flame/libifs.c: removed trailing whitespace.

2008-05-10  Sven Neumann  <sven@gimp.org>

	* app/core/gimpbrush-scale.c: formatting.

2008-05-10  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpviewrenderer.c (gimp_view_renderer_real_draw):
	reset the translation on the cairo context. Resurrects brush
	emblems which were drawn in the wrong position.

	* app/widgets/gimpviewrendererbrush.c (gimp_view_renderer_brush_draw):
	formatting.

2008-05-10  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/gtm.c: renamed...

	* plug-ins/common/html-table.c: ...to this and cleaned it up.

	* plugin-defs.pl: changed accordingly.
	* Makefile.am: regenerated.

2008-05-10  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/poppler.c: Support poppler 0.8.x.

2008-05-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_button_release): Don't forget updating the
	integer representation when reverting the rectangle after
	cancelling a rubber-banding.

2008-05-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_button_release): Update the tool options
	after a release; the rectangle might change if a rubber-banding is
	cancelled.

2008-05-10  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_events) (gimp_display_shell_canvas_tool_events):
	don't reserve Delete for use by tools. Fixes bug #532116.

	* app/tools/gimpimagemaptool.c
	* app/tools/gimptransformtool.c: don't use Delete (you can still
	use the Backspace key to achieve the same).

2008-05-10  Manish Singh  <yosh@gimp.org>

	* plug-ins/imagemap/Makefile.am: tweak the rules for rebuilding the
	parser files from lex/yacc source so that they are explicit instead
	of potentially being run implicitly because the file dates are off.

2008-05-10  Michael Natterer  <mitch@gimp.org>

	* app/gimp-log.[ch]: add SHADOW_TILES log domain.

	* app/plug-in/gimpplugin-cleanup.c (gimp_plug_in_cleanup_item):
	turn commented-out g_printerr() into a GIMP_LOG()

2008-05-10  Michael Natterer  <mitch@gimp.org>

	Applied modified patch from Alexia Death which adds velocity
	support to paint tools in the spirit of the pressure support we
	already have. Fixes bug #529431.

	* app/display/gimpdisplayshell-coords.c
	(gimp_display_shell_eval_event): tweak velocity calculation to
	work in screen coordinates.

	* app/paint/gimppaintoptions.[ch]: add velocity options in the
	same way as there are pressure options. Add utility functions
	which return dynamic opatity and dynamic rate according to the
	option's settings and some GimpCoords' pressure and velocity.

	* app/tools/gimppaintoptions-gui.c: add GUI for the velocity
	options.

	* app/paint/gimpbrushcore.h: remove PRESSURE_SCALE define, it's
	now in gimppaintoptions.h.

	* app/paint/gimpbrushcore.c (gimp_brush_core_interpolate):
	inerpolate velocity too.

	(gimp_brush_core_calc_brush_scale): take velocity into account.

	(gimp_brush_core_get_brush_mask): always pressurize the mask in
	the GIMP_BRUSH_PRESSURE because there always is velocity (unlike
	pressure which is only there on tablets).

	* app/paint/gimpairbrush.c
	* app/paint/gimpclone.c
	* app/paint/gimpconvolve.c
	* app/paint/gimpdodgeburn.c
	* app/paint/gimperaser.c
	* app/paint/gimpheal.c
	* app/paint/gimppaintbrush.c
	* app/paint/gimpsmudge.c: get opacity and rate from the new paint
	options utility functions which take both pressure and velocity
	into account.

	* app/paint/gimppaintbrush.c: take velocity into account when
	calculating the gradient color offset.

	* app/paint/gimpairbrush.c: do some additional fiddling with
	velocity in the asynchronous airbrush timeout.

	* app/paint/gimpairbrushoptions.c: override the velocity-size
	property and have it default to FALSE.

2008-05-10  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpcroptool.c: Add a GimpRectangleTool::cancel()
	implementation that updates default aspect ratio when cancelling a
	crop.

2008-05-09  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpcroptool.[ch]: Keep track of the current image and
	manage a subscription to "size-changed" so that default aspect
	ratio is properly updated. (Bug #532057.)
	(gimp_crop_tool_execute): No need to explicitly call
	gimp_crop_tool_update_option_defaults() any longer.

2008-05-09  Simon Budig  <simon@gimp.org>

	* app/core/gimpscanconvert.[ch]: expose the internal most
	flexible rendering function. Make use of the miter limit
	again.

2008-05-09  Sven Neumann  <sven@gimp.org>

	* configure.in: lowered minimum required cairo version to 1.4.10.

2008-05-09  Simon Budig  <simon@gimp.org>

	* app/core/gimpscanconvert.[ch]: kind of resurrect the
	blending modes, although now implemented as compositing
	on top of the existing content of a mask.

	* app/tools/gimpforegroundselecttool.c: changed accordingly

2008-05-09  Simon Budig  <simon@gimp.org>

	* app/core/gimpscanconvert.c: resurrect dashed strokes.

2008-05-09  Sven Neumann  <sven@gimp.org>

	* configure.in: check for a minimum required cairo version (1.4.14).

	* app/core/gimpscanconvert.c: copied some code from cairo until
	we depend on cairo 1.6.

2008-05-09  Sven Neumann  <sven@gimp.org>

	* HACKING
	* INSTALL: removed mentions of libart, added a link for cairo.

2008-05-09  Simon Budig  <simon@gimp.org>

	* app/core/gimpscanconvert.[ch]: removed Libart usage,
	  replaced with Cairo. Dashed strokes do not yet work again, will
	  happen tomorrow. Also the blending modes need a second look at.

	  Also removed deprecated API which made it unnecessarily complicated.

	* app/tools/gimpiscissorstool.c: use the current API.

	* app/core/Makefile.am
	* app/Makefile.am
	* configure.in: removed libart dependency, added cairo dependency
	  where necessary.

2008-05-08  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_events): don't call gtk_widget_grab_focus() here.

	(gimp_display_shell_canvas_tool_events): call it here instead and
	add comments about how BUTTON_PRESS and FOCUS_IN interact.

	Return TRUE from BUTTON_PRESS, BUTTON_RELEASE and MOTION_NOTIFY.

2008-05-08  Sven Neumann  <sven@gimp.org>

	* themes/Default/gtkrc 
	* themes/Small/gtkrc: further shrink the status-bar widgets.

2008-05-08  Sven Neumann  <sven@gimp.org>

	* app/display/gimpscalecombobox.c (gimp_scale_combo_box_init):
	removed the entry's inner border to save some precious space in
	the status-bar.

2008-05-08  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_events): move the focus to the canvas on
	button-press events.

	* app/widgets/gimpwindow.c (gimp_window_key_press_event): removed
	use of G_UNLIKELY() that was somewhat bogus here.

2008-05-08  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpfiledialog.[ch]: added infrastructure to access
	and set some state information of the GtkFileChooser.

	* app/dialogs/file-open-dialog.c
	* app/dialogs/file-save-dialog.c: don't keep the file-chooser
	dialogs around. Instead keep the state attached to the Gimp object
	(one state for load, one for save dialogs). Closes bug #528811.

2008-05-08  Sven Neumann  <sven@gimp.org>

	* app/widgets/widgets-types.h 
	* app/widgets/gimpfiledialog.c: formatting.

2008-05-07  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpcroptool.c (gimp_crop_tool_image_changed): Make it
	feel like a class member function by G_CONNECT_SWAPPED-izing it.

2008-05-07  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimpplugin-cleanup.c (gimp_plug_in_cleanup_item):
	commented out debug message.

2008-05-07  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/blur-gauss-selective.c: allocate temporary
	memory on the stack. Minor code cleanups.

2008-05-06  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/gimpplugin-message.c: split
	gimp_plug_in_handle_tile_request() into two functions:
	gimp_plug_in_handle_tile_put() and gimp_plug_in_handle_tile_get().

2008-05-06  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/gimpplugin-message.c
	(gimp_plug_in_handle_proc_install): show an error message instead
	of crashing when a plug-in registers a prodecure with a NULL
	argument or return value name. Also introduce two macros which
	make the utf-8 validation of all strings much more readable.

2008-05-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/gbr.c: improved procedure blurb and help.

	* libgimpcolor/gimpcolorspace.c: inline gimp_hsl_value() and
	gimp_hsl_value_int().

2008-05-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/3d-outline.scm: applied patch from
	 Ulf-D. Ehlert. Makes the vacated region, which is created when
	 specifying a non-zero shadow offset, to be filled with the
	 background color (white) instead of transparency (bug #530216).

2008-05-06  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpcolorprofilestore.c
	(gimp_color_profile_store_load_profile): check if the file exists
	before adding it to the history. Fixes bug #528958.

2008-05-05  Michael Natterer  <mitch@gimp.org>

	* app/actions/drawable-commands.c
	(drawable_levels_stretch_cmd_callback): the second parameter of
	gimp_drawable_levels_stretch() is now a GimpProgress.

2008-05-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/unsharp-mask.c (gen_convolve_matrix): fixed
	algorithm to calculate the center value. Fixes bug #530077.

2008-05-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/blinds.c (MAX_FANS): increased the maximum
	number of blinds to 100.

2008-05-05  Sven Neumann  <sven@gimp.org>

	* app/tools/gimppainttool.c
	* app/display/gimpdisplayshell-coords.c: applied patch from Alexia
	Death which changes the maximum smoothing for paint tools to a more
	conservative default and adds velocity dependent smooth suppression.

2008-05-05  Sven Neumann  <sven@gimp.org>

	* configure.in (ALL_LINGUAS): added Icelandic (is).

2008-05-02  Martin Nordholts  <martinn@svn.gnome.org>

	* gimptexttool.[ch]
	* gimprectangletool.[ch]
	* gimprectangleselecttool.c: Renamed the "rectangle-changed"
	signal to "rectangle-change-complete" which is much better name
	since the signal is not emited when the rectangle is changed, but
	when the change is complete.

2008-05-02  Martin Nordholts  <martinn@svn.gnome.org>

	* plug-ins/flame/libifs.c: Use g_random_int() instead of rand().

2008-05-01  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_active_modifier_key): Minor simplification.

2008-04-30  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimpcroptool.c: Align static function prototpyes.

2008-04-30  Sven Neumann  <sven@gimp.org>

	* app/display/gimpscalecombobox.c
	(gimp_scale_combo_box_entry_key_press): also handle the Tab keys
	and call the "activate" handler when Tab is pressed.

2008-04-30  Sven Neumann  <sven@gimp.org>

	* app/display/gimpscalecombobox.c: install a "key-press-event"
	handler and reset the entry when the Escape key is pressed.

2008-04-29  Sven Neumann  <sven@gimp.org>

	* themes/Default/gtkrc
	* themes/Small/gtkrc: reduce the minimum array size for
	GtkComboBox widgets in the image window.

2008-04-29  Sven Neumann  <sven@gimp.org>

	* app/display/gimpscalecombobox.[ch]: added signal "entry-activated".

	* app/display/gimpstatusbar.c (gimp_statusbar_new): connect to the
	new signal and move the focus to the canvas.

	* app/display/gimpdisplayshell.c (gimp_display_shell_new): comment.

2008-04-29  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpwindow.c (gimp_window_key_press_event): formatting.

2008-04-28  Sven Neumann  <sven@gimp.org>

	* app/display/gimpscalecombobox.c: keep the current scale value,
	beep and reset the entry when the user input cannot be parsed.
	Also changed the input parser to interpret a single number as a
	percentage.

2008-04-28  Joao S. O. Bueno  <gwidion@mpc.com.br>

	* app/pdb/drawable-transform-cmds.c
	* app/pdb/vectors-cmds.c: regenerated

2008-04-28  Sven Neumann  <sven@gimp.org>

	* app/display/gimpscalecombobox.[ch]: derive from GtkComboBoxEntry.
	Needs some more work with respect to input validation and focus
	handling...

2008-04-28  Sven Neumann  <sven@gimp.org>

	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h
	* app/widgets/gimpwindow.[ch]: added GimpWindow class and moved
	key-press-event handler from GimpDock to this class.

	* app/widgets/gimpdock.[ch]:
	* app/display/gimpdisplayshell.[ch]: derive from GimpWindow.

2008-04-28  Sven Neumann  <sven@gimp.org>

	* app/base/hue-saturation.c (hue_saturation): applied patch from
	Michael Deal that fixes use of the overlap option (bug #527085).

2008-04-28  Sven Neumann  <sven@gimp.org>

	* menus/image-menu.xml.in: removed GEGL tool from the Colors menu
	and also moved it out of the color tools menu.

2008-04-26  João S. O. Bueno  <gwidion@mpc.com.br>

	* AUTHORS
	* authors.xml
	* tools/pdb/stddefs.pdb: Fix my name back to single
	  name in most important files.

2008-04-26  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpgegltool.c: clean up last commit.

2008-04-26  Martin Nordholts  <martinn@svn.gnome.org>

	* plug-ins/flame/libifs.c: Applied patch from Aurimas Juška. Use
	the standard rand() instead of random().

2008-04-26  Øyvind Kolås  <pippin@gimp.org>

	* app/tools/gimpgegltool.c: (gimp_get_subtype_classes),
	(gimp_gegl_tool_compare_operation_names), (gimp_get_geglopclasses),
	(gimp_gegl_tool_dialog): made the GEGL tool only show ops from
	relevant categories, the list of relevant categories is hard coded
	for now.

2008-04-26  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_options_notify): No need to bail out if there
	is no display.

2008-04-26  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_options_notify): Some more simplifications
	and cleanups.

2008-04-26  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_options_notify): Simplifications and
	cleanups.

2008-04-26  Michael Natterer  <mitch@gimp.org>

	* menus/image-menu.xml.in: the gegl tool was missing from the
	"Tools" menu.

2008-04-26  Martin Nordholts  <martinn@svn.gnome.org>

	* plug-ins/flame/flame.c
	* plug-ins/flame/libifs.[ch]: Applied modified patch from Luis
	Barrancos that adds 22 new variations to the flame plugin (bug
	#389004).

2008-04-25  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimppaintoptions.c (gimp_paint_options_get_jitter):
	add g_return_if_fail().

	* app/paint/gimpheal.c (gimp_heal_motion)
	* app/paint/gimpdodgeburn.c (gimp_dodge_burn_motion): free stuff
	right after it's not used any longer, instead of at the end of the
	function.

	* app/paint/gimppaintbrush.c (_gimp_paintbrush_motion): move a
	statement to improve consistency with other motion() functions.

2008-04-25  Michael Natterer  <mitch@gimp.org>

	* plug-ins/print/print.c (query): fix help string of the page
	setup procedure.

2008-04-25  Sven Neumann  <sven@gimp.org>

	* app/app.c
	* app/gegl/gimp-gegl.c: reverted change from 2008-01-31. Use the
	GEGL option group again now that GEGL provides some commmand-line
	options.

2008-04-25  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimppaintoptions.[ch]: reorder jitter options stuff to
	be consistently ordered all over the place.

2008-04-25  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdock.c
	* libgimpwidgets/gimpcellrenderertoggle.c: minor cosmetics.

2008-04-25  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimptoolbox.c: do not any longer accept
	middle-mouse-button paste on the toolbox buttons but use the
	toolbox drop area for that.

2008-04-25  Sven Neumann  <sven@gimp.org>

	* app/actions/dock-actions.c (dock_actions): removed default
	keyboard shortcut for "dock-close".

2008-04-24  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_options_notify): Do appropriate equal and
	not-equal comparisons for floting point numbers. Fixes
	bug #527863.

2008-04-23  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpnumberpairentry.c
	(gimp_number_pair_entry_modify_font): formatting.

2008-04-22  Michael Natterer  <mitch@gimp.org>

	* app/actions/view-actions.c (view_actions_update): simplify call
	to window_actions_update() (we already have a local "shell"
	variable that is NULL when there is no display).

2008-04-22  Michael Natterer  <mitch@gimp.org>

	* app/sanity.c: add check for the GEGL version.

2008-04-22  Sven Neumann  <sven@gimp.org>

	* app/display/gimpstatusbar.c (gimp_statusbar_frame_size_request):
	take vertical padding into account to avoid resizing the statusbar.

2008-04-21  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/gimpplugin-cleanup.c: do the actual cleanup in
	utility functions and reduce gimp_plug_in_cleanup() to merely
	iterating the cleanup lists.

2008-04-21  Michael Natterer  <mitch@gimp.org>

	Move the shadow tiles from the image to the drawable.
	Fixes bug #100469.

	* app/core/Makefile.am
	* app/core/gimpdrawable-shadow.[ch]: new files implementing
	the shadow tiles.

	* app/core/gimpimage.[ch]: remove the shadow tile manager from the
	GimpImage struct. Remove gimp_image_get_shadow_tiles() and
	_free_shadow_tiles().

	* app/core/gimpdrawable.[ch]: add the shadow tile manager
	here. Remove get_shadow_tiles() and merge_shadow(). Free the
	shadow tiles in finalize and when the drawable gets removed from
	the image.

	* app/core/gimpdrawable-brightness-contrast.c
	* app/core/gimpdrawable-color-balance.c
	* app/core/gimpdrawable-colorize.c
	* app/core/gimpdrawable-curves.c
	* app/core/gimpdrawable-desaturate.c
	* app/core/gimpdrawable-equalize.c
	* app/core/gimpdrawable-hue-saturation.c
	* app/core/gimpdrawable-invert.c
	* app/core/gimpdrawable-levels.c
	* app/core/gimpdrawable-operation.c
	* app/core/gimpdrawable-posterize.c
	* app/core/gimpdrawable-threshold.c
	* app/core/gimpimagemap.c: changed accordingly. Free the shadow tiles
	after using them.

	* app/plug-in/gimpplugin-cleanup.[ch]: add
	gimp_plug_in_cleanup_add_shadow() and _remove_shadow() which keep
	track of whether shadow tiles were created on behalf of a plug-in
	procedure.

	(gimp_plug_in_cleanup): free shadow tiles which were created but
	not destroyed by a plug-in procedure.

	* app/plug-in/gimpplugin-message.c (plug_in_handle_tile_request):
	call gimp_plug_in_cleanup_add_shadow() whenever a plug-in requests
	shadow tiles.

	* tools/pdbgen/pdb/drawable.pdb: use the new drawable shadow
	API. Add new procedure gimp-drawable-free-shadow. Call
	gimp_plug_in_cleaup_remove_shadow() when it gets called.

	* tools/pdbgen/pdb/image.pdb: deprecate gimp-image-free-shadow.
	Calling it has no effect any longer.

	* app/pdb/drawable-cmds.c
	* app/pdb/image-cmds.c
	* app/pdb/internal-procs.c
	* libgimp/gimpimage_pdb.[ch]
	* libgimp/gimpdrawable_pdb.[ch]: regenerated.

2008-04-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/psp.c: applied patch from Christoph Brill which
	adds enum values and typedefs used in newer versions of the PSP
	file format (see bug #120757).

2008-04-21  Michael Natterer  <mitch@gimp.org>

	* libgimpmath/gimpmd5.c (gimp_md5_get_digest): moving a cast to
	the right parameter fixes two warnings.

2008-04-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/curve-bend.c (run): fixed handling of
	"argc-lower-val-y" PDB parameter.

2008-04-20  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable-levels.[ch]: replaced unused parameter
	"context" by "progress" and pass the progress on internally.
	Factor common code out to gimp_drawable_levels_internal().

	* tools/pdbgen/pdb/color.pdb: pass progress instead of context.

	* app/pdb/color-cmds.c: regenerated.

2008-04-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/psp.c: untabified.

2008-04-19  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdata.c: prototype indentation and minor declatation
	and function reordering for the sake of consistency.

2008-04-18  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpblendtool.c (gimp_blend_tool_draw): don't draw the
	handles on pixel centers, we don't blend between pixel centers.

2008-04-17  Michael Natterer  <mitch@gimp.org>

	Add some infrastructure that will be used soon:

	* app/plug-in/gimppluginprocframe.[ch]: replace "cleanup" list
	by two lists "image_cleanups" and "item_cleanups" and call
	gimp_plug_in_cleanup() if any of them is non-NULL.

	* app/plug-in/gimpplugin-cleanup.c: add private new() and free()
	functions for GimpPlugInCleanupImage structs and add the same
	infrastructure for GimpPlugInCleanupItem structs which are
	currently unused.

2008-04-17  Michael Natterer  <mitch@gimp.org>

	* configure.in: add G_DISABLE_SINGLE_INCLUDES to CPPFLAGS.

2008-04-17  Michael Natterer  <mitch@gimp.org>

	* configure.in: remove AC_HEADER_DIRENT, we use GDir all over the
	place now.

2008-04-16  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-coords.c
	(gimp_display_shell_eval_event): remove local "inertia" variable
	and simply modify the passed "inertia_factor" when needed.

2008-04-16  Sven Neumann  <sven@gimp.org>

	* app/config/test-config.c: initialize the units vtable in
	libgimpbase instead of trying to override symbols from it.
	Fixes bug #528160.

2008-04-15  Michael Natterer  <mitch@gimp.org>

